2005-10-25  Alexandre Julliard  <julliard@winehq.org>

	* ANNOUNCE, ChangeLog, VERSION, configure: Release 0.9.

----------------------------------------------------------------
2005-10-24  Alexandre Julliard  <julliard@winehq.org>

	* AUTHORS: Updated the authors list.

	* dlls/commdlg/cdlg_Cs.rc: Michal Suchanek <hramrach@gmail.com>
	Make Czech font selection dialog usable.

	* dlls/winsock/socket.c: Eric Pouech <eric.pouech@wanadoo.fr>
	Made accept thread safe(r).

	* dlls/x11drv/mouse.c: Vitaliy Margolen <wine-patch@kievinfo.com>
	Fix bad mouse lag in games that do their own mouse warping.

	* dlls/winspool/info.c: Robert Lunnon <bobl@optushome.com.au>
	Rename queue_t to jobqueue_t to avoid collision with library symbol
	queue_t.

	* dlls/winmm/wineesd/audio.c: Robert Lunnon <bobl@optushome.com.au>
	Added header errno.h.

	* tools/winebuild/utils.c: Robert Lunnon <bobl@optushome.com.au>
	Remove SVR4 specific pseudo-ops.

	* tools/winebuild/import.c: Simon Richter <Simon.Richter@hogyros.de>
	Fix winebuild's ppc assembly generation.

2005-10-21  Alexandre Julliard  <julliard@winehq.com>

	* dlls/msvcrt/exit.c: _cexit should call the atexit functions.

	* dlls/comctl32/listview.c: Troy Rollo <wine@troy.rollo.name>
	Detect when the notification callback has destroyed the ListView to
	avoid attempts to access data that is no longer valid.

	* dlls/comctl32/tests/.cvsignore, dlls/comctl32/tests/Makefile.in,
	  dlls/comctl32/tests/toolbar.c, dlls/comctl32/toolbar.c:
	Krzysztof Foltman <wdev@foltman.com>
	Separators with group style set don't separate toolbar radio groups
	anymore (which broke tool selection in Front Panel Designer).

	* dlls/user/winproc.c: Richard Cohen <richard@daijobu.co.uk>
	Handle NULL string lparam when translating messages A->W.

2005-10-20  Alexandre Julliard  <julliard@winehq.com>

	* dlls/shdocvw/shdocvw_main.c: Fixed a handle leak.

	* dlls/shdocvw/shdocvw_main.c:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Allow file:/// protocol to be used to download the Mozilla ActiveX
	control.

	* programs/winecfg/drive.c, programs/winecfg/driveui.c:
	Added "autodetect" drive type option.

	* dlls/msvcrt/tests/cpp.c, dlls/msvcrt/undname.c:
	Vijay Kiran Kamuju <infyquest@gmail.com>
	Fix msvcrt symbol demangling for non MS symbols.

	* dlls/shdocvw/shdocvw_main.c:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Remove tempfile used to download Mozilla ActiveX control once it's not
	used anymore.

	* programs/winecfg/driveui.c:
	Enable the apply button when changing drive type.

	* programs/winecfg/drive.c:
	Always set the drive type even if nothing else changed.

	* dlls/user/defdlg.c: Vitaliy Margolen <wine-patch@kievinfo.com>
	Restore focus to the current control without selecting text.

	* dlls/kernel/tests/drive.c, dlls/kernel/volume.c:
	Rein Klazes <wijn@wanadoo.nl>
	In GetDiskFreeSpace:
	- only cap the total size and available size to 2GB in Win3.x thru
	  WinME;
	- in that case adjust number of clusters to be less then 65536 by
	  increasing the cluster size;
	- add corresponding tests.

	* dlls/wininet/internet.h, dlls/wininet/netconnection.c:
	Aric Stewart <aric@codeweavers.com>
	Move the peek_msg buffers for SSL connections into the
	WININET_CONNECTION structure to prevent 2 threads from clobbering each
	other's buffers.

	* dlls/oleaut32/usrmarshal.c: Huw Davies <huw@codeweavers.com>
	Proxies and stubs for GetTypeInfoCont, GetLibAttr and ReleaseLibAttr.

2005-10-19  Alexandre Julliard  <julliard@winehq.com>

	* dlls/riched20/editor.c: Krzysztof Foltman <wdev@foltman.com>
	- Bugfix in EM_GETTEXTEX
	- Additional traces helpful in diagnosing similar (text
	  retrieval-related) bugs.

	* programs/winecfg/driveui.c:
	Vitaliy Margolen <wine-patch@kievinfo.com>
	Use correct notification for drive selection change.

	* dlls/dsound/buffer.c, dlls/dsound/dsound.c,
	  dlls/dsound/dsound_private.h:
	Robert Reif <reif@earthlink.net>
	Change secondary buffer variable name to secondary.
	Fix AddRef and Release to use proper class.

	* dlls/comctl32/theming.c:
	Don't register classes is no theme is active to avoid trouble (based
	on a patch by Vitaliy Margolen).

	* tools/wine.inf: Jonathan Ernst <Jonathan@ErnstFamily.ch>
	Use WineHQ's mirror selection script to get the Mozilla ActiveX
	Control.

	* dlls/wininet/http.c: Mike McCormack <mike@codeweavers.com>
	Set the http port before figuring out whether we're using a proxy.

	* dlls/oleaut32/tmarshal.c:
	Pierre d'Herbemont <pidherbemont@opendarwin.org>
	Allow compilation on non-i386.

	* dlls/user/tests/msg.c: Vitaliy Margolen <wine-patch@kievinfo.com>
	Fix a number of tests failing on windows.

	* AUTHORS: Marcus Meissner <marcus@jet.franken.de>
	Added more developers/translators.

	* dlls/user/button.c: Markus Gömmel <m.goemmel@compulab.de>
	Misplacement of checkboxes with empty label fixed.

	* dlls/mshtml/nsembed.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	Try using mozctlx's path if there is no registered Mozilla directory.

	* dlls/user/winproc.c: Krzysztof Foltman <wdev@foltman.com>
	Fix CB_GETLBTEXT ANSI-Unicode calls when return value is an error
	code.

	* dlls/wininet/http.c: Aric Stewart <aric@codeweavers.com>
	Use debugstr_a to prevent a buffer overflow when debugging.

	* dlls/gdi/metafile.c, dlls/gdi/tests/metafile.c:
	Dmitry Timoshkov <dmitry@codeweavers.com>
	Add a test for SetMetaFileBitsEx, make it pass under Wine.

2005-10-18  Alexandre Julliard  <julliard@winehq.com>

	* dlls/ntdll/path.c: James Hawkins <truiken@gmail.com>
	Set the file_part for \\?\ long file names too.

	* dlls/shell32/shell.c, dlls/shell32/shell32_main.h,
	  dlls/shell32/shlexec.c:
	Dmitry Timoshkov <dmitry@codeweavers.com>
	Use appropriate DDE APIs (ANSI or unicode) for ShellExecuteA/W, Excel
	2000 depends on that.

	* dlls/kernel/module.c, dlls/kernel/tests/module.c:
	Vitaliy Margolen <wine-patch@kievinfo.com>
	LoadLibrary should ignore trailing spaces in the library name.

	* dlls/oleaut32/usrmarshal.c: Huw Davies <huw@codeweavers.com>
	Implement GetContainingTypelib_{Proxy,Stub}.

	* dlls/oleaut32/typelib.c: Huw Davies <huw@codeweavers.com>
	When a dispinterface isn't dual, we should return
	TYPE_E_ELEMENTNOTFOUND when trying to get index -1.

	* programs/winecfg/driveui.c: Ivan Leo Puoti <ivanleo@gmail.com>
	Make drive type an advanced option.

	* dlls/user/edit.c: Vitaliy Margolen <wine-patch@kievinfo.com>
	Return 0 length line as 0 length line for EM_GETLINE.

	* dlls/version/tests/info.c: Paul Vriens <Paul.Vriens@xs4all.nl>
	Wine's behavior is correct now.

	* include/wine/debug.h, libs/wine/debug.c, libs/wine/wine.def,
	  libs/wine/wine.map:
	Added a __wine_dbg_set_channel_flags function to allow changing flags
	from inside the code.

	* dlls/user/message.c, dlls/user/msg16.c, dlls/user/tests/msg.c,
	  dlls/user/winproc.c, dlls/user/winproc.h:
	Frank Richter <frank.richter@gmail.com>
	When doing A->W WM_GETTEXTLENGTH, use WM_GETTEXT behind the scenes to
	obtain an exact length.

	* dlls/kernel/file.c, dlls/kernel/tests/file.c:
	Revert previous change, OF_EXIST really returns HFILE_ERROR.

	* tools/winedump/lnk.c: Mike McCormack <mike@codeweavers.com>
	Make sure the component string is nul terminated.

	* dlls/shell32/shelllink.c: Mike McCormack <mike@codeweavers.com>
	Use ShellLink_QueryInterface to return the right interface in
	IShellLink_Constructor.

	* programs/winecfg/x11drvdlg.c: Rein Klazes <wijn@wanadoo.nl>
	Show desktop mode disabled if the Desktop registry value exists but
	starts with N,n,F,f or 0. This agrees with the logic in x11drv.

	* dlls/gdi/metafile.c, dlls/gdi/tests/metafile.c:
	Dmitry Timoshkov <dmitry@codeweavers.com>
	Add a test for CopyMetaFile, make it pass under Wine.

	* dlls/atl/atl_main.c, dlls/atl/atlbase.h, tools/winapi/win32.api:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Correct AtlModuleAddTermFunc prototype.

2005-10-17  Alexandre Julliard  <julliard@winehq.com>

	* dlls/dsound/buffer.c, dlls/dsound/capture.c, dlls/dsound/dsound.c,
	  dlls/dsound/dsound_main.c, dlls/dsound/duplex.c, dlls/dsound/mixer.c,
	  dlls/dsound/primary.c, dlls/dsound/propset.c, dlls/dsound/sound3d.c:
	Robert Reif <reif@earthlink.net>
	Include winuser.h so the code compiles cleanly on windows using
	windows headers.

	* dlls/kernel/time.c:
	Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de>
	Remove unspecific FIXME.

	* dlls/user/tests/msg.c: Vitaliy Margolen <wine-patch@kievinfo.com>
	Fix one test failing on all windows versions.

	* dlls/kernel/locale.c: Ignore empty environment strings.

	* programs/winecfg/appdefaults.c:
	Vitaliy Margolen <wine-patch@kievinfo.com>
	Remove "Automatically detect windows version". Default to win2k.

	* dlls/ddraw/ddraw_user.c: Christian Costa <titan.costa@wanadoo.fr>
	Enumerate only requested modes by taking into account surface desc
	when present.

	* dlls/msvideo/msvideo_main.c: Christian Costa <titan.costa@wanadoo.fr>
	Fix installable driver removal.

	* dlls/shell32/brsfolder.c: Aric Stewart <aric@codeweavers.com>
	MSDN states that the pszDisplayName member of BROWSEINFO is assumed to
	be MAX_PATH in length. So when doing the A->W conversion in
	BrowseForFolderA do not set that member to be the size of the
	incoming string, instead make it MAX_PATH.

	* dlls/winedos/int21.c: Eric Pouech <eric.pouech@wanadoo.fr>
	ioctl 440F only returns non mapped drives (for now).

2005-10-13  Alexandre Julliard  <julliard@winehq.com>

	* dlls/ntdll/directory.c:
	In parse_mount_entries return the loop device instead of the mounted
	file for loop mounts.

	* programs/winecfg/Bg.rc, programs/winecfg/De.rc,
	  programs/winecfg/En.rc, programs/winecfg/Fi.rc,
	  programs/winecfg/Fr.rc, programs/winecfg/Ja.rc,
	  programs/winecfg/Nl.rc, programs/winecfg/No.rc,
	  programs/winecfg/Ru.rc, programs/winecfg/resource.h,
	  programs/winecfg/winecfg.rc:
	Report the correct version in the About dialog.

	* programs/winecfg/winecfg.c:
	Vitaliy Margolen <wine-patch@kievinfo.com>
	Fix "Remove application" for applications that had some custom
	settings.

	* dlls/riched20/editor.c: Krzysztof Foltman <wdev@foltman.com>
	Fix unnecessary (and harmful) repeated statement.

	* dlls/d3d8/device.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Allow cube textures to be updated.

2005-10-12  Alexandre Julliard  <julliard@winehq.com>

	* server/process.c:
	Removed incorrect process queue check in wait_input_idle.

	* dlls/wined3d/directx.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Changed the way that 24bit and 32bit Adapter and Buffer formats are
	reported allowing EVE online to get past the startup screen and
	allowing the Fur demo (amongst others) to run in a window, as under
	windows, instead of in fullscreen mode.

	* dlls/gdi/enhmetafile.c, dlls/gdi/tests/metafile.c:
	Huw Davies <huw@codeweavers.com>
	Initialize a bunch of dc values to their default before enumerating an
	enhmetafile.
	Add tests for these and for some values that don't get reset.

	* dlls/riched20/list.c, dlls/riched20/style.c:
	Krzysztof Foltman <wdev@foltman.com>
	- Style trace information is written to different debug channel (it's
	  not very useful anymore, reference counting looks correct for now).
	- The document dump contains the character position of the end-of-text
	  mark.

	* dlls/ddraw/device_opengl.c, dlls/ddraw/texture.c:
	Christian Costa <titan.costa@wanadoo.fr>
	Disable depth test when there is no Z buffer attached.
	Initialise texture states at creation instead of when tex name is
	generated.

2005-10-11  Alexandre Julliard  <julliard@winehq.com>

	* dlls/wined3d/drawprim.c, dlls/wined3d/vertexshader.c:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Add checks for ARB_vertex_program before allowing vertex shaders to
	use ARB_vertex_program.

	* dlls/user/tests/monitor.c:
	Stefan Leichter <Stefan.Leichter@camLine.com>
	Make user test loadable on NT4.

	* dlls/kernel/tests/atom.c: Detlef Riekenberg <wine.dev@web.de>
	NT3.51 returns ERROR_MORE_DATA.

	* dlls/dsound/tests/ds3d.c, dlls/dsound/tests/ds3d8.c:
	Mike O'Regan <moregan@stresscafe.com>
	Tests commented out and FIXME-ed long ago now pass.

	* dlls/riched20/writer.c: Phil Krylov <phil@newstar.rinet.ru>
	Fixed encoding of non-ASCII chars.

	* dlls/gdi/painting.c: Dmitry Timoshkov <dmitry@codeweavers.com>
	Add a safety check for number of control points in PolyBezierTo.

	* tools/winedump/main.c: Dmitry Timoshkov <dmitry@codeweavers.com>
	Rename struct option in order to avoid a conflict with wine/port.h.

	* dlls/gdi/clipping.c, dlls/gdi/tests/clipping.c:
	Huw Davies <huw@codeweavers.com>
	If the meta/clip intersection (Rao) region doesn't exist, return
	either the meta or clip region if they do exist.
	Remove the wine_todo's.

	* dlls/x11drv/keyboard.c: Dmitry Timoshkov <dmitry@codeweavers.com>
	Update German and Hungarian keyboard layouts to better match X11
	ones.

	* dlls/kernel/profile.c: Mike McCormack <mike@codeweavers.com>
	Make sure not to strcpy from a NULL default value pointer.

	* dlls/shell32/tests/shlfileop.c: James Hawkins <truiken@gmail.com>
	Test that the FO_COPY action creates output directories if they don't
	exist.

	* dlls/dsound/dsound.c: Robert Reif <reif@earthlink.net>
	Fix PrimaryBufferImpl pointer to deleted DirectSoundImpl.

	* dlls/shell32/shell32.spec: Lionel Ulmer <lionel.ulmer@free.fr>
	- fix first two arguments to 'FindExecutableA' (input strings instead
	  of pointers)
	- fix last argument to 'FindExecutableW' (it's an output string)

2005-10-10  Alexandre Julliard  <julliard@winehq.com>

	* Makefile.in: Removed non-portable ldconfig invocation and misleading
	warning. People who need the extra hand-holding should use
	wineinstall.

	* dlls/ddraw/ddraw_private.h: Lionel Ulmer <lionel.ulmer@free.fr>
	Add an assert if both arguments to DD_STRUCT_COPY_BYSIZE are equal.

	* dlls/gdi/clipping.c, dlls/gdi/tests/.cvsignore,
	  dlls/gdi/tests/Makefile.in, dlls/gdi/tests/clipping.c:
	Huw Davies <huw@codeweavers.com>
	GetRandomRgn only returns the SYSRGN in screen coordinates.
	Add a bunch of tests for GetRandomRgn.

	* dlls/riched20/editor.c: Krzysztof Foltman <wdev@foltman.com>
	Removed buffer overrun error (incrementing output pointer one time too
	much in non-CRLF mode) making KeyNote fail to install.

	* dlls/wined3d/vertexshader.c:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Report unrecognized opcodes as FIXMEs instead of TRACEs so that they
	are easier to spot and fix.

	* tools/wrc/wrc.c: Add current directory to default include path.

	* include/wine/wpp.h, libs/wpp/ppl.l, libs/wpp/preproc.c,
	  libs/wpp/wpp_private.h, tools/widl/parser.l, tools/wrc/parser.y:
	Default search path for an include file should be based on the path of
	the parent source file, not the current directory.

	* dlls/ntdll/time.c: Vijay Kiran Kamuju <infyquest@gmail.com>
	Added PHT time zone.

	* tools/wineprefixcreate.in: Richard Cohen <richard@daijobu.co.uk>
	Don't create old unlocalized directories in wineprefixcreate.

	* dlls/riched20/editor.c: Krzysztof Foltman <wdev@foltman.com>
	The previous implementation was a workaround for off-by-one bug in
	ME_RunOfsFromCharOfs, this one relies on correct behavior of that
	function introduced by the previous patch.

	* dlls/msvcrt/tests/string.c:
	Vitaliy Margolen <wine-patch@kievinfo.com>
	Fix _ismbblead test to pass on windows.

	* dlls/kernel/file.c, dlls/kernel/tests/file.c:
	Maxime Bellengé <maxime.bellenge@laposte.net>
	In case of failure and OF_EXIST is specified, return FALSE instead of
	HFILE_ERROR.

	* programs/wineconsole/wineconsole.c:
	Eric Pouech <eric.pouech@wanadoo.fr>
	Fixed changing console's windows.

	* dlls/riched20/run.c: Krzysztof Foltman <wdev@foltman.com>
	Fixed EOL detection in ME_RunOfsFromCharOfs in 1.0 emulation mode
	(necessary for a non-workaround version of EM_POSFROMCHAR).

	* dlls/quartz/videorenderer.c: Christian Costa <titan.costa@wanadoo.fr>
	Make window uses black brush for background.
	Check format type of video stream.

	* dlls/kernel/volume.c: Christian Costa <titan.costa@wanadoo.fr>
	Add trace to DefineDosDevice.

	* dlls/ddraw/ddraw_main.c, dlls/ddraw/ddraw_private.h,
	  dlls/ddraw/ddraw_utils.c:
	Lionel Ulmer <lionel.ulmer@free.fr>
	- do not pass private data to the application but a copy of it
	- add some more traces

	* dlls/riched20/editor.c: Krzysztof Foltman <wdev@foltman.com>
	Fix a bug in 1.0 emulation mode in EM_LINELENGTH (which broke PTE
	installer).

	* tools/wmc/wmc.c, tools/wmc/wmc.h, tools/wmc/write.c, tools/wrc/wrc.c,
	  tools/wrc/wrc.h:
	Set the version we report in wmc and wrc from the global Wine
	version.

	* dlls/riched20/editor.c: Krzysztof Foltman <wdev@foltman.com>
	Fix 1.0 emulation mode in ME_GetTextW.

	* dlls/shell32/shellpath.c: Richard Cohen <richard@daijobu.co.uk>
	Don't hardcode "windows" directory.
	Make "My Pictures" etc. point to $HOME.

	* dlls/msvcrt/tests/file.c: Richard Cohen <richard@daijobu.co.uk>
	Fix an error message.

	* dlls/dsound/dsound.c: Robert Reif <reif@earthlink.net>
	DirectSoundDevice reference count cleanup.

	* programs/regedit/Bg.rc: Milko Krachounov <milko@3mhz.net>
	Update the Bulgarian resource file.

	* dlls/kernel/process.c: Marcus Meissner <meissner@suse.de>
	Pass characters to get_file_name() helper, not bytes.

	* dlls/ddraw/surface_main.c: Lionel Ulmer <lionel.ulmer@free.fr>
	- pass a copy of the surface description to the application
	- increase the surface reference count when giving the surface pointer
	  to the caller

	* dlls/dsound/tests/dsound8.c: Robert Reif <reif@earthlink.net>
	Fix dsound8 test to deal with an installed but unregistered
	IDirectSound8.

	* programs/winhelp/hlpfile.c: Eric Pouech <eric.pouech@wanadoo.fr>
	Ensure we always have a title for the .hlp file.

	* programs/winedbg/memory.c: Eric Pouech <eric.pouech@wanadoo.fr>
	Handle error conditions for print.

	* dlls/winmm/mciwave/mciwave.c: Eric Pouech <eric.pouech@wanadoo.fr>
	Fixed mmioOpenW flags for playback.

	* programs/wineconsole/user.c: Eric Pouech <eric.pouech@wanadoo.fr>
	- fixed mouse double click and wheeling
	- also handling third mouse button (if any)
	- full support for control/shift modifier

	* programs/winepath/winepath.c:
	Francois Gouget <fgouget@codeweavers.com>
	Add a --windows option for converting a Unix path to a long Windows
	path.
	Fix the description of --long and --short. They are only garanteed to
	work on Windows paths though they will often successfully convert Unix
	paths to Windows paths too.

2005-10-08  Alexandre Julliard  <julliard@winehq.com>

	* tools/widl/widl.c:
	Set the widl version to be the same as the global package version.

	* programs/winepath/winepath.c:
	Set the winepath version to be the same as the global package
	version.

	* dlls/user/dialog.c:
	In DIALOG_FixChildrenOnChangeFocus make sure the button is a push
	button before making it the default.

	* programs/wineconsole/curses.c: Eric Pouech <eric.pouech@wanadoo.fr>
	Function keys now work in curses mode.

	* dlls/msvcrt/tests/file.c: Vitaliy Margolen <wine-patch@kievinfo.com>
	Add a few tests that fail under wine.

	* dlls/rsabase/rsabase.spec:
	Stefan Leichter <Stefan.Leichter@camLine.com>
	Forward the functions DllRegisterServer and DllUnregisterServer of
	rsabase.dll to rsaenh.dll.

	* tools/winapi/win16.api, tools/winapi/win32.api:
	Francois Gouget <fgouget@free.fr>
	Move all Unicode and Ansi string types to the %str and %wstr
	sections.

	* dlls/riched20/list.c, dlls/riched20/run.c:
	Krzysztof Foltman <wdev@foltman.com>
	Send verbose info to different debug channels (richedit_check for
	output from offset checker, richedit_lists for the document list
	dumps).

2005-10-07  Alexandre Julliard  <julliard@winehq.com>

	* programs/notepad/Bg.rc, programs/notepad/Cs.rc,
	  programs/notepad/Da.rc, programs/notepad/De.rc,
	  programs/notepad/En.rc, programs/notepad/Es.rc,
	  programs/notepad/Fi.rc, programs/notepad/Fr.rc,
	  programs/notepad/Hu.rc, programs/notepad/It.rc,
	  programs/notepad/Ja.rc, programs/notepad/Nl.rc,
	  programs/notepad/No.rc, programs/notepad/Pl.rc,
	  programs/notepad/Pt.rc, programs/notepad/Ru.rc,
	  programs/notepad/Si.rc, programs/notepad/Sk.rc,
	  programs/notepad/Sw.rc, programs/notepad/Th.rc,
	  programs/notepad/Wa.rc, programs/notepad/Zh.rc:
	Jonathan Ernst <Jonathan@ErnstFamily.ch>
	Pagesetup dialog fix.

	* dlls/shell32/shellpath.c: Jonathan Ernst <Jonathan@ErnstFamily.ch>
	First creation of registry entries missed AppData.

	* dlls/msvcrt/file.c, dlls/msvcrt/tests/file.c:
	Vitaliy Margolen <wine-patch@kievinfo.com>
	Fix initial position for files opened with O_APPEND flag.

	* dlls/ddraw/ddraw_utils.c, dlls/ddraw/surface_main.c:
	Raphael Junqueira <fenix@club-internet.fr>
	Don't crash if pDDSD is NULL on DirectDrawSurface::Lock.

2005-10-06  Alexandre Julliard  <julliard@winehq.com>

	* loader/wine.man.in, programs/winedbg/.cvsignore,
	  programs/winedbg/Makefile.in, programs/winedbg/winedbg.man,
	  programs/winedbg/winedbg.man.in, server/wineserver.man.in,
	  tools/.cvsignore, tools/Makefile.in, tools/widl/.cvsignore,
	  tools/widl/Makefile.in, tools/widl/widl.man, tools/widl/widl.man.in,
	  tools/winebuild/winebuild.man.in, tools/winedump/.cvsignore,
	  tools/winedump/Makefile.in, tools/winedump/winedump.man,
	  tools/winedump/winedump.man.in, tools/winegcc/.cvsignore,
	  tools/winegcc/Makefile.in, tools/winegcc/winegcc.man,
	  tools/winegcc/winegcc.man.in, tools/winemaker.man,
	  tools/winemaker.man.in, tools/wmc/.cvsignore, tools/wmc/Makefile.in,
	  tools/wmc/wmc.man, tools/wmc/wmc.man.in, tools/wrc/.cvsignore,
	  tools/wrc/Makefile.in, tools/wrc/wrc.man, tools/wrc/wrc.man.in:
	Put Wine version information in all the man pages.

	* Make.rules.in, loader/Makefile.in, server/Makefile.in,
	  tools/winebuild/Makefile.in:
	Added global rules for man pages.

	* dlls/ntdll/server.c:
	Added a critical section around the fd cache until the race conditions
	can be fixed properly.

	* dlls/atl/atl.spec, dlls/atl/atl_main.c, dlls/atl/atlbase.h:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added AtlModuleAddTermFunc implementation.

	* include/Makefile.in, include/security.h:
	Peter Lemenkov <petro@mail.ru>
	Added security.h.

	* dlls/gdi/font.c, dlls/gdi/freetype.c, include/gdi.h:
	Huw Davies <huw@codeweavers.com>
	Add a Wine specific flag to GetRasterizeCaps that reports whether
	freetype's patented hinter is enabled.  This will be used by winex11
	to check whether it should honour the gasp table settings.

	* dlls/x11drv/xrender.c: Huw Davies <huw@codeweavers.com>
	Ignore the gasp table when we have no hinter.

	* dlls/ddraw/ddraw_main.c, dlls/ddraw/tests/ddrawmodes.c:
	Stefan Dösinger <stefandoesinger@gmx.at>
	- Add handling for DDSCL_SETFOCUSWINDOW in SetCooperativeLevel.
	- Print a fixme for DDSCL_CREATEDEVICEWINDOW  and
	  DDSCL_SETDEVICEWINDOW.
	- Don't allow DDSCL_EXCLUSIVE without DDSCL_FULLSCREEN.

	* tools/widl/widl.man, tools/winebuild/winebuild.man.in:
	Fixed some nroff warnings.

	* dlls/comctl32/rebar.c, dlls/comctl32/status.c, dlls/comctl32/tab.c,
	  dlls/comctl32/theming.c, dlls/commdlg/filedlg.c,
	  dlls/commdlg/printdlg.c, dlls/ole32/tests/storage32.c,
	  dlls/shell32/enumidlist.c, dlls/shell32/shfldr_desktop.c,
	  dlls/shell32/tests/shlfolder.c, programs/winefile/winefile.c:
	Francois Gouget <fgouget@free.fr>
	Use "static const" rather than "const static" as gcc -W complains
	about the former.

	* dlls/kernel/tests/atom.c: Vitaliy Margolen <wine-patch@kievinfo.com>
	Fix atom tests on win9x.

	* dlls/kernel/editline.c: Joshua Davies <jdaviestx@comcast.net>
	Windows is returning the length of the string, plus the CRLF
	delimiters, whereas wineconsole is returning one less.

	* dlls/rsaenh/rsaenh.c: Juan Lang <juan_lang@yahoo.com>
	When just a public key is imported, its ALG_ID should be CALG_RSA_SIGN
	rather than CALG_RSA_KEYX.

	* tools/winapi/win32.api, tools/winapi/winapi.pm:
	Francois Gouget <fgouget@free.fr>
	winapi_check does not use the '--extension' flag so remove it.

	* tools/winedump/pe.c: Dmitry Timoshkov <dmitry@codeweavers.com>
	Ignore the delay load directory size.

	* dlls/msxml3/domdoc.c: Huw Davies <huw@codeweavers.com>
	Don't try to release the node if we haven't loaded one.

	* dlls/kernel/sync.c: Vitaliy Margolen <wine-patch@kievinfo.com>
	Add brackets around (a)?b:c construct.

2005-10-04  Alexandre Julliard  <julliard@winehq.com>

	* dlls/kernel/except.c:
	Set WINEDEBUG to an empty value instead of removing it so that it gets
	properly cleared in the debugger.

	* dlls/kernel/process.c:
	Copy WINEDEBUG from the Windows environment to allow passing a
	modified value to a child process.

	* programs/uninstaller/main.c: Vijay Kiran Kamuju <infyquest@gmail.com>
	Fixed uninstaller close button.

	* dlls/comctl32/listview.c: Vitaliy Margolen <wine-patch@kievinfo.com>
	Correct Page Up/Down handling in report mode.

	* dlls/ntdll/signal_i386.c:
	Clear the single-step flag in setup_exception instead of in the
	SIGTRAP handler to avoid having the assigmnent optimized out.

	* tools/winedump/pe.c:
	Fixed dumping of the import directory to ignore the directory size.

	* dlls/ntdll/loader.c:
	Ignore the size of the import directory, process imports until we find
	a null entry.

	* dlls/wined3d/directx.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Provide looser device matching for backbuffer and depth buffer
	formats. It should allow some games and applications to run without X
	being in the correct backbuffer format (e.g. 16 bit games will run
	with a 24bit X backbuffer).

	* dlls/shell32/shellpath.c: Juan Lang <juan_lang@yahoo.com>
	Use wine_get_dos_file_name rather than relying on GetFullPathNameW
	hack.

	* dlls/comctl32/listview.c: Vitaliy Margolen <wine-patch@kievinfo.com>
	Don't start dragging for a single mouse click.

	* tools/winedump/dump.c, tools/winedump/pe.c:
	Dmitry Timoshkov <dmitry@codeweavers.com>
	Add support for dumping delay load PE data.

	* include/windef.h: Dimi Paun <dimi@lattica.com>
	Allow MSVC to use Wine's headers.

	* dlls/version/info.c: James Hawkins <truiken@gmail.com>
	Check the size of the input buffer so we don't write past the end.

	* fonts/Makefile.in: Vincent Béron <vberon@mecano.gme.usherb.ca>
	Sort the font filenames in alphabetical order in fonts/Makefile.in.

	* programs/winecfg/libraries.c: Juan Lang <juan_lang@yahoo.com>
	Remove .dll from DllOverrides entries, such entries are ignored.

	* programs/winetest/Makefile.in:
	Jonathan Ernst <Jonathan@ErnstFamily.ch>
	Make sure we only depend on ddraw_test if X support is enabled.

	* programs/winelauncher.in: Marcus Meissner <marcus@jet.franken.de>
	Dropped the "using native windows libraries" comment.
	Replace winesetup by winecfg. Dropped config file detection.

	* dlls/crypt32/encode.c: Juan Lang <juan_lang@yahoo.com>
	Use correct names when loading registered OID functions.

2005-10-03  Alexandre Julliard  <julliard@winehq.com>

	* dlls/winspool/info.c: Maxime Bellengé <maxime.bellenge@laposte.net>
	Fix a cut&paste mistake.

	* dlls/user/win.c: Vitaliy Margolen <wine-patch@kievinfo.com>
	Use GetSystemMetrics instead of hardcoding drag width & height.

	* dlls/ntdll/server.c:
	Fixed a bug where we could set the wrong handle in the fd cache when
	encountering the race condition in wine_server_handle_to_fd.

	* dlls/comctl32/tab.c: Vitaliy Margolen <wine-patch@kievinfo.com>
	Don't arrange tabs if there is only one line.

	* programs/winetest/Makefile.in: Paul Millar <paul@astro.gla.ac.uk>
	Fix cross-compilation of winetest by update the makefile to use OBJS
	instead of the now absent ALL_OBJS.

	* dlls/riched20/editor.c, dlls/riched20/reader.c:
	Krzysztof Foltman <wdev@foltman.com>
	- Remove another potential sources of infinite loops caused by EOF in
	  the middle of the font and color tables.
	- Closing brace on text level is treated as EOF (effectively
	  protecting the control from trash after the end of RTF).
	- Removed misleading comment about incomplete buffers (I was
	  definitely wrong).

	* programs/winecfg/No.rc: Alexander N. Sørnes <alex@thehandofagony.com>
	Fixed a few missing characters in winecfg.

	* dlls/ntdll/nt.c: Ivan Leo Puoti <ivanleo@gmail.com>
	Make a stub actually say "stub".

	* dlls/user/input.c, dlls/user/tests/win.c:
	Marcus Meissner <marcus@jet.franken.de>
	ReleaseCapture should return TRUE.

	* programs/winedbg/winedbg.c: Eric Pouech <eric.pouech@wanadoo.fr>
	Now printing information when changing function while single stepping.

	* programs/winedbg/types.c: Eric Pouech <eric.pouech@wanadoo.fr>
	Fixed bitfield extraction.

	* include/d3d9types.h, include/dsound.h:
	Robert Reif <reif@earthlink.net>
	Fixes so d3d9.h and dsound.h can be included at the same time.

	* dlls/riched20/editor.c: Krzysztof Foltman <wdev@foltman.com>
	Implemented EM_GETFIRSTVISIBLELINE and EM_POSFROMCHAR (basic
	suboptimal implementation, can be optimized to skip whole paragraphs
	later if it's useful at all).

	* programs/winefile/winefile.c: Martin Fuchs <martin-fuchs@gmx.net>
	Fix font handle leak after closing the 'choose font' dialog (based on
	orginal patch by 'Christoph at ApiViewer.de')

	* dlls/shell32/shlexec.c: Martin Fuchs <martin-fuchs@gmx.net>
	Simplify 'sei' structure initialization in ShellExecuteA/W.

	* dlls/ole32/compobj.c: Robert Shearman <rob@codeweavers.com>
	Pass WM_QUIT to outer modal loop.

	* dlls/user/misc.c, dlls/user/user32.spec:
	Stefan Leichter <Stefan.Leichter@camLine.com>
	Added stub for UnregisterDeviceNotification.

	* programs/wcmd/wcmdmain.c: Brian Grayson <bgrayson@freescale.com>
	Skip tabs in wcmd.

	* dlls/winmm/wineoss/audio.c, dlls/winmm/wineoss/dsrender.c:
	Vitaliy Margolen <wine-patch@kievinfo.com>
	Replace registry editing instructions with winecfg.

	* dlls/dbghelp/stabs.c: Eric Pouech <eric.pouech@wanadoo.fr>
	- N_PSYM stabs blocks (aka parameters) can also contain a typedef
	- shorten some paths

	* programs/winedbg/types.c: Eric Pouech <eric.pouech@wanadoo.fr>
	Fixed array dereferencing.

	* dlls/winsock/Makefile.in: Dmitry Timoshkov <dmitry@codeweavers.com>
	Move user32 to delay loaded imports.

	* dlls/winedos/module.c: Dmitry Timoshkov <dmitry@codeweavers.com>
	Convert a WARN to a FIXME to make it visible to a user, replace an ERR
	by a FIXME as it's more appropriate.

	* dlls/dxerr8/errors.awk, dlls/dxerr9/errors.awk:
	Robert Reif <reif@earthlink.net>
	Add support for errors with more than one name.

	* dlls/wined3d/directx.c: Marcus Meissner <marcus@jet.franken.de>
	Use correct minLookup[] array entry.

	* programs/winelauncher.in: Marcus Meissner <marcus@jet.franken.de>
	Do not append empty ":" in LD_LIBRARY_PATH.

	* dlls/riched20/editor.c: Krzysztof Foltman <wdev@foltman.com>
	Fixed another case of misunderstanding MSDN wrt StreamInProc, causing
	license text to be truncated in Picasa installer (as well as some
	other programs, especially those that display long texts with NSIS).

2005-09-30  Alexandre Julliard  <julliard@winehq.com>

	* ANNOUNCE, ChangeLog, VERSION, configure: Release 20050930.

----------------------------------------------------------------
2005-09-30  Alexandre Julliard  <julliard@winehq.com>

	* dlls/crypt32/encode.c, dlls/crypt32/tests/encode.c:
	Juan Lang <juan_lang@yahoo.com>
	Make CryptImport/ExportPublicKeyInfoEx behave the way MSDN describes
	them, and a couple of tests.

	* include/wincrypt.h: Juan Lang <juan_lang@yahoo.com>
	Add defines needed for installable OID functions.

	* include/dplay8.h: Robert Reif <reif@earthlink.net>
	Added missing error code.

	* dlls/winedos/dosvm.c: Gerald Pfeifer <gerald@pfeifer.com>
	We only need the relay debug channel on MZ_SUPPORTED platforms.

	* dlls/urlmon/sec_mgr.c, dlls/urlmon/tests/misc.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added GetZoneActionPolicy implementation.

	* programs/uninstaller/Fi.rc, programs/uninstaller/rsrc.rc:
	Kimmo Myllyvirta <kimmo.myllyvirta@gmail.com>
	Finnish resources for uninstaller.

	* dlls/ntdll/tests/.cvsignore, dlls/ntdll/tests/Makefile.in,
	  dlls/ntdll/tests/om.c:
	Vitaliy Margolen <wine-patch@kievinfo.com>
	Add a few tests for object manager.

	* dlls/kernel/sync.c, dlls/kernel/virtual.c:
	Vitaliy Margolen <wine-patch@kievinfo.com>
	Add brackets around (a)?b:c construct.

	* dlls/msi/action.c, dlls/msi/helpers.c, dlls/msi/msi.c,
	  dlls/msi/msipriv.h:
	Mike McCormack <mike@codeweavers.com>
	Rename ACTION_DoTopLevelINSTALL to MSI_InstallPackage, remove its
	duplicate 4th parameter.
	Split the code to copy a package into a separate function.

2005-09-29  Alexandre Julliard  <julliard@winehq.com>

	* tools/winebuild/build.h, tools/winebuild/main.c,
	  tools/winebuild/parser.c, tools/winebuild/spec32.c,
	  tools/winebuild/winebuild.man.in:
	Get rid of the debug channels support.

	* dlls/user/defwnd.c, dlls/user/tests/win.c:
	Jason Edmeades <us@edmeades.me.uk>
	Always return MA_ACTIVATE for WM_MOUSEACTIVATE in DefWindowProc.

	* dlls/winspool/info.c, dlls/wldap32/ber.c:
	Kevin Koltzau <kevin@plop.org>
	Fix warnings in 64bit.

	* dlls/wininet/internet.c: Denis Lukianov <denis@voxelsoft.com>
	Use ICU_BROWSER_MODE in InternetCanonicalizeUrl.

	* include/wine/debug.h, libs/wine/debug.c, libs/wine/wine.def,
	  libs/wine/wine.map:
	Export the get_channel_flags function avoid warnings when passing a
	NULL format to wine_dbg_log.
	Removed a few no longer used functions.

	* dlls/msi/dialog.c: Mike McCormack <mike@codeweavers.com>
	Avoid UpdateWindow, it causes trouble with WS_EX_TRANSPARENT.

	* dlls/wined3d/device.c: Vincent Béron <vberon@mecano.gme.usherb.ca>
	Don't define some functions/variables if they won't be used after in
	wined3d.

	* tools/winemaker: Removed rules for .dbg.c files.

	* dlls/activeds/.cvsignore, dlls/advapi32/.cvsignore,
	  dlls/advpack/.cvsignore, dlls/amstream/.cvsignore,
	  dlls/atl/.cvsignore, dlls/avicap32/.cvsignore,
	  dlls/avifil32/.cvsignore, dlls/cabinet/.cvsignore,
	  dlls/capi2032/.cvsignore, dlls/cards/.cvsignore,
	  dlls/cfgmgr32/.cvsignore, dlls/comcat/.cvsignore,
	  dlls/comctl32/.cvsignore, dlls/commdlg/.cvsignore,
	  dlls/crtdll/.cvsignore, dlls/crypt32/.cvsignore,
	  dlls/cryptdll/.cvsignore, dlls/ctl3d/.cvsignore,
	  dlls/d3d8/.cvsignore, dlls/d3d9/.cvsignore, dlls/d3dim/.cvsignore,
	  dlls/d3drm/.cvsignore, dlls/d3dx8/.cvsignore, dlls/d3dxof/.cvsignore,
	  dlls/dbghelp/.cvsignore, dlls/dciman32/.cvsignore,
	  dlls/ddraw/.cvsignore, dlls/devenum/.cvsignore,
	  dlls/dinput/.cvsignore, dlls/dinput8/.cvsignore,
	  dlls/dmband/.cvsignore, dlls/dmcompos/.cvsignore,
	  dlls/dmime/.cvsignore, dlls/dmloader/.cvsignore,
	  dlls/dmscript/.cvsignore, dlls/dmstyle/.cvsignore,
	  dlls/dmsynth/.cvsignore, dlls/dmusic/.cvsignore,
	  dlls/dmusic32/.cvsignore, dlls/dplay/.cvsignore,
	  dlls/dplayx/.cvsignore, dlls/dpnet/.cvsignore,
	  dlls/dpnhpast/.cvsignore, dlls/dsound/.cvsignore,
	  dlls/dswave/.cvsignore, dlls/dxdiagn/.cvsignore,
	  dlls/dxerr8/.cvsignore, dlls/dxerr9/.cvsignore, dlls/gdi/.cvsignore,
	  dlls/glu32/.cvsignore, dlls/glut32/.cvsignore,
	  dlls/hhctrl.ocx/.cvsignore, dlls/iccvid/.cvsignore,
	  dlls/icmp/.cvsignore, dlls/ifsmgr.vxd/.cvsignore,
	  dlls/imagehlp/.cvsignore, dlls/imm32/.cvsignore,
	  dlls/iphlpapi/.cvsignore, dlls/itss/.cvsignore,
	  dlls/kernel/.cvsignore, dlls/lzexpand/.cvsignore,
	  dlls/mapi32/.cvsignore, dlls/mciavi32/.cvsignore,
	  dlls/mcicda/.cvsignore, dlls/mciseq/.cvsignore,
	  dlls/midimap/.cvsignore, dlls/mlang/.cvsignore,
	  dlls/mmdevldr.vxd/.cvsignore, dlls/monodebg.vxd/.cvsignore,
	  dlls/mpr/.cvsignore, dlls/msacm/.cvsignore,
	  dlls/msacm/imaadp32/.cvsignore, dlls/msacm/msadp32/.cvsignore,
	  dlls/msacm/msg711/.cvsignore, dlls/msacm/winemp3/.cvsignore,
	  dlls/mscms/.cvsignore, dlls/msdmo/.cvsignore, dlls/mshtml/.cvsignore,
	  dlls/msi/.cvsignore, dlls/msimg32/.cvsignore, dlls/msisys/.cvsignore,
	  dlls/msnet32/.cvsignore, dlls/msrle32/.cvsignore,
	  dlls/msvcrt/.cvsignore, dlls/msvcrt20/.cvsignore,
	  dlls/msvcrt40/.cvsignore, dlls/msvcrtd/.cvsignore,
	  dlls/msvidc32/.cvsignore, dlls/msvideo/.cvsignore,
	  dlls/mswsock/.cvsignore, dlls/msxml3/.cvsignore,
	  dlls/netapi32/.cvsignore, dlls/newdev/.cvsignore,
	  dlls/ntdll/.cvsignore, dlls/objsel/.cvsignore,
	  dlls/odbc32/.cvsignore, dlls/odbccp32/.cvsignore,
	  dlls/ole32/.cvsignore, dlls/oleacc/.cvsignore,
	  dlls/oleaut32/.cvsignore, dlls/olecli/.cvsignore,
	  dlls/oledlg/.cvsignore, dlls/olepro32/.cvsignore,
	  dlls/olesvr/.cvsignore, dlls/opengl32/.cvsignore,
	  dlls/powrprof/.cvsignore, dlls/psapi/.cvsignore,
	  dlls/qcap/.cvsignore, dlls/quartz/.cvsignore,
	  dlls/rasapi32/.cvsignore, dlls/riched20/.cvsignore,
	  dlls/richedit/.cvsignore, dlls/rpcrt4/.cvsignore,
	  dlls/rsabase/.cvsignore, dlls/rsaenh/.cvsignore,
	  dlls/secur32/.cvsignore, dlls/sensapi/.cvsignore,
	  dlls/serialui/.cvsignore, dlls/setupapi/.cvsignore,
	  dlls/shdocvw/.cvsignore, dlls/shell32/.cvsignore,
	  dlls/shfolder/.cvsignore, dlls/shlwapi/.cvsignore,
	  dlls/snmpapi/.cvsignore, dlls/stdole2.tlb/.cvsignore,
	  dlls/stdole32.tlb/.cvsignore, dlls/sti/.cvsignore,
	  dlls/tapi32/.cvsignore, dlls/ttydrv/.cvsignore,
	  dlls/twain/.cvsignore, dlls/unicows/.cvsignore, dlls/url/.cvsignore,
	  dlls/urlmon/.cvsignore, dlls/user/.cvsignore, dlls/usp10/.cvsignore,
	  dlls/uxtheme/.cvsignore, dlls/vdhcp.vxd/.cvsignore,
	  dlls/vdmdbg/.cvsignore, dlls/version/.cvsignore,
	  dlls/vmm.vxd/.cvsignore, dlls/vnbt.vxd/.cvsignore,
	  dlls/vnetbios.vxd/.cvsignore, dlls/vtdapi.vxd/.cvsignore,
	  dlls/vwin32.vxd/.cvsignore, dlls/win32s/.cvsignore,
	  dlls/winaspi/.cvsignore, dlls/wined3d/.cvsignore,
	  dlls/winedos/.cvsignore, dlls/wineps/.cvsignore,
	  dlls/wininet/.cvsignore, dlls/winmm/.cvsignore,
	  dlls/winmm/joystick/.cvsignore, dlls/winmm/mciwave/.cvsignore,
	  dlls/winmm/wavemap/.cvsignore, dlls/winmm/winealsa/.cvsignore,
	  dlls/winmm/winearts/.cvsignore, dlls/winmm/wineaudioio/.cvsignore,
	  dlls/winmm/wineesd/.cvsignore, dlls/winmm/winejack/.cvsignore,
	  dlls/winmm/winenas/.cvsignore, dlls/winmm/wineoss/.cvsignore,
	  dlls/winnls/.cvsignore, dlls/winsock/.cvsignore,
	  dlls/winspool/.cvsignore, dlls/wintab32/.cvsignore,
	  dlls/wintrust/.cvsignore, dlls/wldap32/.cvsignore,
	  dlls/wow32/.cvsignore, dlls/wsock32/.cvsignore,
	  dlls/wtsapi32/.cvsignore, dlls/x11drv/.cvsignore,
	  programs/clock/.cvsignore, programs/cmdlgtst/.cvsignore,
	  programs/control/.cvsignore, programs/expand/.cvsignore,
	  programs/hh/.cvsignore, programs/msiexec/.cvsignore,
	  programs/notepad/.cvsignore, programs/progman/.cvsignore,
	  programs/regedit/.cvsignore, programs/regsvr32/.cvsignore,
	  programs/rpcss/.cvsignore, programs/rundll32/.cvsignore,
	  programs/start/.cvsignore, programs/taskmgr/.cvsignore,
	  programs/uninstaller/.cvsignore, programs/view/.cvsignore,
	  programs/wcmd/.cvsignore, programs/wineboot/.cvsignore,
	  programs/winebrowser/.cvsignore, programs/winecfg/.cvsignore,
	  programs/wineconsole/.cvsignore, programs/winedbg/.cvsignore,
	  programs/winefile/.cvsignore, programs/winemenubuilder/.cvsignore,
	  programs/winemine/.cvsignore, programs/winepath/.cvsignore,
	  programs/winetest/.cvsignore, programs/winevdm/.cvsignore,
	  programs/winhelp/.cvsignore, programs/winver/.cvsignore:
	We are no longer generating .dbg.c files.

	* dlls/commdlg/cdlg_Fi.rc:
	Kimmo Myllyvirta <kimmo.myllyvirta@gmail.com>
	Bring Finnish resources up to date.

	* programs/regedit/treeview.c:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Remove unused function from regedit/treeview.c.

	* dlls/wininet/tests/http.c:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Cast the result of strlen() to DWORD and print it via %ld to get rid
	of warnings with gcc 3.2.

	* tools/winapi/winapi_check:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Update winapi_check for "false" HAVE_* macros.

	* tools/winapi/win32.api: Vincent Béron <vberon@mecano.gme.usherb.ca>
	Update win32.api to current CVS.

	* dlls/msi/action.c: Mike McCormack <mike@codeweavers.com>
	Create a function to read a property as an integer.

	* dlls/wined3d/surface.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Added support for backbuffer with the formats A1R5G5B5 and X1R5G5B5.

	* dlls/d3d8/surface.c, dlls/d3d8/utils.c:
	H. Verbeet <hverbeet@gmail.com>
	Fix DXT2 & DXT4 support for d3d8.

	* dlls/riched20/editor.c, dlls/riched20/editor.h,
	  dlls/riched20/editstr.h, dlls/riched20/row.c:
	Krzysztof Foltman <wdev@foltman.com>
	- Reimplementation of EM_LINELENGTH.
	- Some attempt at documentation of double-linked list of
	  ME_DisplayItem's.

	* dlls/urlmon/urlmon.inf: Jacek Caban <jack@itma.pwr.wroc.pl>
	Register zones.

	* dlls/urlmon/sec_mgr.c, dlls/urlmon/tests/misc.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added MapUrlToZone implementation.

	* dlls/ole32/defaulthandler.c: Robert Shearman <rob@codeweavers.com>
	Add a stubbed out implementation of IAdviseSink and advise the
	delegate object to use it.

2005-09-28  Alexandre Julliard  <julliard@winehq.com>

	* Make.rules.in, Makefile.in, dlls/Makedll.rules.in,
	  dlls/dxerr8/Makefile.in, dlls/dxerr9/Makefile.in,
	  dlls/kernel/process.c, dlls/ntdll/debugtools.c, include/wine/debug.h,
	  programs/Makeprog.rules.in:
	Declare debug channels as static variables so that we don't need to
	generate an external .dbg.c file to define them.

	* dlls/ole32/defaulthandler.c: Robert Shearman <rob@codeweavers.com>
	- Make the interfaces that should be supported by the data cache
	  explicit so their is no confusion in this file as to what it should
	  be implementing and what this object should implement.
	- Delegate some IOleObject methods to the server IOleObject if it is
	  running.

	* dlls/ntdll/critsection.c:
	Use Linux futexes instead of semaphores if possible for critical
	section waits.

	* Make.rules.in, libs/wpp/.cvsignore, libs/wpp/Makefile.in,
	  libs/wpp/ppl.l, programs/winedbg/.cvsignore,
	  programs/winedbg/Makefile.in, programs/winedbg/debug.l,
	  tools/makedep.c, tools/widl/.cvsignore, tools/widl/Makefile.in,
	  tools/widl/parser.l, tools/wmc/.cvsignore, tools/wmc/Makefile.in,
	  tools/wmc/mcl.c, tools/wrc/.cvsignore, tools/wrc/Makefile.in,
	  tools/wrc/parser.l:
	Now that we are requiring bison anyway, make the .tab.c file use the
	same base name as the .y file, so that we can generate correct
	dependencies in all cases.

	* dlls/ole32/datacache.c:
	Alex Villacís Lasso <a_villacis@palosanto.com>
	Add NULL check for sinkInterface in DataCache_GetAdvise.

	* dlls/ole32/defaulthandler.c:
	Alex Villacís Lasso <a_villacis@palosanto.com>
	Add missing ! to fix a reversed condition check in
	OleCreateDefaultHandler, in order to match intent in comment.

	* dlls/crypt32/encode.c, dlls/crypt32/tests/encode.c:
	Juan Lang <juan_lang@yahoo.com>
	Encode RSA public key modulus as unsigned integer, with tests.

	* dlls/d3d8/d3d8_private.h, dlls/opengl32/opengl_ext.h,
	  include/wine/wined3d_gl.h:
	H. Verbeet <hverbeet@gmail.com>
	Fix missing prototypes when using nVidia OpenGL headers.

	* dlls/user/tests/msg.c: Dmitry Timoshkov <dmitry@codeweavers.com>
	Explicitly ignore WM_GETICON message in the message tests.

	* dlls/x11drv/opengl.c: Gerald Pfeifer <gerald@pfeifer.com>
	Use 0 instead of NULL in create_glxpixmap().

	* dlls/msi/action.c: Mike McCormack <mike@codeweavers.com>
	Add some more action stubs, remove forward declarations.

	* include/wine/debug.h, libs/wine/debug.c, libs/wine/loader.c,
	  libs/wine/wine.def, libs/wine/wine.map, programs/taskmgr/dbgchnl.c,
	  programs/winedbg/info.c:
	New scheme for keeping track of debug channels that doesn't require
	maintaining a list of all loaded dlls.

	* dlls/user/tests/msg.c, dlls/x11drv/winpos.c:
	Dmitry Timoshkov <dmitry@codeweavers.com>
	Make DrawMenuBar and SetMenu tests pass under Wine.

	* dlls/msi/action.c: Mike McCormack <mike@codeweavers.com>
	Split command line parsing from MSI_InstallPackage into a separate
	function.

	* dlls/msi/dialog.c: Mike McCormack <mike@codeweavers.com>
	Add the progress control.

	* server/object.c: Vitaliy Margolen <wine-devel@kievinfo.com>
	Fix refcount leak and return correct error in create_named_object.

	* dlls/msi/msipriv.h, dlls/msi/msiquery.c, dlls/msi/sql.y,
	  dlls/msi/table.c, dlls/msi/tests/db.c:
	Mike McCormack <mike@codeweavers.com>
	Fix and test MsiViewGetColumnInfo and binary fields.

	* dlls/msi/custom.c: Mike McCormack <mike@codeweavers.com>
	Don't quote numbers in a query, as it doesn't parse correctly.

	* dlls/advapi32/crypt.c, dlls/advapi32/tests/crypt.c:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Remove some Unicode->ANSI cross-calls in crypt functions.

	* dlls/mlang/mlang.c, dlls/mlang/tests/mlang.c:
	Aric Stewart <aric@codeweavers.com>
	Implement a basic beginning for fnIMLangFontLink_CodePageToCodePages,
	fnIMLangFontLink_CodePagesToCodePage and
	fnIMLangFontLink_GetFontCodePages.
	Also some tests for the new functions.

	* dlls/kernel/tests/atom.c: Eric Pouech <eric.pouech@wanadoo.fr>
	Added a bunch of test cases for atoms.

	* dlls/user/misc.c, dlls/user/tests/.cvsignore,
	  dlls/user/tests/Makefile.in, dlls/user/tests/monitor.c,
	  include/winuser.h:
	Huw Davies <huw@codeweavers.com>
	EnumDisplayDevices and GetMonitorInfo should return the same device
	name for the primary device.
	Make both EnumDisplayDevicesA and GetMonitorInfoA call their unicode
	counterparts.
	Update prototype of EnumDisplayDevices.
	Add some tests.

	* dlls/setupapi/Sv.rc, dlls/setupapi/setupapi.rc:
	Anders Bergh <anders1@gmail.com>
	Added Swedish translation.

	* dlls/hhctrl.ocx/help.c: James Hawkins <truiken@gmail.com>
	- Store the HHInfo struct in the SizeBar hwnd.
	- Set the default navigation pane width if no width provided.
	- Handle dragging of the SizeBar.

	* tools/winapi/winapi_check:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Don't treat absence of conditional as config.h being useless if
	wine/port.h is included, as it's necessary in that case.

	* dlls/crypt32/crypt32.spec, dlls/crypt32/encode.c,
	  dlls/crypt32/tests/encode.c:
	Juan Lang <juan_lang@yahoo.com>
	Implement CryptImport/ExportPublicKeyInfo.

	* include/wincrypt.h: Juan Lang <juan_lang@yahoo.com>
	Add a few more missing prototypes.

	* dlls/gdi/font.c: Dmitry Timoshkov <dmitry@codeweavers.com>
	Draw underline and strikeout for ExtTextOut on an open path using
	Polygon to more closely mimic what Windows does.

	* dlls/Makedll.rules.in: Mike McCormack <mike@codeweavers.com>
	Make sure to build the def file after a make clean in a module
	subdir.

	* dlls/msi/custom.c, dlls/msi/handle.c, dlls/msi/msi.c, dlls/msi/msipriv.h:
	Mike McCormack <mike@codeweavers.com>
	Don't create MSI handles unless we have to pass one through the API.

	* dlls/wined3d/device.c, dlls/wined3d/stateblock.c,
	  dlls/wined3d/wined3d_private.h:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Implement state tracking for pixel shader constants.

2005-09-27  Alexandre Julliard  <julliard@winehq.com>

	* dlls/kernel/ne_segment.c:
	Don't apply relocations a second time to self loaded segments.
	Fixed messed up indentation in NE_FixupSegmentPrologs.

	* server/.cvsignore, server/Makefile.in, server/wineserver.man.in:
	Initial version of a wineserver man page.

	* dlls/msvcrt/msvcrt.spec, dlls/msvcrt/time.c, include/msvcrt/time.h:
	Added implementation of _dstbias and  __p__dstbias.
	Added macros for _dstbias, _daylight, _timezone and _tzname.

	* dlls/kernel/process.c, dlls/ntdll/process.c, include/winbase.h,
	  include/wine/server_protocol.h, server/process.c,
	  server/protocol.def, server/trace.c:
	Eric Pouech <eric.pouech@wanadoo.fr>
	Implemented kernel32 process affinity handling on top on ntdll.

	* dlls/wined3d/drawprim.c, dlls/wined3d/surface.c:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Change the format of surface_SaveSnapshot to TGA from PPM and add
	support for compressed textures and an alpha channel.

	* server/handle.c:
	Use the proper format to print handles in handle_table_dump.

	* dlls/ntdll/signal_i386.c: Fixed exception handling on MacOS.

	* dlls/ddraw/clipper.c:
	The clip list is in screen coordinates so we need to map the result of
	GetRandomRgn if the Windows version is win9x.

	* programs/winedbg/memory.c:
	Fixed disassembling functions to handle 16-bit code segments properly.

	* dlls/msvideo/msvideo16.c, dlls/ole32/ole2nls.c:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Use the proper calling convention for 2 16-bit functions.

	* dlls/wined3d/surface.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Correct a problem with locking nonpower 2 back and front buffers.

	* dlls/kernel/comm.c: Alex Villacís Lasso <a_villacis@palosanto.com>
	Tolerate ioctl failure in GetCommState() in order to be capable to use
	softmodems.

2005-09-26  Alexandre Julliard  <julliard@winehq.com>

	* dlls/user/tests/win.c:
	Added a test to confirm the behavior of GetRandomRgn.

	* dlls/ntdll/debugtools.c, include/wine/debug.h, libs/wine/debug.c:
	Export the temp buffer functionality in the debug functions interface
	to allow sharing more code between libwine and ntdll.

	* dlls/activeds/activeds.spec, dlls/activeds/activeds_main.c,
	  include/.cvsignore, include/Makefile.in, include/adshlp.h,
	  include/iads.idl, tools/winapi/win32.api:
	Francois Gouget <fgouget@free.fr>
	Add iads.idl to define the IADsContainer interface.
	Add adshlp.h to declare the ADs* functions.
	Fix the ADsOpenObject() prototype.
	Update win32.api to match.

	* dlls/riched20/editor.c: Rein Klazes <wijn@wanadoo.nl>
	When scrolling, first update the new position of the control before
	calling UpdateWindow().

	* programs/regedit/De.rc: Henning Gerhardt <henning.gerhardt@web.de>
	Update German regedit resource file.

	* dlls/d3dxof/d3dxof.spec: Francois Gouget <fgouget@free.fr>
	Export the Dll(Un)RegisterServer() functions to make d3dxof.dll a
	self-registering dll.

	* dlls/dxguid/dxguid.c, include/d3drm.h:
	Francois Gouget <fgouget@free.fr>
	Define the Direct3DRM GUIDs in d3drm.h.
	Include d3drm.h in dxguid.

	* dlls/kernel/sync.c, dlls/ntdll/critsection.c, include/wine/port.h,
	  libs/port/interlocked.c, libs/wine/debug.c, loader/kthread.c,
	  server/change.c:
	Use int instead of long in interlocked_* functions for 64-bit
	compatibility.

	* dlls/kernel/path.c:
	Use a larger buffer in CopyFileW now that the file handle may not
	always be cached.

	* dlls/msi/table.c: Mike McCormack <mike@codeweavers.com>
	Create a function to determine the table's row size and use it.
	Fix a memory leak in the table code.

	* tools/winapi/c_parser.pm: Francois Gouget <fgouget@free.fr>
	volatile is valid everywhere const is valid.

	* programs/wcmd/No.rc, programs/wcmd/wcmdrc.rc,
	  programs/wineconsole/wineconsole_No.rc,
	  programs/wineconsole/wineconsole_res.rc:
	Alexander N. Sørnes <alex@thehandofagony.com>
	Norwegian translation of wcmd and wineconsole.

	* dlls/x11drv/bitmap.c, dlls/x11drv/init.c, dlls/x11drv/opengl.c,
	  dlls/x11drv/x11drv.h:
	Huw Davies <huw@codeweavers.com>
	Add an x11drv escape that returns a glx drawable.

	* programs/cmdlgtst/No.rc, programs/cmdlgtst/cmdlgr.rc,
	  programs/progman/No.rc, programs/progman/rsrc.rc,
	  programs/regedit/No.rc, programs/regedit/rsrc.rc,
	  programs/start/No.rc, programs/start/rsrc.rc, programs/view/No.rc,
	  programs/view/viewrc.rc:
	Alexander N. Sørnes <alex@thehandofagony.com>
	Added Norwegian translation of some programs.

	* dlls/kernel/sync.c, dlls/ntdll/file.c,
	  include/wine/server_protocol.h, server/named_pipe.c,
	  server/protocol.def, server/trace.c:
	Eric Pouech <eric.pouech@wanadoo.fr>
	- now passing access rights when creating a named pipe in NTDLL
	- reimplemented Kernel32.CreatePipe purely on top of NTDLL APIs
	- anonymous pipe handles should have the SYNCHRONIZE bit set

	* dlls/ntdll/heap.c, dlls/ole32/defaulthandler.c,
	  dlls/wined3d/device.c, dlls/wined3d/vertexshader.c,
	  dlls/wined3d/wined3d_private.h:
	Francois Gouget <fgouget@free.fr>
	Assorted spelling fixes.

	* dlls/mpr/mpr.rc, dlls/mpr/mpr_No.rc, dlls/msacm/msacm.rc,
	  dlls/msacm/msacm_No.rc, dlls/msrle32/msrle_No.rc,
	  dlls/msrle32/rsrc.rc, dlls/oledlg/oledlg_No.rc, dlls/oledlg/rsrc.rc,
	  dlls/shdocvw/No.rc, dlls/shdocvw/shdocvw.rc, dlls/shlwapi/shlwapi.rc,
	  dlls/shlwapi/shlwapi_No.rc, dlls/user/resources/user32_No.rc,
	  dlls/wineps/rsrc.rc, dlls/wineps/wps_No.rc, dlls/wininet/rsrc.rc,
	  dlls/wininet/wininet_No.rc, dlls/winmm/winmm_No.rc,
	  dlls/winmm/winmm_res.rc, dlls/wldap32/wldap32.rc,
	  dlls/wldap32/wldap32_No.rc:
	Alexander N. Sørnes <alex@thehandofagony.com>
	Added Norwegian translations.

	* dlls/msi/package.c, dlls/msi/select.c, dlls/msi/sql.y,
	  dlls/msi/update.c, dlls/msi/where.c:
	Mike McCormack <mike@codeweavers.com>
	Fix various query related memory leaks.

	* programs/winefile/De.rc: Henning Gerhardt <henning.gerhardt@web.de>
	Update German resource file.

	* programs/regedit/En.rc, programs/regedit/Nl.rc,
	  programs/regedit/Pl.rc, programs/regedit/Pt.rc,
	  programs/regedit/childwnd.c, programs/regedit/framewnd.c,
	  programs/regedit/main.h, programs/regedit/resource.h,
	  programs/regedit/treeview.c:
	Krzysztof Foltman <wdev@foltman.com>
	- Copy key name works.
	- Favorites (adding, removing, going to) work.
	- Added context sensitive graying to some menu options.
	- Cleanup of status bar update.

	* dlls/ntdll/virtual.c, dlls/user/menu.c:
	Francois Gouget <fgouget@free.fr>
	Replace the 'if (!cond) ; else code' construct with the standard 'do {
	code } while (0)' construct combined with a regular 'if'.

	* dlls/ole32/ole2.spec, dlls/ole32/storage.spec,
	  dlls/oleaut32/oleaut32.spec, dlls/shlwapi/shlwapi.spec:
	Francois Gouget <fgouget@free.fr>
	Fix .spec declarations for functinos with 64bit arguments (reported by
	winapi_check).

	* dlls/msi/action.c: Mike McCormack <mike@codeweavers.com>
	Make a macro function for unimplemented actions.
	Add some more unimplemented action stubs.

	* dlls/ntdll/time.c: Vijay Kiran Kamuju <infyquest@gmail.com>
	Add MYT (Malaysian Time) and NOVST (Novosibirsk Summer Time).

	* dlls/msi/msiquery.c: Mike McCormack <mike@codeweavers.com>
	Fill out the stubs for MsiApplyTransformA/W a bit more.

	* dlls/user/tests/dde.c: Dmitry Timoshkov <dmitry@codeweavers.com>
	Calling DdeUninitialize hangs DDE test on XP SP1, so remove that call,
	and add a comment explaining it.

	* dlls/msi/tests/format.c, dlls/msi/tests/package.c:
	Mike McCormack <mike@codeweavers.com>
	Fix handle leaks in the test cases.

	* dlls/msi/string.c: Mike McCormack <mike@codeweavers.com>
	Make sure to set the minimum size before allocating string table
	memory.

	* dlls/msvcrt/file.c: Francois Gouget <fgouget@free.fr>
	Make it clear the empty body sections are not accidental.

	* tools/winapi/win16.api: Francois Gouget <fgouget@free.fr>
	HOLEMENU is a 'long' as far as winapi_check is concerned.

	* dlls/shell32/shell32_Fi.rc:
	Kimmo Myllyvirta <kimmo.myllyvirta@gmail.com>
	Update Finnish resources.

	* dlls/riched20/reader.c: Krzysztof Foltman <wdev@foltman.com>
	- Optional destinations in stylesheets are now skipped properly (and
	  not treated as the "proper" styles as they were before).
	- EOF condition in the middle of the stylesheet is no longer putting
	  the reader into infinite loop,
	- Half-full input buffers don't trigger EOF anymore (although it
	  could, in theory, break some apps, I find it unlikely - and the
	  change makes Out from Boneville installer display license properly).

	* tools/winapi/win32.api: Francois Gouget <fgouget@free.fr>
	Update win32.api to match the current sources.
	Fix the usp10.dll name.
	Fix PBERVAL alphabetical order.

	* dlls/d3d8/shader.c, dlls/d3d9/d3d9_main.c:
	Francois Gouget <fgouget@free.fr>
	Documentation tweaks to make winapi_check happy.

	* include/vfw.h: Francois Gouget <fgouget@free.fr>
	Add AVISTREAMREAD_CONVENIENT.

	* dlls/oleaut32/tests/olefont.c, dlls/secur32/tests/main.c:
	Francois Gouget <fgouget@free.fr>
	Add trailing '\n's to ok() calls.

	* tools/winapi/winapi_function.pm, tools/winapi/winapi_local.pm:
	Francois Gouget <fgouget@free.fr>
	Update winapi_check so it considers 'longlong' (win*.api files) as
	compatible with 'double' (spec files).

	* programs/winecfg/x11drvdlg.c:
	Christian Costa <titan.costa@wanadoo.fr>
	Screen depth cannot be selected when double buffering is enabled.
	Disable depth selection when it's the case.

2005-09-25  Alexandre Julliard  <julliard@winehq.com>

	* dlls/kernel/instr.c, dlls/kernel/local16.c, dlls/kernel/ne_module.c,
	  dlls/kernel/version.c, dlls/msvcrt/cppexcept.c, dlls/ntdll/virtual.c,
	  dlls/opengl32/wgl.c, dlls/quartz/dsoundrender.c,
	  dlls/quartz/transform.c, dlls/quartz/videorenderer.c,
	  dlls/user/menu.c, dlls/x11drv/opengl.c:
	Replace DPRINTF by TRACE in a few places.

	* dlls/mshtml/No.rc, dlls/mshtml/rsrc.rc:
	Alexander N. Sørnes <alex@thehandofagony.com>
	Norwegian translation of mshtml.

	* dlls/avifil32/avifile_No.rc, dlls/avifil32/rsrc.rc,
	  dlls/hhctrl.ocx/No.rc, dlls/hhctrl.ocx/hhctrl.rc,
	  dlls/serialui/No.rc, dlls/serialui/serialui_rc.rc,
	  dlls/setupapi/No.rc, dlls/setupapi/setupapi.rc:
	Alexander N. Sørnes <alex@thehandofagony.com>
	Added Norwegian translations.

	* dlls/ddraw/d3d_private.h, dlls/ddraw/device_main.c,
	  dlls/ddraw/device_opengl.c:
	Christian Costa <titan.costa@wanadoo.fr>
	Implement Begin/Vertex/End rendering functions.

	* dlls/hhctrl.ocx/help.c: James Hawkins <truiken@gmail.com>
	Correctly resize the child windows.

	* dlls/quartz/filtergraph.c: Christian Costa <titan.costa@wanadoo.fr>
	Fix function names.

	* dlls/ole32/bindctx.c, dlls/ole32/clipboard.c, dlls/ole32/compobj.c,
	  dlls/ole32/moniker.c, dlls/ole32/ole16.c, dlls/ole32/ole2.c,
	  dlls/ole32/ole2_16.c, dlls/ole32/ole2stubs.c:
	Robert Shearman <rob@codeweavers.com>
	Move all 16-bit functions to an appropriate 16-bit file.

	* programs/winefile/No.rc, programs/winefile/rsrc.rc,
	  programs/winhelp/No.rc, programs/winhelp/rsrc.rc:
	Alexander N. Sørnes <alex@thehandofagony.com>
	Added Norwegian translations.

	* dlls/user/resources/user32_Fi.rc, dlls/wininet/rsrc.rc,
	  dlls/wininet/wininet_Fi.rc:
	Kimmo Myllyvirta <kimmo.myllyvirta@gmail.com>
	Update Finnish resources.

	* dlls/msi/msi.c, dlls/msi/package.c:
	Mike McCormack <mike@codeweavers.com>
	Handle copying of the install package to a temporary file in one place
	only.

	* dlls/msi/files.c: Mike McCormack <mike@codeweavers.com>
	Fix another memory leak.

	* dlls/msi/action.c: Mike McCormack <mike@codeweavers.com>
	Stub implementation of the IsolateComponents action.

2005-09-23  Alexandre Julliard  <julliard@winehq.com>

	* include/Makefile.in, include/ddk/wdm.h:
	Ivan Leo Puoti <ivanleo@gmail.com>
	Added ddk/wdm.h.

	* dlls/msi/custom.c: Mike McCormack <mike@codeweavers.com>
	Fix a memory leak.

	* dlls/x11drv/x11drv_main.c: Huw Davies <huw@codewavers.com>
	Move desktop_vi inside process_attach and remember to free it.

	* dlls/msi/action.c: Mike McCormack <mike@codeweavers.com>
	Add a stub implementation of the BindImage action.

	* dlls/wined3d/device.c, dlls/wined3d/surface.c,
	  dlls/wined3d/wined3d_main.c, dlls/wined3d/wined3d_private.h:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Optionally repack nonpower 2 textures to the expected span length when
	a textures is locked. This is necessary for buggy games like Warhammer
	40k that don't work with the odd span sizes produce by default
	nonpower 2 support.

	* dlls/msi/action.c: Mike McCormack <mike@codeweavers.com>
	Stub implementation of the PatchFiles action.

	* dlls/ntdll/debugtools.c, include/wine/debug.h,
	  include/wine/library.h, libs/wine/debug.c, libs/wine/wine.def,
	  libs/wine/wine.map, tools/winebuild/spec32.c:
	Defined a proper structure for debug channels.
	Also put all the function pointers inside a structure and added
	__wine_dbg_set_functions to change them instead of exporting the
	pointers directly.

	* dlls/msi/msi.c: Mike McCormack <mike@codeweavers.com>
	Implement MsiGetShortcutTargetA.

	* dlls/msi/action.c: Mike McCormack <mike@codeweavers.com>
	Stub implementation of the MoveFiles action.

	* dlls/wined3d/device.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Enable dxt2 and dxt4 compressed textures to be created via
	Device_CreateSurface.

	* dlls/msi/dialog.c: Dmitry Timoshkov <dmitry@codeweavers.com>
	COLOR_3DFACE is a better choice for the dialog background.

	* dlls/setupapi/stringtable.c, dlls/setupapi/tests/stringtable.c:
	Eric Kohl <eric.kohl@t-online.de>
	- String id 0 becomes a reserved (invalid) id.
	- StringTableStringFromId returns a pointer to an empty string if the
	  string id is invalid.

	* programs/winefile/En.rc: Steven Edwards <winehacker@gmail.com>
	Set text of help menu to Help.

	* dlls/msi/action.c: Mike McCormack <mike@codeweavers.com>
	Stub implementation of the RemoveIniValues action.

	* include/dinput.h, include/vfwmsgs.h: Robert Reif <reif@earthlink.net>
	Add some missing error codes.

	* dlls/dxerr8/errors.awk, dlls/dxerr9/errors.awk:
	Robert Reif <reif@earthlink.net>
	Fix dxerr awk scripts to output single quotes properly.

	* dlls/ole32/defaulthandler.c: Robert Shearman <rob@codeweavers.com>
	Implement some IRunningObject functions that actually start the server
	and initialize it.

	* dlls/ole32/ole2.c, dlls/ole32/ole2stubs.c:
	Robert Shearman <rob@codeweavers.com>
	Implement OleRegEnumVerbs.

	* dlls/ole32/compobj.c: Robert Shearman <rob@codeweavers.com>
	Don't fail in CoRegisterClassObject if the class already exists and
	the REGCLS_MULTIPLEUSE flag is specified.

	* include/winver.h: Detlef Riekenberg <wine.dev@web.de>
	Definition added for VFT2_DRV_VERSIONED_PRINTER.

	* dlls/wined3d/device.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Clean up all the objects bound to the device when the device is
	destroyed as a result of its ref count reaching zero.

	* dlls/msvcrt/heap.c, dlls/msvcrt/msvcrt.spec, include/msvcrt/malloc.h:
	Vijay Kiran Kamuju <infyquest@gmail.com>
	Implementation of _get_sbh_threshold and _set_sbh_threshold
	functions.

	* dlls/x11drv/xrender.c: Richard Cohen <richard@daijobu.co.uk>
	Fix compile without XRender.

	* dlls/dsound/tests/capture.c: Robert Reif <reif@earthlink.net>
	Fix capture test to not fail when IDirectSoundCapture class is not
	registered.

	* dlls/msi/dialog.c: Mike McCormack <mike@codeweavers.com>
	Take advantage of the msi_get_deformatted_field function to simplify
	some code.

	* dlls/msi/files.c: Mike McCormack <mike@codeweavers.com>
	Avoid using static variables in the InstallFiles action.

2005-09-22  Alexandre Julliard  <julliard@winehq.com>

	* include/basetsd.h, include/windef.h, include/winnt.h:
	Define data types to the correct size on 64-bit platforms.

	* dlls/msi/action.c, dlls/msi/cond.y, dlls/msi/custom.c,
	  dlls/msi/files.c, dlls/msi/helpers.c:
	Mike McCormack <mike@codeweavers.com>
	Fix various memory leaks.

	* dlls/msi/dialog.c: Mike McCormack <mike@codeweavers.com>
	Skip the first character of a font identifier if it's \ or &.

	* programs/winhelp/.cvsignore, programs/winhelp/Makefile.in,
	  programs/winhelp/hlp2sgml.c:
	Get rid of the hlp2sgml hack.

	* tools/wineinstall:
	Leave creation of the drive symlinks to wineprefixcreate.

	* dlls/msi/dialog.c: Mike McCormack <mike@codeweavers.com>
	Fix an error introduced when converting dialog lists to standard
	lists.

	* dlls/msi/action.c: Mike McCormack <mike@codeweavers.com>
	Simplify the ProcessComponents action a little.

	* dlls/oleaut32/vartype.c:
	Alex Villacís Lasso <a_villacis@palosanto.com>
	Fix a scaling error in VarR4FromDec() and VarR8FromDec() that
	incorrectly multiplies the high 32 bits of the DECIMAL by 1e64 instead
	of the correct 2^64.

	* dlls/dmcompos/chordmaptrack.c, dlls/dmcompos/signposttrack.c,
	  dlls/dmime/dmime_main.c, dlls/dmime/lyricstrack.c,
	  dlls/dmime/markertrack.c, dlls/dmime/paramcontroltrack.c,
	  dlls/dmime/seqtrack.c, dlls/dmime/sysextrack.c,
	  dlls/dmime/timesigtrack.c, dlls/dmime/wavetrack.c,
	  dlls/dmscript/scripttrack.c, dlls/dmstyle/auditiontrack.c,
	  dlls/dmstyle/motiftrack.c, dlls/dmstyle/mutetrack.c,
	  dlls/kernel/module.c, dlls/kernel/task.c, dlls/ole32/ole2_16.c,
	  dlls/oleaut32/dispatch.c, dlls/shell32/shell.c,
	  dlls/user/nonclient.c, dlls/user/win.c, dlls/wined3d/device.c,
	  dlls/x11drv/dib.c, dlls/x11drv/wintab.c:
	Removed unused debug channels.

	* dlls/oleaut32/variant.c:
	Alex Villacís Lasso <a_villacis@palosanto.com>
	Modify VarDiv() and VarSub() to use the existing VarDecSub() and
	VarDecDiv() for DECIMAL.

	* documentation/README.no:
	Alexander N. Sørnes <alex@thehandofagony.com>
	Norwegian translation of readme file.

	* dlls/ole32/storage32.c: Robert Shearman <rob@codeweavers.com>
	- Initialize out pointer to NULL before access check in
	  IStorage_CreateStorage.
	- WriteClassStg should return E_INVALIDARG if pstg is NULL instead of
	  asserting.
	- ReadClassStg should return E_INVALIDARG if pstg is NULL instead of
	  crashing and a NULL pclsid should cause it to return the same
	  value.

	* dlls/msi/table.c: Mike McCormack <mike@codeweavers.com>
	Load a table's column information separately from the table itself.

	* dlls/msi/action.c, dlls/msi/action.h, dlls/msi/classes.c,
	  dlls/msi/helpers.c:
	Mike McCormack <mike@codeweavers.com>
	Make build_icon_path return the path directly.

2005-09-21  Alexandre Julliard  <julliard@winehq.com>

	* dlls/avifil32/.cvsignore, dlls/commdlg/.cvsignore,
	  dlls/ctl3d/.cvsignore, dlls/gdi/.cvsignore, dlls/imm32/.cvsignore,
	  dlls/kernel/.cvsignore, dlls/lzexpand/.cvsignore,
	  dlls/msacm/.cvsignore, dlls/msvideo/.cvsignore,
	  dlls/ntdll/.cvsignore, dlls/ole32/.cvsignore,
	  dlls/oleaut32/.cvsignore, dlls/olecli/.cvsignore,
	  dlls/olesvr/.cvsignore, dlls/rasapi32/.cvsignore,
	  dlls/setupapi/.cvsignore, dlls/shell32/.cvsignore,
	  dlls/twain/.cvsignore, dlls/user/.cvsignore, dlls/version/.cvsignore,
	  dlls/win32s/.cvsignore, dlls/winaspi/.cvsignore,
	  dlls/winedos/.cvsignore, dlls/wineps/.cvsignore,
	  dlls/winmm/.cvsignore, dlls/winnls/.cvsignore,
	  dlls/winsock/.cvsignore, dlls/wintab32/.cvsignore:
	We are no longer generating .spec.c files.

	* Make.rules.in, Makefile.in, dlls/Makedll.rules.in,
	  dlls/gdi/Makefile.in, dlls/kernel/Makefile.in,
	  dlls/ntdll/Makefile.in, dlls/shell32/Makefile.in,
	  dlls/user/Makefile.in, tools/winebuild/build.h,
	  tools/winebuild/res16.c, tools/winebuild/spec16.c:
	Generate 16-bit spec files as assembly code too.

	* configure, configure.ac, dlls/setupapi/tests/.cvsignore,
	  dlls/setupapi/tests/Makefile.in, dlls/setupapi/tests/stringtable.c:
	Steven Edwards <winehacker@gmail.com>
	Added stringtable regression test.

	* include/setupapi.h, dlls/setupapi/Makefile.in,
	  dlls/setupapi/setupapi.spec, dlls/setupapi/stringtable.c:
	Eric Kohl <eric.kohl@t-online.de>
	Implement setupapi stringtable functions.

	* tools/winebuild/build.h, tools/winebuild/import.c,
	  tools/winebuild/relay.c, tools/winebuild/res32.c,
	  tools/winebuild/utils.c:
	Factor out a couple of useful helper functions.

	* dlls/secur32/Makefile.in, dlls/secur32/base64_codec.c,
	  dlls/secur32/secur32_priv.h:
	Kai Blin <blin@gmx.net>
	Added base64 codec for communication with ntlm_auth.

	* dlls/comctl32/comctl_No.rc, dlls/comctl32/rsrc.rc,
	  dlls/shell32/shell32_No.rc:
	Alexander N. Sørnes <alex@thehandofagony.com>
	Added Norwegian translation of comctl32 and shell32.

	* dlls/hhctrl.ocx/help.c: James Hawkins <truiken@gmail.com>
	Add the SizeBar.

	* dlls/kernel/sync.c, dlls/kernel/virtual.c:
	Vitaliy Margolen <wine-patch@kievinfo.com>
	Specify flag OBJ_CASE_INSENSITIVE when calling appropriate Ntxx
	functions creating/opening named objects.

	* tools/winebuild/build.h, tools/winebuild/parser.c:
	Make sure that values of absolute symbols fit in 16 bits.

	* tools/winegcc/winegcc.c:
	Let winebuild take care of calling the assembler.
	Pass -v and -save-temps options through to winebuild too.

	* tools/winebuild/build.h, tools/winebuild/import.c,
	  tools/winebuild/spec32.c, tools/winebuild/utils.c:
	Moved stub function generation to import.c. Added a get_stub_name
	function to ensure naming consistency.

	* dlls/msi/action.c, dlls/msi/install.c, dlls/msi/msipriv.h:
	Mike McCormack <mike@codeweavers.com>
	Implement MsiSequenceA/W.

	* dlls/wined3d/device.c, dlls/wined3d/directx.c,
	  dlls/wined3d/wined3d_private.h:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Start to implement TestCooperativeLevel.

	* tools/winebuild/build.h, tools/winebuild/import.c,
	  tools/winebuild/main.c, tools/winebuild/utils.c,
	  tools/winebuild/winebuild.man.in:
	Now that we have to be able to run the assembler from winebuild, added
	an option to generate a .spec.o file in a single step.
	Added --save-temps and --verbose options for easier debugging.

	* dlls/msi/msipriv.h, dlls/msi/table.c:
	Mike McCormack <mike@codeweavers.com>
	Don't refcount tables.

	* dlls/msi/action.c, dlls/msi/msiquery.c:
	Mike McCormack <mike@codeweavers.com>
	Simplify the InstallValidate action a little.

	* dlls/msi/dialog.c: Mike McCormack <mike@codeweavers.com>
	Make sure not to free a a pointer that has been modified.
	Check that the text identifier doesn't contain invalid characters.

	* dlls/wined3d/device.c, dlls/wined3d/stateblock.c,
	  dlls/wined3d/wined3d_private.h:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Added support for state management of vertex shader constants via
	stateblocks.

	* dlls/ntdll/virtual.c: Ignore relocations for unmapped pages.

	* dlls/ntdll/time.c, dlls/oleaut32/typelib.c, dlls/user/text.c,
	  programs/winemenubuilder/winemenubuilder.c:
	Mike McCormack <mike@codeweavers.com>
	Fix "empty body in an if/else-statement" warnings.

	* dlls/comctl32/comboex.c: Jason Edmeades <us@edmeades.me.uk>
	Fix some off by one calculations in the comboboxex functions, and
	handle an out of range positive index the same as windows + unit test
	case.

	* dlls/msi/create.c, dlls/msi/dialog.c, dlls/msi/format.c,
	  dlls/msi/helpers.c:
	Mike McCormack <mike@codeweavers.com>
	Fix some simple memory leaks.

	* dlls/wined3d/device.c, dlls/wined3d/directx.c,
	  dlls/wined3d/wined3d_private.h, include/wine/wined3d_gl.h:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Implemented occlusion queries using either GL_ARB_occlusion_query or
	GL_NV_occlusion_query.

	* dlls/d3d8/d3d8.spec, dlls/d3d8/shader.c:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Correct the number of parameters (and partly their names) for the
	undocumented functions ValidatePixelShader and ValidateVertexShader.

	* dlls/comctl32/tests/.cvsignore, dlls/comctl32/tests/Makefile.in,
	  dlls/comctl32/tests/comboex.c:
	Jason Edmeades <us@edmeades.me.uk>
	Fix some off by one calculations in the comboboxex functions, and
	handle an out of range positive index the same as windows + unit test
	case.

	* include/ws2tcpip.h: Vijay Kiran Kamuju <infyquest@gmail.com>
	Added addrinfo structures.

	* dlls/gdi/font.c: Huw Davies <huw@codeweavers.com>
	Release the dc before drawing the underline and strikeout lines.

2005-09-20  Alexandre Julliard  <julliard@winehq.com>

	* dlls/msi/dialog.c, dlls/shlwapi/ordinal.c, programs/notepad/main.c:
	Dmitry Timoshkov <dmitry@codeweavers.com>
	Fix the usage of COLOR_xxx constants in the place of the window's
	class hbrBackground.

	* dlls/hhctrl.ocx/help.c: James Hawkins <truiken@gmail.com>
	Correctly draw the navigation pane.

	* programs/clock/No.rc, programs/clock/rsrc.rc, programs/taskmgr/No.rc,
	  programs/taskmgr/taskmgr.rc:
	Alexander N. Sørnes <alex@thehandofagony.com>
	Added Norwegian translations.

	* dlls/msi/action.c, dlls/msi/appsearch.c, dlls/msi/classes.c,
	  dlls/msi/cond.y, dlls/msi/custom.c, dlls/msi/database.c,
	  dlls/msi/dialog.c, dlls/msi/files.c, dlls/msi/format.c,
	  dlls/msi/helpers.c, dlls/msi/install.c, dlls/msi/msi.c,
	  dlls/msi/msiquery.c, dlls/msi/table.c:
	Mike McCormack <mike@codeweavers.com>
	Added memory allocation inline functions (part 2).

	* dlls/msi/create.c, dlls/msi/delete.c, dlls/msi/distinct.c,
	  dlls/msi/events.c, dlls/msi/handle.c, dlls/msi/insert.c,
	  dlls/msi/msipriv.h, dlls/msi/order.c, dlls/msi/package.c,
	  dlls/msi/preview.c, dlls/msi/record.c, dlls/msi/registry.c,
	  dlls/msi/select.c, dlls/msi/source.c, dlls/msi/sql.y,
	  dlls/msi/string.c, dlls/msi/suminfo.c, dlls/msi/update.c,
	  dlls/msi/upgrade.c, dlls/msi/where.c:
	Mike McCormack <mike@codeweavers.com>
	Added memory allocation inline functions (part 1).

	* dlls/unicows/Makefile.in, dlls/unicows/main.c:
	Exported symbols now get resolved properly so we no longer need the
	list of dummy references.

	* dlls/user/dde_misc.c, dlls/user/dde_private.h:
	Added a magic number to the WDML_CONV structure to fix some failing
	tests.

	* tools/winebuild/relay.c: Fixed stack offset of %eax register.

	* dlls/comctl32/rebar.c, dlls/msi/custom.c:
	Mike McCormack <mike@codeweavers.com>
	Fix if's that are followed by semicolons.

	* dlls/msi/install.c, dlls/msi/msi.spec, include/msiquery.h:
	Jan Van Buggenhout <Chipzz@ULYSSIS.Org>
	implement stubs for MsiSequence[AW].

	* include/msi.h: Mike McCormack <mike@codeweavers.com>
	Add INSTALLSTATE_NOTUSED to the INSTALLSTATE enumeration.

	* dlls/ole32/ole2.c, dlls/ole32/ole2stubs.c:
	Robert Shearman <rob@codeweavers.com>
	Implement OleIsRunning.

	* dlls/ole32/marshal.c: Robert Shearman <rob@codeweavers.com>
	- Fix a trace to refer to the object ID rather than the legacy MID.
	- Fix the error case of CoMarshalInterThreadInterface to release the
	  stream.

2005-09-19  Alexandre Julliard  <julliard@winehq.com>

	* tools/winebuild/build.h, tools/winebuild/import.c,
	  tools/winebuild/main.c, tools/winebuild/parser.c,
	  tools/winebuild/spec32.c, tools/winebuild/winebuild.man.in,
	  tools/winegcc/winegcc.c:
	Create an assembly file with all undefined symbols and add it to the
	link command so that the symbols show up in the final undefined list.
	Use that list to create thunks for all exported but undefined symbols,
	to make sure all export RVAs point somewhere inside the module.

	* dlls/comctl32/comctl_Bg.rc, dlls/comctl32/rsrc.rc,
	  dlls/commdlg/cdlg_Bg.rc, dlls/commdlg/rsrc.rc, dlls/mpr/mpr.rc,
	  dlls/mpr/mpr_Bg.rc, dlls/mshtml/Bg.rc, dlls/mshtml/rsrc.rc,
	  dlls/msi/msi.rc, dlls/msi/msi_Bg.rc, dlls/msrle32/msrle_Bg.rc,
	  dlls/msrle32/rsrc.rc, dlls/oleaut32/oleaut32.rc,
	  dlls/oleaut32/oleaut32_Bg.rc, dlls/serialui/Bg.rc,
	  dlls/serialui/serialui_rc.rc, dlls/setupapi/Bg.rc,
	  dlls/setupapi/setupapi.rc, dlls/shdocvw/Bg.rc,
	  dlls/shdocvw/shdocvw.rc, dlls/shell32/shell32_Bg.rc,
	  dlls/shell32/shres.rc, dlls/user/resources/user32.rc,
	  dlls/user/resources/user32_Bg.rc, dlls/wineps/rsrc.rc,
	  dlls/wineps/wps_Bg.rc, dlls/wininet/rsrc.rc,
	  dlls/wininet/wininet_Bg.rc, dlls/winspool/Bg.rc,
	  dlls/winspool/winspool.rc, programs/notepad/Bg.rc,
	  programs/notepad/rsrc.rc, programs/regedit/Bg.rc,
	  programs/regedit/rsrc.rc, programs/uninstaller/Bg.rc,
	  programs/uninstaller/rsrc.rc, programs/winecfg/Bg.rc,
	  programs/winecfg/winecfg.rc, programs/winhelp/Bg.rc,
	  programs/winhelp/rsrc.rc:
	Milko Krachounov <milko@3mhz.net>
	Bulgarian resources for mpr, msi, user, commdlg, oleaut32, shdocvw,
	shell32, comctl32, msrle32, mshtml, winspool, wineps, serialui,
	setupapi, wininet, regedit, uninstaller, notepad, winecfg and
	winhelp.

	* dlls/x11drv/winpos.c: Dmitry Timoshkov <dmitry@codeweavers.com>
	Use the event's width and height not the translated window rect to
	recognize a zero sized window in the ConfigureNotify handler.

	* include/hlink.idl: Aric Stewart <aric@codeweavers.com>
	Add the IHlinkFrame interface to hlink.idl.

	* dlls/hhctrl.ocx/help.c: James Hawkins <truiken@gmail.com>
	Add initial toolbar button handling.

	* dlls/wined3d/directx.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Return the adaptor mode as X8R8G8B8 when BPP is 24 or 32 bits.

	* tools/winebuild/build.h, tools/winebuild/import.c,
	  tools/winebuild/utils.c:
	Don't remove ignored symbols from the undefined list, simply skip them
	when resolving imports.
	Added get_temp_file_name utility function.

	* include/winsock2.h:
	Use the default structure packing like Windows does.

	* include/thread.h:
	Fixed the structure layout to be identical to the public one also on
	64-bit platforms.

	* libs/wine/ldt.c: Removed sysi86 prototype that is causing conflicts.

	* dlls/shdocvw/shdocvw.spec, dlls/shlwapi/shlwapi.spec,
	  tools/winebuild/parser.c:
	Take into account -noname functions when checking for duplicate export
	names. Fixed a couple of issues found by the stricter check.

	* dlls/ole32/defaulthandler.c: Robert Shearman <rob@codeweavers.com>
	- Remove redunant braces.
	- Compact multi-line comments that fit into one line.
	- Remove comments that state the obvious.
	- Remove extra brackets that are redundant because the -> operator
	  binds tighter than &.
	- Change "this" to "This" to make code more like other interface
	  implementations.
	- Remove redundant comparisons with NULL for pointers.

	* dlls/msvcrt/heap.c, dlls/msvcrt/msvcrt.spec, include/msvcrt/malloc.h:
	Vijay Kiran Kamuju <infyquest@gmail.com>
	Added __p__amblksiz implementation.

	* dlls/x11drv/xrender.c:
	Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de>
	Don't free a modified pointer.

	* dlls/gdi/font.c: Huw Davies <huw@codeweavers.com>
	Fix a problem with handling ETO_GLPYH_INDEX.  Spotted by Rob
	Shearman.

	* dlls/ole32/marshal.c: Robert Shearman <rob@codeweavers.com>
	Fix the return codes during unmarshaling so that it returns failure
	codes instead of S_FALSE returned from IStream_Read.

	* dlls/hhctrl.ocx/help.c: James Hawkins <truiken@gmail.com>
	Check for an empty string not a NULL pointer.

	* dlls/mciavi32/mmoutput.c: Dmitry Timoshkov <dmitry@codeweavers.com>
	Directly copy DIB bits into destination DC.

	* dlls/wined3d/directx.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Prevent CheckDepthStencilMatch from causing problems if there is a
	current active OpenGL context.

	* dlls/wined3d/device.c, dlls/wined3d/stateblock.c:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Stop vertex shader constants from being set at the same time as the
	vertex shader when a stateblock is applied.

	* dlls/mshtml/Fi.rc, dlls/mshtml/rsrc.rc, dlls/msi/msi.rc,
	  dlls/msi/msi_Fi.rc:
	Kimmo Myllyvirta <kimmo.myllyvirta@gmail.com>
	Added Finnish resources.

	* dlls/oleaut32/typelib.c: Marcus Meissner <marcus@jet.franken.de>
	Support more arguments in _invoke().

	* dlls/urlmon/session.c, include/urlmon.idl:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	- Added IHttpNegotiate2 interface.
	- Update BINDSTRING and IInternetSession.

2005-09-18  Alexandre Julliard  <julliard@winehq.com>

	* dlls/comctl32/header.c: Ge van Geldorp <gvg@reactos.com>
	Do some bounds checking on iOrder.

	* dlls/commdlg/cdlg_No.rc, dlls/msi/msi.rc, dlls/msi/msi_No.rc,
	  programs/uninstaller/No.rc, programs/uninstaller/rsrc.rc:
	Alexander N. Sørnes <alex@thehandofagony.com>
	Added Norwegian translations.

	* dlls/kernel/kernel16_private.h, dlls/kernel/kernel32.spec,
	  dlls/kernel/ne_module.c, dlls/kernel/relay16.c, dlls/winedos/relay.c,
	  include/wine/winbase16.h, tools/winebuild/import.c,
	  tools/winebuild/relay.c, tools/winebuild/spec16.c:
	Moved return value handling to the individual relay thunks so that we
	only need one version of wine_call_from_16.
	Patch the wine_call_from_16 address along with the cs value directly
	in the 16-bit code segment to avoid the need for special magic in the
	import thunks.

	* dlls/ntdll/heap.c:
	Fixed some trace format strings (reported by Gerald Pfeifer).

	* dlls/ntdll/relay.c, include/wine/port.h, tools/winebuild/import.c,
	  tools/winebuild/relay.c, tools/winebuild/spec32.c:
	Make the users of wine_call_from_32_regs save %eax so that we don't
	need a special hack in the import thunk.
	Added a get_pc_thunk_eax function to simplify the code a bit.

	* dlls/comctl32/animate.c: Dmitry Timoshkov <dmitry@codeweavers.com>
	Call SetDIBits with a proper DC in order to set bitmap bits.

	* dlls/user/sysparams.c: Kimmo Myllyvirta <kimmo.myllyvirta@gmail.com>
	If HKCU\Software\Wine does not yet exist, create it as non-volatile
	key, instead of volatile.

	* dlls/winedos/int21.c:
	Christian Lupien <lupien@physique.usherbrooke.ca>
	Avoid overflow in the read file limit check.

	* dlls/ole32/marshal.c, dlls/ole32/oleproxy.c,
	  dlls/ole32/tests/marshal.c, dlls/oleaut32/tmarshal.c,
	  dlls/rpcrt4/cproxy.c:
	Robert Shearman <rob@codeweavers.com>
	Fix ref-counting rules to match native DCOM Dlls.

2005-09-17  Alexandre Julliard  <julliard@winehq.com>

	* libs/wine/loader.c, tools/winebuild/import.c,
	  tools/winebuild/res32.c, tools/winebuild/spec32.c:
	Store RVAs instead of pointers wherever possible in the generated NT
	header and directories.

	* programs/notepad/No.rc, programs/notepad/rsrc.rc:
	Alexander N. Sørnes <alex@thehandofagony.com>
	Added Norwegian translation.

	* dlls/avifil32/avifile.c:  Dmitry Timoshkov <dmitry@codeweavers.com>
	 Revert previous change, it should not be needed anymore since a
	 proper fix for mmioDescend regression has been committed.

	* dlls/msi/msipriv.h, dlls/msi/table.c:
	Mike McCormack <mike@codeweavers.com>
	Fix memory leaks in the table code.

	* dlls/msi/dialog.c: Mike McCormack <mike@codeweavers.com>
	Read the MaskEdit template from the correct db field.

	* dlls/ole32/defaulthandler.c: Robert Shearman <rob@codeweavers.com>
	Re-arrange some functions and vtables so we don't have declarations
	for all of the functions in the file.

	* dlls/comctl32/comctl32undoc.c: Ge van Geldorp <gvg@reactos.com>
	Buffer size needs to be specified in bytes on input.

	* dlls/user/user_main.c: Robert Shearman <rob@codeweavers.com>
	GetDesktopWindow can now potentially create a thread, so we shouldn't
	call this function from DllMain otherwise it is possible to cause a
	deadlock.

2005-09-16  Alexandre Julliard  <julliard@winehq.com>

	* dlls/ntdll/Makefile.in, dlls/ntdll/signal_x86_64.c:
	Preliminary implementation of signal handling for x86-64.

	* dlls/winmm/mmio.c, dlls/winmm/tests/.cvsignore,
	  dlls/winmm/tests/Makefile.in, dlls/winmm/tests/mmio.c,
	  include/mmsystem.h:
	Dmitry Timoshkov <dmitry@codeweavers.com>
	Add a test for mmioDescend, make it pass under Wine.

	* dlls/msi/dialog.c: Mike McCormack <mike@codeweavers.com>
	Convert the list of dialog controls to a standard list.

	* tools/winebuild/import.c: Implemented import thunks for x86-64.

	* dlls/msi/database.c, dlls/msi/msipriv.h, dlls/msi/table.c:
	Mike McCormack <mike@codeweavers.com>
	Make load_string_table return the string table.

	* dlls/msi/dialog.c: Mike McCormack <mike@codeweavers.com>
	Deformat all dialog text strings before using them.

	* server/Makefile.in, server/context_x86_64.c:
	Preliminary version of the context support for x86-64.

	* dlls/ntdll/heap.c, dlls/ntdll/virtual.c:
	Fixed a few pointer truncation bugs for 64-bit platforms.

	* dlls/ntdll/server.c, server/request.c:
	Use the proper size for the cmsg_fd structure on 64-bit plaforms.

	* dlls/msvcrtd/msvcrtd.spec:
	Forward all functions to msvcrt instead of having them link directly
	to libc.

	* dlls/gdi/freetype.c: Huw Davies <huw@codeweavers.com>
	Order the bitmap font list by the ansi codepage bit position.
	Fix a few comments.

	* dlls/urlmon/tests/url.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	More tests of URLMoniker.

	* fonts/.cvsignore, fonts/Makefile.in: Huw Davies <huw@codeweavers.com>
	Generate Greek, Turkish, Hebrew, Arabic, Baltic and Thai versions of
	MS Sans Serif.

	* tools/sfnt2fnt.c: Huw Davies <huw@codeweavers.com>
	Update sfnt2fnt hack, now that Wine Courier is known as Courier.

	* dlls/msi/dialog.c: Mike McCormack <mike@codeweavers.com>
	Load riched20.dll on demand, and unload it after it's used (based on a
	patch by Rob Shearman).

	* dlls/msi/action.c: Mike McCormack <mike@codeweavers.com>
	Fix a bug in a previous patch spotted by Dieter Komendera.

	* dlls/msi/msi.c, dlls/msi/msi.spec, include/msi.h:
	Mike McCormack <mike@codeweavers.com>
	Fix the stub for MsiConfigureFeature.

	* dlls/shdocvw/oleobject.c, dlls/shdocvw/shdocvw.h:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added SetClientSite implementation.

	* dlls/wintrust/wintrust.spec, dlls/wintrust/wintrust_main.c:
	Stefan Leichter <Stefan.Leichter@camLine.com>
	Added stubs for DllRegisterServer, DllUnregisterServer and
	WintrustSetRegPolicyFlags.

	* dlls/advapi32/security.c: Robert Shearman <rob@codeweavers.com>
	Fix String SID parsing.

2005-09-15  Alexandre Julliard  <julliard@winehq.com>

	* programs/winetest/main.c: Ivan Leo Puoti <ivanleo@gmail.com>
	Get winetest to detect windows server 2003 R2.

	* dlls/urlmon/session.c: Fixed a compiler warning.

	* tools/winebuild/build.h, tools/winebuild/import.c,
	  tools/winebuild/relay.c, tools/winebuild/spec32.c,
	  tools/winebuild/utils.c:
	Added a common function to declare global symbols, and make them
	hidden on platforms that support it.

	* fonts/.cvsignore, fonts/Makefile.in: Huw Davies <huw@codeweavers.com>
	Generate Greek, Turkish, Hebrew, Arabic and Baltic versions of
	Courier.

	* dlls/urlmon/Makefile.in, dlls/urlmon/session.c, dlls/urlmon/umon.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added CoInternetGetSession implementation.

	* libs/wine/loader.c:
	Use the NT descriptor address as start of the data section, since the
	BaseOfData field isn't present in Win64.

	* dlls/msi/action.c, dlls/msi/action.h, dlls/msi/custom.c,
	  dlls/msi/dialog.c, dlls/msi/events.c, dlls/msi/files.c,
	  dlls/msi/format.c, dlls/msi/helpers.c, dlls/msi/install.c,
	  dlls/msi/upgrade.c:
	Mike McCormack <mike@codeweavers.com>
	Rename load_dynamic_property and remove its unused 3rd argument.

	* dlls/Makedll.rules.in, tools/winebuild/import.c,
	  tools/winebuild/res32.c, tools/winebuild/spec32.c,
	  tools/winegcc/Makefile.in, tools/winegcc/winegcc.c:
	Now that everything is done in assembly in the spec file, directly
	generate a .s file to bypass gcc inefficiency with large data
	structures.

	* fonts/.cvsignore, fonts/Makefile.in: Huw Davies <huw@codeweavers.com>
	Generate Greek, Turkish, Hebrew, Arabic, Baltic, Thai, Japanese and
	Korean versions of the System font.  All the non-latin glyphs are
	still blanks.

	* dlls/msi/action.c, dlls/msi/msipriv.h:
	Mike McCormack <mike@codeweavers.com>
	Use the new msi_reg_set* macros where possible.

	* dlls/x11drv/dib.c: Fixed gcc 4.0 warnings.

	* configure, configure.ac:
	Set the proper build flags for Darwin based on the CPU type instead of
	assuming PowerPC.

	* tools/winebuild/build.h, tools/winebuild/res32.c,
	  tools/winebuild/spec32.c:
	Output the resource data in assembly too.

	* configure, configure.ac, include/config.h.in:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Tweak the test for detecting libxslt as it didn't work correctly on
	RH8.

	* programs/taskmgr/De.rc: Henning Gerhardt <henning.gerhardt@web.de>
	Update the German resource file.

	* dlls/msi/classes.c: Mike McCormack <mike@codeweavers.com>
	Create a macro to write a value to a subkey.

	* dlls/hhctrl.ocx/help.c: James Hawkins <truiken@gmail.com>
	Embed the browser object in the HTML window.  Spotted by Jacek Caban.

	* dlls/crypt32/cert.c, dlls/crypt32/crypt32.spec:
	Stefan Leichter <Stefan.Leichter@camLine.com>
	Added stubs for CryptInitOIDFunctionSet and
	CryptUnregisterDefaultOIDFunction.

	* dlls/advapi32/registry.c, dlls/advapi32/service.c,
	  dlls/advapi32/tests/registry.c:
	Rein Klazes <wijn@wanadoo.nl>
	- Set the LastError in OpenSCManager in case of errors;
	- Accept machine names without a '\\' prefix in OpenSCManager and
	  RegConnectRegistry.
	- Add a regression test for that.

	* dlls/gdi/freetype.c: Huw Davies <huw@codeweavers.com>
	Remember to remove a child font from the child font list.

2005-09-14  Alexandre Julliard  <julliard@winehq.com>

	* tools/winebuild/build.h, tools/winebuild/spec32.c,
	  tools/winebuild/utils.c:
	Output constant strings in a more appropriate section than .text.

	* programs/taskmgr/En.rc, programs/taskmgr/optnmenu.c,
	  programs/taskmgr/taskmgr.c, programs/taskmgr/taskmgr.h,
	  programs/taskmgr/trayicon.c:
	Thomas Weidenmueller <wine-patches@reactsoft.com>
	Hook up "Hide on Minimize" & Add context menu to the tray icon.

	* dlls/gdi/freetype.c: Huw Davies <huw@codeweavers.com>
	Only add Tahoma to the System font's link list if we can actually find
	it.

	* dlls/hhctrl.ocx/webbrowser.c: James Hawkins <truiken@gmail.com>
	- Zero the WBInfo struct to get rid of invalid pointers.
	- Store object pointers in the WBInfo struct as they're created.

	* dlls/comctl32/toolbar.c, include/commctrl.h:
	Robert Shearman <rob@codeweavers.com>
	- Add support for navigating a toolbar with the arrow keys.
	- Fix WrapToolbar in the case of no parent window.
	- Use the newly added NMTBINITCUSTOMIZE for sending the
	  TBN_INITCUSTOMIZE so that it is safe on 64-bit platforms.

	* tools/winebuild/build.h, tools/winebuild/import.c,
	  tools/winebuild/parser.c, tools/winebuild/spec32.c,
	  tools/winebuild/utils.c:
	Generate stub functions directly in assembly.

	* server/thread.c:
	Remove an exiting thread from the process only after thread cleanup to
	avoid accessing freed window classes.

	* dlls/msi/classes.c: Mike McCormack <mike@codeweavers.com>
	Create a macro function to write registry values.

	* dlls/gdi/freetype.c: Dmitry Timoshkov <dmitry@codeweavers.com>
	Perform automatic bitmap font configuration based on the current
	locale.

	* dlls/urlmon/Makefile.in, dlls/urlmon/ftp.c, dlls/urlmon/http.c,
	  dlls/urlmon/urlmon_main.c, dlls/urlmon/urlmon_main.h:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added http and ftp protocol stub implementation.

	* programs/taskmgr/taskmgr.c: Filip Navara <xnavara@volny.cz>
	Don't kill non-existing timers. Use EndDialog to close the dialog.

	* programs/taskmgr/procpage.c: Michael Fritscher
	Hook up "End Process" button.

	* dlls/x11drv/x11drv.h:
	Avoid a redefinition warning on 64-bit platforms.

	* dlls/setupapi/install.c, tools/wine.inf:
	Ge van Geldorp <gvg@reactos.com>
	Base of REG_DWORD entries must be auto-detected.

	* dlls/msi/msipriv.h: Mike McCormack <mike@codeweavers.com>
	Remove some unused values in the object header.

	* dlls/gdi/freetype.c: Huw Davies <huw@codeweavers.com>
	Cope with OpenFontFile failing.

	* configure.ac: Vincent Béron <vberon@mecano.gme.usherb.ca>
	Require autoconf 2.53b as AC_PROG_EGREP is only defined since that
	version.

	* dlls/ntdll/ntdll_misc.h, dlls/ntdll/signal_i386.c,
	  dlls/ntdll/signal_powerpc.c, dlls/ntdll/signal_sparc.c,
	  dlls/ntdll/thread.c, dlls/ntdll/virtual.c:
	Support arbitrary sizes for the thread signal stack, and set the
	default size from the MINSIGSTKSZ constant.

	* dlls/quartz/memallocator.c: Get rid of another long long constant.

	* dlls/urlmon/file.c, dlls/urlmon/tests/protocol.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added MIME type checking to FileProtocol::Start.

	* programs/taskmgr/applpage.c, programs/taskmgr/perfpage.c,
	  programs/taskmgr/procpage.c:
	Thomas Weidenmueller <wine-patches@reactsoft.com>
	Use anonymous events for synchronization.

	* dlls/msi/database.c, dlls/msi/msipriv.h, dlls/msi/table.c:
	Mike McCormack <mike@codeweavers.com>
	Convert the list of tables to a standard list.

	* dlls/crypt32/tests/encode.c: Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* dlls/ole32/compobj.c, dlls/ole32/compobj_private.h, dlls/ole32/rpc.c:
	Robert Shearman <rob@codeweavers.com>
	Add exception handling for stubs.

	* include/wine/rpcfc.h: Robert Shearman <rob@codeweavers.com>
	Define RPC_FC_RANGE.

	* dlls/mshtml/protocol.c, dlls/mshtml/tests/protocol.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added MIME type checking to ResProtocol::Start.

	* dlls/setupapi/diskspace.c: Filip Navara <xnavara@volny.cz>
	Fix a couple of prototypes.

	* programs/taskmgr/about.c, programs/taskmgr/affinity.c,
	  programs/taskmgr/applpage.c, programs/taskmgr/column.c,
	  programs/taskmgr/dbgchnl.c, programs/taskmgr/graph.c,
	  programs/taskmgr/graphctl.c, programs/taskmgr/graphctl.h,
	  programs/taskmgr/perfpage.c, programs/taskmgr/proclist.c,
	  programs/taskmgr/procpage.c, programs/taskmgr/taskmgr.c,
	  programs/taskmgr/taskmgr.h:
	Thomas Weidenmueller <wine-patches@reactsoft.com>
	Filip Navara <xnavara@volny.cz>
	DLGPROCs return INT_PTR.

2005-09-13  Alexandre Julliard  <julliard@winehq.com>

	* include/winbase.h: Implemented InterlockedCompareExchangePointer and
	InterlockedExchangePointer for x86-64.

	* dlls/gdi/gdiobj.c, dlls/kernel/local16.c, dlls/kernel/process.c,
	  dlls/kernel/tests/mailslot.c, dlls/kernel/tests/thread.c,
	  dlls/ntdll/rtlbitmap.c, dlls/oleaut32/tests/vartest.c,
	  dlls/shlwapi/clist.c, dlls/shlwapi/tests/clist.c,
	  dlls/version/install.c, dlls/version/tests/info.c,
	  dlls/wininet/http.c, include/urlmon.idl, include/wincrypt.h,
	  include/winerror.h:
	Remove the 'L' suffix on a number of constants to avoid comparison
	errors on 64-bit platforms.

	* dlls/user/message.c, dlls/user/tests/msg.c, server/queue.c:
	Timeout 0 means infinite wait for SendMessageTimeout.
	Remove the message from the receiver queue if it times out before
	being received.

	* programs/taskmgr/applpage.c, programs/taskmgr/graph.c,
	  programs/taskmgr/graphctl.c, programs/taskmgr/graphctl.h,
	  programs/taskmgr/perfpage.c, programs/taskmgr/proclist.c,
	  programs/taskmgr/procpage.c, programs/taskmgr/taskmgr.h:
	Richard Cohen <richard@daijobu.co.uk>
	Jim Tabor, Thomas Weidenmueller <wine-patches@reactsoft.com>
	64 bit fixes -- Store Window procs as WNDPROC, cast to DWORD_PTR in
	SendMessageTimeout.

	* dlls/comctl32/listview.c: Michael Jung <mjung@iss.tu-darmstadt.de>
	Fixed inconsistency in LISTVIEW_DUMP macro.

	* dlls/urlmon/internet.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	Added PARSE_SECURITY_DOMAIN action implementation.

	* dlls/msi/msipriv.h, programs/rpcss/rpcss_main.c,
	  programs/taskmgr/procpage.c:
	Get rid of a couple of non-portable long long constants.

	* dlls/msi/install.c, dlls/msi/tests/package.c:
	Mike McCormack <mike@codeweavers.com>
	Fix the handling of MsiGetTargetPath args (with test case).

	* dlls/msi/dialog.c: Mike McCormack <mike@codeweavers.com>
	Make sure to release the package we grabbed on the error path.

	* dlls/shell32/iconcache.c: Ge van Geldorp <gvg@reactos.com>
	Save a few megabytes of memory by loading the default icon only once
	into the image lists.

	* include/wine/library.h, include/wine/pthread.h,
	  libs/unicode/cptable.c, libs/wine/ldt.c, loader/kthread.c,
	  loader/pthread.c:
	Avoid some warnings on 64-bit platforms.

	* dlls/msi/install.c, dlls/msi/tests/package.c:
	Mike McCormack <mike@codeweavers.com>
	Fix the handling of MsiDoAction args (with test case).

	* dlls/msi/action.c, dlls/msi/action.h, dlls/msi/helpers.c:
	Mike McCormack <mike@codeweavers.com>
	Eliminate fixed length buffers from the MSIFEATURE structure.

	* dlls/oleaut32/olefont.c, dlls/oleaut32/tests/olefont.c:
	Walt Ogburn <reuben@ugcs.caltech.edu>
	Get IFontDisp type information from stdole2.tlb, instead of IDispatch
	information from stdole32.tlb.

	* dlls/crypt32/tests/encode.c: Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* dlls/msi/dialog.c: Mike McCormack <mike@codeweavers.com>
	Skip dash characters in the PIDMask for a MaskedEdit control.

	* dlls/hhctrl.ocx/Makefile.in, dlls/hhctrl.ocx/help.c,
	  dlls/hhctrl.ocx/webbrowser.c, dlls/hhctrl.ocx/webbrowser.h:
	James Hawkins <truiken@gmail.com>
	- Add the WebBrowser implementation.
	- Load the default Url in the HTML Pane.

	* dlls/winspool/info.c: Detlef Riekenberg <wine.dev@web.de>
	Let EnumPrinterDrivers return the number of drivers.

2005-09-12  Alexandre Julliard  <julliard@winehq.com>

	* dlls/comctl32/comctl32undoc.c, dlls/comctl32/propsheet.c,
	  dlls/comctl32/toolbar.c, dlls/comctl32/treeview.c,
	  dlls/dbghelp/minidump.c, dlls/dinput/effect_linuxinput.c,
	  dlls/dsound/propset.c, dlls/gdi/freetype.c,
	  dlls/oleaut32/tests/vartest.c, dlls/oleaut32/tests/vartype.c,
	  dlls/riched20/reader.c, dlls/riched20/style.c, dlls/secur32/thunks.c,
	  dlls/setupapi/parser.c, dlls/shlwapi/reg.c, dlls/shlwapi/string.c,
	  dlls/winmm/message16.c, dlls/winmm/winmm.c, dlls/winsock/socket.c,
	  dlls/x11drv/xim.c, programs/winemenubuilder/winemenubuilder.c:
	Marcus Meissner <marcus@jet.franken.de>
	The last argument to MultiByteToWideChar is wide character count and
	not the buffer size in bytes. Fixed all places where it was wrong.

	* dlls/urlmon/urlmon.inf: Jacek Caban <jack@itma.pwr.wroc.pl>
	Register ZoneMap.

	* dlls/kernel/thread.c, dlls/ntdll/thread.c:
	Eric Pouech <eric.pouech@wanadoo.fr>
	Implemented kernel32.GetThreadTimes on top of ntdll's equivalent
	function.

	* dlls/comctl32/tests/updown.c, dlls/kernel/locale.c,
	  dlls/kernel/module.c, dlls/kernel/resource16.c,
	  dlls/kernel/selector.c, dlls/user/dialog.c, dlls/user/menu.c,
	  dlls/user/message.c, dlls/user/winproc.c, include/win.h,
	  include/winnt.h:
	Fixed a few more pointer to integer typecast issues for 64-bit
	platforms.

	* dlls/riched20/editor.c, dlls/riched20/editstr.h,
	  dlls/riched20/writer.c:
	Fixed gcc 4.0 warnings.

	* dlls/shdocvw/shdocvw.h, dlls/shdocvw/webbrowser.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added IWebBrowser2 stub implementation.

	* dlls/ole32/tests/marshal.c, dlls/user/message.c,
	  dlls/user/user_main.c:
	SendMessageTimeout takes a DWORD_PTR not a DWORD.

	* tools/winegcc/utils.c:
	Properly handle the case where vsnprintf returns -1.

	* dlls/avifil32/acmstream.c: Fixed gcc 4.0 warnings.

	* dlls/user/controls.h, dlls/user/nonclient.c:
	Make the non-client message handling functions return an LRESULT.

	* dlls/atl/registrar.c, dlls/kernel/locale.c, dlls/kernel/resource16.c,
	  dlls/oleaut32/vartype.c, dlls/user/dialog.c, dlls/user/dialog16.c:
	Use MAKEINTRESOURCE instead of casts where appropriate.

	* dlls/avifil32/avifile.c:
	Alex Villacís Lasso <a_villacis@palosanto.com>
	Initialize structs for mmioDescend and FindChunkAndKeepExtras - fixes
	AVI file recognition.

	* tools/widl/header.c, tools/widl/header.h, tools/widl/parser.l,
	  tools/widl/parser.y, tools/widl/widl.c, tools/widl/widltypes.h:
	Robert Shearman <rob@codeweavers.com>
	- Output prototypes for user marshal functions at the end of the
	  header and by use.
	- Add support for range and ptr attributes and for the "small" base
	  type.

	* dlls/mshtml/protocol.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	Encode URL in ResProtocol::Start.

	* dlls/urlmon/tests/misc.c, dlls/urlmon/umon.c,
	  dlls/urlmon/urlmon_main.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Rewrote FindMimeFromData to pass tests.

	* dlls/ddraw/surface_wndproc.c:
	Use Get/SetWindowLongPtr to access pointers in the window extra
	bytes.

	* dlls/user/listbox.c:
	Avoid truncating the item data to 32 bits in LB_SETITEMDATA.

	* dlls/kernel/process.c:
	Parameters to virtual memory functions need to be SIZE_T.

	* dlls/kernel/locale.c: Dmitry Timoshkov <dmitry@codeweavers.com>
	strcpynAtoW takes number of characters, not bytes.

	* dlls/avicap32/avicap32_main.c: Fixed gcc 4.0 warnings.

	* include/wingdi.h: Dmitry Timoshkov <dmitry@codeweavers.com>
	EXTLOGPEN.elpHatch can contain a handle as well.

	* dlls/crypt32/tests/encode.c: Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* dlls/msi/action.h, dlls/msi/classes.c, dlls/msi/helpers.c:
	Mike McCormack <mike@codeweavers.com>
	Eliminate yet more fixed length buffers.

	* dlls/advapi32/registry.c, dlls/avifil32/getframe.c,
	  dlls/dbghelp/coff.c, dlls/dsound/capture.c, dlls/dsound/dsound.c,
	  dlls/dsound/dsound_main.c, dlls/dsound/primary.c,
	  dlls/dsound/propset.c, dlls/kernel/dosmem.c,
	  dlls/kernel/kernel_private.h, dlls/msacm/format.c,
	  dlls/msacm/stream.c, dlls/msvcrt/cppexcept.c, dlls/msvcrt/locale.c,
	  dlls/ntdll/directory.c, dlls/ntdll/exception.c, dlls/ntdll/sec.c,
	  dlls/ntdll/virtual.c, dlls/opengl32/wgl.c, dlls/setupapi/queue.c,
	  dlls/user/caret.c, dlls/user/exticon.c, dlls/user/spy.c,
	  dlls/version/info.c, dlls/x11drv/event.c, dlls/x11drv/keyboard.c,
	  include/windowsx.h, tools/winebuild/res32.c, tools/winedump/debug.c,
	  tools/wrc/newstruc.c:
	Fixed a number of pointer to integer conversions that wouldn't work
	right on a 64-bit platform.

	* dlls/msi/msiquery.c: Fixed memory leak introduced in previous change.

	* dlls/ddraw/ddraw_main.c, dlls/ddraw/surface_main.c,
	  dlls/dsound/capture.c, dlls/dsound/dsound.c, dlls/kernel/instr.c,
	  dlls/kernel/local16.c, dlls/kernel/ne_module.c,
	  dlls/kernel/resource16.c, dlls/kernel/task.c, dlls/kernel/thunk.c,
	  dlls/msacm/driver.c, dlls/msacm/msadp32/msadp32.c,
	  dlls/msacm/msg711/msg711.c, dlls/msacm/pcmconverter.c,
	  dlls/msacm/tests/msacm.c, dlls/quartz/filtergraph.c,
	  dlls/user/driver16.c, dlls/user/message.c, dlls/user/resource.c,
	  dlls/version/resource.c, dlls/vmm.vxd/vmm.c,
	  dlls/winaspi/winaspi32.c, dlls/wined3d/swapchain.c,
	  dlls/wininet/utility.c, dlls/winmm/driver.c,
	  dlls/winmm/winealsa/audio.c, dlls/winsock/socket.c,
	  dlls/wintab32/context.c:
	Fixed some more traces to use the right printf format and avoid
	typecasts.

	* dlls/user/button.c, dlls/user/combo.c, dlls/user/edit.c,
	  dlls/user/listbox.c, dlls/user/menu.c:
	Use Get/SetWindowLongPtr when accessing pointers in the window extra
	bytes.

	* dlls/shell32/cpanelfolder.c, dlls/shell32/shlexec.c,
	  dlls/shell32/tests/shlexec.c:
	Ge van Geldorp <gvg@reactos.com>
	Fix execution of Control Panel items.

	* include/winuser.h: Ivan Leo Puoti <ivanleo@gmail.com>
	Added a missing define.

	* dlls/msi/action.c, dlls/msi/action.h, dlls/msi/helpers.c:
	Mike McCormack <mike@codeweavers.com>
	Fix more fixed length buffers.

	* dlls/user/tests/class.c:
	Use Get/SetClassLongPtr to access the module handle.

	* dlls/user/listbox.c: The item user data has to be a ULONG_PTR.

	* libs/wine/loader.c:
	Only add the default dlldir to the search path if that's where ntdll
	is found.

	* dlls/gdi/brush.c, dlls/gdi/enhmetafile.c,
	  dlls/gdi/enhmfdrv/objects.c, dlls/gdi/tests/metafile.c,
	  include/wingdi.h:
	LOGBRUSH.lbHatch must be a ULONG_PTR since it can contain a handle.

	* dlls/msi/msiquery.c: Avoid non-portable va_list manipulations.

	* dlls/x11drv/xrender.c: Huw Davies <huw@codeweavers.com>
	Use the gasp table to check whether we should trigger antialiasing.

	* dlls/urlmon/file.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	Encode URL in file protocol.

	* dlls/comctl32/comctl32.h, dlls/comctl32/commctrl.c,
	  dlls/comctl32/theming.c:
	Frank Richter <frank.richter@gmail.com>
	Unregister theming subclasses at comctl32 shutdown; should fix
	reported re-registration errors.

	* dlls/urlmon/tests/protocol.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	Fix protocol test.

	* dlls/hhctrl.ocx/Fi.rc, dlls/hhctrl.ocx/hhctrl.rc,
	  dlls/serialui/Fi.rc, dlls/serialui/serialui_rc.rc,
	  dlls/shdocvw/Fi.rc, dlls/shdocvw/shdocvw.rc, dlls/winspool/Fi.rc,
	  dlls/winspool/winspool.rc, programs/winemine/Fi.rc,
	  programs/winemine/rsrc.rc:
	Kimmo Myllyvirta <kimmo.myllyvirta@gmail.com>
	Added Finnish resources.

	* include/exdisp.idl: Jacek Caban <jack@itma.pwr.wroc.pl>
	Added missing attributes.

	* include/exdispid.h: Jacek Caban <jack@itma.pwr.wroc.pl>
	Added more definitions.

	* dlls/msi/helpers.c: Mike McCormack <mike@codeweavers.com>
	Make sure not to access invalid components or features.

	* dlls/urlmon/Makefile.in: Jacek Caban <jack@itma.pwr.wroc.pl>
	Added urlmon.inf as dependency of rsrc.res.

	* include/shlobj.h:
	Fixed the binary layout gcc hacks to do the right thing for gcc 4.0.

	* dlls/winedos/int21.c, dlls/winmm/mci.c, dlls/winmm/message16.c,
	  dlls/winmm/winemm.h:
	Fixed gcc 4.0 warnings.

	* dlls/ntdll/env.c, dlls/ntdll/handletable.c, dlls/ntdll/loader.c,
	  dlls/ntdll/server.c, dlls/ntdll/thread.c:
	Use SIZE_T instead of ULONG for the size arguments of the virtual
	memory functions.

	* dlls/dinput/device.c, dlls/dinput/dinput_main.c,
	  dlls/dinput/joystick_linux.c, dlls/dinput/joystick_linuxinput.c,
	  dlls/dinput/keyboard.c, dlls/dinput/mouse.c, dlls/dsound/buffer.c,
	  dlls/dsound/duplex.c, dlls/dsound/tests/ds3d.c,
	  dlls/dsound/tests/ds3d8.c, dlls/dsound/tests/dsound.c,
	  dlls/dsound/tests/dsound8.c, dlls/gdi/printdrv.c, dlls/imm32/imm.c,
	  dlls/iphlpapi/iphlpapi_main.c, dlls/kernel/change.c,
	  dlls/kernel/except.c, dlls/msrle32/msrle32.c, dlls/ntdll/cdrom.c,
	  dlls/ole32/ole2.c, dlls/user/cursoricon.c, dlls/x11drv/clipboard.c,
	  dlls/x11drv/xim.c:
	Fixed some traces to use the right printf format and avoid typecasts.

	* configure, configure.ac:
	Only try to set -mpreferred-stack-boundary on i386.
	Add -Wdeclaration-after-statement warning if supported.

	* dlls/msi/dialog.c: Mike McCormack <mike@codeweavers.com>
	Fix an uninitialized variable problem.

	* dlls/urlmon/internet.c, dlls/urlmon/tests/misc.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added PARSE_SECURITY_URL action implementation.

	* dlls/wintrust/wintrust_main.c: Paul Vriens <Paul.Vriens@xs4all.nl>
	Return ERROR_SUCCESS as default and TRUST_E_PROVIDER_UNKNOWN if asked
	for WINTRUST_ACTION_GENERIC_VERIFY_V2.

	* dlls/mshtml/protocol.c, dlls/mshtml/tests/protocol.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added *ProtocolInfo::ParseUrl implementation.

	* dlls/shdocvw/events.c, dlls/shdocvw/shdocvw.h,
	  dlls/shdocvw/webbrowser.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Make IConnectionPointContainer interface heap based.

	* dlls/shell32/tests/shellpath.c: Juan Lang <juan_lang@yahoo.com>
	Remove an annoying dialog when trying to clean up a directory.

	* dlls/user/tests/msg.c, dlls/x11drv/winpos.c:
	Dmitry Timoshkov <dmitry@codeweavers.com>
	Add a test for ShowWindow(SW_SHOWMAXIMIZED) called for a not visible
	overlapped window, which shows that WM_SHOWWINDOW is not sent in that
	case and that it should activate a window and bring it to top.

	* dlls/crypt32/cert.c, dlls/crypt32/tests/cert.c:
	Juan Lang <juan_lang@yahoo.com>
	When decoding a signed cert, make sure it's really a cert.

2005-09-09  Alexandre Julliard  <julliard@winehq.com>

	* dlls/comctl32/tests/subclass.c, dlls/gdi/tests/bitmap.c,
	  dlls/user/tests/class.c, dlls/user/tests/menu.c,
	  dlls/user/tests/msg.c, dlls/user/tests/win.c,
	  programs/taskmgr/graph.c, programs/taskmgr/perfpage.c,
	  programs/taskmgr/procpage.c, programs/wineconsole/dialog.c,
	  programs/winedbg/gdbproxy.c, programs/winedbg/info.c,
	  programs/winefile/winefile.c, programs/winhelp/winhelp.c:
	Use Get/SetWindowLongPtr instead of Get/SetWindowLong where
	appropriate.

	* dlls/comctl32/comctl32.spec, dlls/dbghelp/dbghelp.spec,
	  dlls/kernel/kernel32.spec, dlls/mapi32/mapi32.spec,
	  dlls/msvcrt/msvcrt.spec, dlls/ntdll/ntdll.spec,
	  dlls/oleaut32/oleaut32.spec, dlls/shell32/shell32.spec,
	  dlls/shlwapi/shlwapi.spec, dlls/user/user32.spec,
	  dlls/uxtheme/uxtheme.spec, dlls/wininet/wininet.spec:
	Specify 64-bit integers as double instead of long long in spec files
	so that we get the correct number of arguments.

	* dlls/oleaut32/tests/vartype.c, dlls/oleaut32/vartype.c:
	Alex Villacís Lasso <a_villacis@palosanto.com>
	Make Single|Double->BSTR conversion use the specified locale for the
	decimal point even without the LOCALE_USE_NLS flag. Test supplied.

	* dlls/d3d8/vshaderdeclaration.c: Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warning.

	* dlls/msi/action.h, dlls/msi/classes.c, dlls/msi/helpers.c:
	Mike McCormack <mike@codeweavers.com>
	Move a fixed size buffer to the heap.

	* dlls/msi/action.c: Mike McCormack <mike@codeweavers.com>
	Reduce the indent level of a function.

	* dlls/ntdll/virtual.c:
	Added descriptions for a few more machine types.

	* dlls/user/user_main.c: Francois Gouget <fgouget@codeweavers.com>
	If given the EWX_FORCE flag, ExitWindowsEx() should not send the
	WM_{QUERY}ENDSESSION messages.
	Add support for EWX_FORCEIFHUNG.
	ExitWindowsEx() should return true if it succeeds, even if the user
	cancels the shutdown.

	* dlls/advapi32/service.c, dlls/dinput/joystick_linux.c,
	  dlls/dinput/keyboard.c, dlls/dsound/buffer.c, dlls/dsound/capture.c,
	  dlls/dsound/dsound.c, dlls/dsound/duplex.c, dlls/gdi/driver.c,
	  dlls/gdi/gdiobj.c, dlls/kernel/console.c, dlls/kernel/kernel_main.c,
	  dlls/kernel/lcformat.c, dlls/kernel/module.c, dlls/kernel/profile.c,
	  dlls/kernel/syslevel.c, dlls/kernel/vxd.c, dlls/mscms/handle.c,
	  dlls/msi/handle.c, dlls/ntdll/cdrom.c, dlls/ntdll/critsection.c,
	  dlls/ntdll/directory.c, dlls/ntdll/exception.c, dlls/ntdll/heap.c,
	  dlls/ntdll/loader.c, dlls/ntdll/rtl.c, dlls/ntdll/time.c,
	  dlls/ntdll/virtual.c, dlls/ole32/compobj.c,
	  dlls/ole32/compobj_private.h, dlls/ole32/git.c, dlls/ole32/ifs.c,
	  dlls/ole32/rpc.c, dlls/oleaut32/typelib.c, dlls/rpcrt4/rpc_server.c,
	  dlls/rpcrt4/rpcrt4_main.c, dlls/shell32/changenotify.c,
	  dlls/shell32/iconcache.c, dlls/user/cursoricon.c,
	  dlls/user/dde_misc.c, dlls/user/message.c, dlls/user/user_main.c,
	  dlls/user/winproc.c, dlls/winaspi/winaspi32.c, dlls/winedos/dosvm.c,
	  dlls/winedos/vga.c, dlls/wininet/internet.c,
	  dlls/winmm/winealsa/midi.c, dlls/winmm/wineoss/audio.c,
	  dlls/winmm/wineoss/midi.c, dlls/winmm/winmm.c, dlls/winsock/async.c,
	  dlls/winspool/info.c, dlls/x11drv/dce.c, dlls/x11drv/dib.c,
	  dlls/x11drv/x11drv_main.c, dlls/x11drv/xdnd.c, dlls/x11drv/xfont.c,
	  dlls/x11drv/xrender.c, include/winnt.h:
	Use a more portable scheme for storing the name of a critical
	section.

	* dlls/shdocvw/misc.c, dlls/shdocvw/shdocvw.h, dlls/shdocvw/webbrowser.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Make IQuickActivate interface heap based.

	* dlls/winmm/playsound.c: Ulrich Czekalla <ulrich@codeweavers.com>
	Display fccType as hex instead of characters in trace output.

	* configure, configure.ac: Added a define check for __x86_64__.

	* tools/winedump/dump.c:
	Fixed get_time_str definition to match the prototype.

	* tools/winapi/win32.api: Vincent Béron <vberon@mecano.gme.usherb.ca>
	Update the win32.api file to current CVS.

	* dlls/dinput/effect_linuxinput.c:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Use proper ifdefs around unistd.h.

	* dlls/crypt32/cert.c, dlls/crypt32/tests/cert.c:
	Juan Lang <juan_lang@yahoo.com>
	- call CertFreeCertificateContext from CertDeleteCertificateFromStore
	- fix some ref counting problems

	* dlls/urlmon/regsvr.c, dlls/urlmon/tests/protocol.c,
	  dlls/urlmon/urlmon_main.h, include/urlmon.idl:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Move protocol's CLSIDs to urlmon.idl.

	* dlls/urlmon/internet.c, dlls/urlmon/tests/misc.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added PARSE_PATH_FROM_URL action implementation.

	* dlls/urlmon/rsrc.rc, dlls/urlmon/version.rc:
	Stefan Leichter <Stefan.Leichter@camLine.com>
	Added version resource to urlmon.dll.

2005-09-08  Alexandre Julliard  <julliard@winehq.com>

	* dlls/ntdll/exception.c: Define GET_IP for x86_64.

	* libs/wine/port.c: Implemented wine_switch_to_stack for x86_64.

	* dlls/winmm/driver.c, dlls/winmm/lolvldrv.c:
	Avoid 'clobbered by longjmp' warnings.

	* fonts/.cvsignore, fonts/Makefile.in, fonts/courier.sfd,
	  fonts/marlett.sfd, fonts/ms_sans_serif.sfd, fonts/system.sfd,
	  fonts/wine_courier.sfd, fonts/wine_marlett.sfd,
	  fonts/wine_sans_serif.sfd, fonts/wine_system.sfd:
	Dmitry Timoshkov <dmitry@codeweavers.com>
	Rename Wine fonts to match Windows font names.

	* dlls/wldap32/control.c, dlls/wldap32/winldap_private.h,
	  dlls/wldap32/wldap32.spec:
	Hans Leidekker <hans@it.vu.nl>
	Implement ldap_create_sort_control*.

	* dlls/crypt32/cert.c, dlls/crypt32/tests/cert.c:
	Juan Lang <juan_lang@yahoo.com>
	- implement system stores
	- remove an intermittently failing registry test

	* dlls/shdocvw/classinfo.c, dlls/shdocvw/shdocvw.h,
	  dlls/shdocvw/webbrowser.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Make IProvideClassInfo2 interface heap based.

	* dlls/winmm/mmio.c: Ulrich Czekalla <ulrich@codeweavers.com>
	ckid not fccType specifies the form type to search for.

	* dlls/mshtml/protocol.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	Release BINDINFO in *Protocol::Start.

	* dlls/gdi/font.c: Huw Davies <huw@codeweavers.com>
	Fix return value of ExtTextOut in the case when count == 0.

	* dlls/shell32/shlexec.c: Dmitry Timoshkov <dmitry@codeweavers.com>
	Pass a locally modified version of SHELLEXECUTEINFO to
	IShellExecuteHookW_Execute, this should pass through at least
	sei_tmp.nShow retrieved from an .lnk file (fStartup).

	* tools/winedump/lnk.c: Dmitry Timoshkov <dmitry@codeweavers.com>
	Dump more .lnk file header fields.

	* dlls/shell32/debughlp.c: Dmitry Timoshkov <dmitry@codeweavers.com>
	- Stop using a not initialized variable szTemp in
	  _dbg_ILSimpleGetText, make _dbg_ILSimpleGetText return no value since
	  nobody is using it.
	- Stop dereferencing a possible NULL in pdump since
	  _dbg_ILGetDataPointer can potentially return NULL (for instance for
	  root or desktop pidl).
	- Make shdebugstr_guid use standard wine_dbg_sprintf instead of the
	  handmade solution.

	* dlls/ntdll/version.c: Fixed a comment.

	* dlls/msi/action.c, dlls/msi/action.h, dlls/msi/helpers.c:
	Mike McCormack <mike@codeweavers.com>
	Allocate memory rather than using fixed length buffers.

	* dlls/msi/custom.c, dlls/msi/msipriv.h, dlls/msi/package.c:
	Mike McCormack <mike@codeweavers.com>
	Convert RunningActions array into a list.

	* dlls/kernel/ne_module.c: Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* dlls/gdi/font.c, dlls/gdi/freetype.c:
	Huw Davies <huw@codeweavers.com>
	Have ExtTextOut call into the font linking mechanism.
	GetCharWidth, GetCharABCWidths and GetTextExtentPoint should return
	the widths of a linked font's glyphs.

	* include/sqltypes.h: Phil Krylov <phil@newstar.rinet.ru>
	Added typedefs SQLWCHAR and SQLTCHAR.

	* tools/winebuild/build.h, tools/winebuild/import.c,
	  tools/winebuild/parser.c, tools/winebuild/spec32.c:
	Added support for 64-bit format NT header and export/import tables.

	* dlls/crypt32/cert.c, dlls/crypt32/encode.c:
	Avoid a couple of 'clobbered by longjmp' warnings.

	* dlls/avifil32/api.c, dlls/cards/cards.c:
	Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* dlls/ntdll/server.c:
	Fix a file descriptor leak when opening the first file on a removable
	device.

	* dlls/msi/format.c: Mike McCormack <mike@codeweavers.com>
	Improve a fixme message a little.

	* dlls/msi/classes.c: Mike McCormack <mike@codeweavers.com>
	- fix a bug introduced by the progid list conversion
	- make a fixme a little less alarmist

	* dlls/msi/events.c, dlls/msi/helpers.c:
	Mike McCormack <mike@codeweavers.com>
	Fix memory leaks.

	* dlls/msi/action.c: Mike McCormack <mike@codeweavers.com>
	Remove an unnecessary level of indent.

	* dlls/msi/custom.c: Mike McCormack <mike@codeweavers.com>
	Fix memory leaks in custom actions.

	* dlls/winmm/winealsa/midi.c: Christian Costa <titan.costa@wanadoo.fr>
	Improve midi trace.

	* dlls/rpcrt4/ndr_marshall.c, include/rpcndr.h:
	Ge van Geldorp <gvg@reactos.com>
	Fix NdrServerContextMarshall prototype.

	* dlls/winmm/mmio.c: Ulrich Czekalla <uczekalla@codeweavers.com>
	Remove redundant check.

	* dlls/shdocvw/persist.c, dlls/shdocvw/shdocvw.h,
	  dlls/shdocvw/webbrowser.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Make IPersist* interfaces heap based.

	* dlls/urlmon/umon.c, dlls/urlmon/urlmon_main.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added ReleaseBindInfo implementation.

	* dlls/mpr/mpr_main.c: Ge van Geldorp <gvg@reactos.com>
	Fix DllCanUnloadNow prototype.

	* dlls/wldap32/Makefile.in, dlls/wldap32/control.c,
	  dlls/wldap32/winldap_private.h, dlls/wldap32/wldap32.spec:
	Hans Leidekker <hans@it.vu.nl>
	Implement ldap_control_free*, ldap_controls_free* and
	ldap_free_controls*.

	* dlls/crypt32/cert.c, dlls/crypt32/tests/cert.c:
	Juan Lang <juan_lang@yahoo.com>
	Implement system registry stores.

	* dlls/crypt32/tests/encode.c: Juan Lang <juan_lang@yahoo.com>
	Convert a few more constants from strings to byte arrays.

2005-09-07  Alexandre Julliard  <julliard@winehq.com>

	* tools/winebuild/build.h, tools/winebuild/import.c,
	  tools/winebuild/main.c, tools/winebuild/spec32.c,
	  tools/winebuild/utils.c:
	Added a bit of framework for future x86_64 support.

	* dlls/shell32/tests/shlfolder.c:
	Michael Jung <mjung@iss.tu-darmstadt.de>
	Removed two todo_wine's around tests that meanwhile succeed on wine.

	* dlls/shell32/shfldr_unixfs.c:
	Michael Jung <mjung@iss.tu-darmstadt.de>
	Pass correct pointer to SHFree in case of failure in
	UNIXFS_path_to_pidl.
	Return E_FAIL if we can't get the unix path in
	IPersistFolder3::InitializeEx.
	Return E_NOAGGREGATION if non-NULL pUnkOuter is given to the
	constructor.

	* dlls/dsound/tests/propset.c, programs/winecfg/driveui.c,
	  programs/winefile/winefile.c:
	Replace a few more direct lpVtbl accesses by the proper macros.

	* dlls/gdi/freetype.c, dlls/gdi/gdi32.spec, dlls/gdi/gdi_private.h:
	Huw Davies <huw@codeweavers.com>
	Implement FontIsLinked.

	* tools/wine.inf: Christoph Frick <frick@sc-networks.de>
	Fake directx 9c instead of 9b.

	* dlls/msi/msi.c: Aric Stewart <aric@codeweavers.com>
	Implement MsiReinstallFeature.

	* dlls/crypt32/Makefile.in, dlls/crypt32/cert.c,
	  dlls/crypt32/tests/Makefile.in, dlls/crypt32/tests/cert.c:
	Juan Lang <juan_lang@yahoo.com>
	Implement registry stores.

	* dlls/kernel/thread.c, dlls/ntdll/thread.c:
	Eric Pouech <eric.pouech@wanadoo.fr>
	Implemented kernel32:SetThreadPriority on top of ntdll's equivalent
	functions.

	* dlls/dinput/joystick_linuxinput.c:
	Use the COM macros instead of accessing lpVtbl directly.

	* tools/winebuild/build.h, tools/winebuild/import.c,
	  tools/winebuild/res32.c, tools/winebuild/spec32.c:
	Generate the NT header in assembly instead of using a C structure.

	* dlls/commdlg/printdlg.c, dlls/crypt32/tests/encode.c,
	  dlls/mlang/mlang.c, dlls/mlang/tests/mlang.c,
	  dlls/quartz/filtergraph.c, dlls/quartz/filtermapper.c,
	  dlls/winmm/winmm.c:
	Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* dlls/urlmon/Makefile.in, dlls/urlmon/internet.c,
	  dlls/urlmon/tests/misc.c, dlls/urlmon/urlmon.spec:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added CoInternetParseUrl implementation.

	* dlls/gdi/freetype.c: Huw Davies <huw@codeweavers.com>
	get_glyph_index should return the nonexistent glyph for bitmap fonts
	when a unicode character cannot be represented as a single byte in the
	font's codepage.

	* programs/winecfg/Ja.rc: Vikram Kumar <vik@zone81.com>
	Update Japanese resource file to include the Theme tab.

	* dlls/wininet/http.c: <orin@pinhead.cc>
	Wrong flags were being tested for INTERNET_FLAG_NO_AUTO_REDIRECT.

	* include/oleidl.idl: Mike McCormack <mike@codeweavers.com>
	Fix a typo.

	* dlls/dinput/joystick_linuxinput.c:
	Mike McCormack <mike@codeweavers.com>
	Fix warnings for no force feedback case.

	* dlls/msi/action.c, dlls/msi/action.h, dlls/msi/files.c,
	  dlls/msi/helpers.c, dlls/msi/msipriv.h, dlls/msi/package.c:
	Mike McCormack <mike@codeweavers.com>
	Keep temporary files in a seperate list.

	* dlls/user/win.c:
	Don't fallback to LoadMenu16 when the window is created with a null
	instance.

	* dlls/user/edit.c: Only access 16-bit stack if really necessary.

	* dlls/wined3d/directx.c, dlls/wined3d/surface.c, dlls/wined3d/utils.c:
	Karsten Elfenbein <kelfe@gmx.de>
	Added A2R10G10B10 and D3DFMT_D24FS8 modes to all other functions.

	* dlls/wldap32/misc.c, dlls/wldap32/winldap_private.h,
	  dlls/wldap32/wldap32.spec, include/winldap.h:
	Hans Leidekker <hans@it.vu.nl>
	Implement ldap_escape_filter_element*.

	* dlls/hhctrl.ocx/help.c: James Hawkins <truiken@gmail.com>
	Call CHM_CloseCHM to avoid a memory leak.

	* dlls/msi/suminfo.c: Mike McCormack <mike@codeweavers.com>
	Don't include the terminating nul in the length in
	MsiSummaryInfoGetPropertyW.

	* dlls/msi/tests/package.c: Mike McCormack <mike@codeweavers.com>
	- add test for MsiGetSourcePath
	- don't specify drive for package path

	* dlls/shdocvw/oleobject.c, dlls/shdocvw/shdocvw.h,
	  dlls/shdocvw/webbrowser.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Make IOleControl and IOleInPlaceObject interface heap based.

	* dlls/kernel/path.c: Aric Stewart <aric@codeweavers.com>
	Fix the translation of dest to DestW, having it be NULL vs "" has
	different meanings for MoveFileEx.

	* dlls/urlmon/sec_mgr.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	- Added IInternetSecurityManager::[SG]etSecuritySite implementation.
	- Forward IInternetSecurityManager calls to custom manager.

	* dlls/oleaut32/tmarshal.c: Marcus Meissner <meissner@suse.de>
	VT_PTR->VT_USERDEFINED chains depend on the TKIND of the userdefined
	type due to our handling of COM interfaces in there.

	* dlls/shell32/pidl.c, dlls/shell32/tests/shlfolder.c:
	Michael Jung <mjung@iss.tu-darmstadt.de>
	Don't clone pidlLast in SHBindToParent.

	* dlls/ole32/storage32.c, dlls/ole32/tests/storage32.c:
	Richard Cohen <richard@daijobu.co.uk>
	Relax the share mode validation for transacted storage, with a test.

	* dlls/gdi/freetype.c, dlls/gdi/gdi_private.h:
	Huw Davies <huw@codeweavers.com>
	Add infrastructure for font linking. WineEngGetLinkedHFont will be
	used by ExtTextOut to provide an HFONT that will contain a valid
	glyph.

	* documentation/PACKAGING: Marcus Meissner <meissner@suse.de>
	Remove ETCDIR mention.

2005-09-06  Alexandre Julliard  <julliard@winehq.com>

	* dlls/gdi/gdi16.c, dlls/wineps/escape.c, dlls/wineps/psdrv.h,
	  include/wine/wingdi16.h, include/wingdi.h:
	Marcus Meissner <meissner@suse.de>
	Added DRAWPATTERNRECT Escape() 16<->32 mapper and stub in WINEPS.

	* include/wine/server_protocol.h, server/named_pipe.c,
	  server/protocol.def, server/trace.c, dlls/kernel/sync.c,
	  dlls/ntdll/file.c:
	Ivan Leo Puoti <ivanleo@gmail.com>
	Added FSCTL_PIPE_LISTEN support.

	* dlls/shell32/tests/shlfolder.c:
	Saulius Krasuckas <saulius.krasuckas@ieee.org>
	SHELL32.ILFindLastID is exported by ordinal.

	* dlls/msi/msi.c: Aric Stewart <aric@codeweavers.com>
	Be sure to null terminate the string in MsiGetProductInfoA after the
	W->A conversion using MsiGetProductInfoW if there is space.

	* dlls/gdi/freetype.c: Huw Davies <huw@codeweavers.com>
	Store the selected ppem in the GdiFont.

	* dlls/kernel/Makefile.in: Marcus Meissner <meissner@suse.de>
	Remove -DETCDIR (unused).

	* dlls/cfgmgr32/main.c, dlls/setupapi/devinst.c, include/Makefile.in,
	  include/cfgmgr32.h, include/ddk/cfgmgr32.h:
	Detlef Riekenberg <wine.dev@web.de>
	Moved cfgmgr32.h to include/ddk/.

	* dlls/comctl32/comctl32undoc.c: Aric Stewart <aric@codeweavers.com>
	Reading the MRUlist using the W functions we need to divide the size
	by sizeof(WCHAR) to get the count of characters.

	* dlls/msvcrt/tests/string.c: Vijay Kiran Kamuju <infyquest@gmail.com>
	Added a test for failing _ismbblead.

	* dlls/shdocvw/factory.c, dlls/shdocvw/oleobject.c,
	  dlls/shdocvw/shdocvw.h, dlls/shdocvw/webbrowser.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	- Make WebBrowser heap based object.
	- Improve stubs.

	* dlls/kernel/ne_module.c:
	Alex Villacís Lasso <a_villacis@palosanto.com>
	Check against NULL libname in LoadModule16.

	* dlls/user/edit.c, dlls/user/tests/edit.c:
	Michael Kaufmann <hallo@michael-kaufmann.ch>
	- Fix text placement.
	- Paint the border correctly if its size is bigger than 1 pixel.
	- Don't paint text over the border.
	- Fix the edit control placement tests: Put the edit box in a parent
	  window.
	- Tidied up the edit control tests.

	* dlls/msi/tests/.cvsignore, dlls/msi/tests/Makefile.in,
	  dlls/msi/tests/package.c:
	Mike McCormack <mike@codeweavers.com>
	Aric Stewart <aric@codeweavers.com>
	Test creating a package.

	* dlls/msi/action.c, dlls/msi/action.h, dlls/msi/helpers.c:
	Mike McCormack <mike@codeweavers.com>
	Avoid fixed length buffers for conditions.

	* dlls/msi/install.c, dlls/msi/msipriv.h, dlls/msi/suminfo.c:
	Mike McCormack <mike@codeweavers.com>
	Fixes for MsiGetSourcePath parameter handling.

	* dlls/msi/msi.c, dlls/msi/msi.spec, include/msi.h:
	Aric Stewart <aric@codeweavers.com>
	Added stub implementations for MsiEnumPatchesA/W.

	* dlls/shlwapi/shlwapi.rc, dlls/shlwapi/version.rc:
	Stefan Leichter <Stefan.Leichter@camLine.com>
	Added version resource to shlwapi.dll.

	* dlls/dinput/effect_linuxinput.c, dlls/dinput/joystick_linuxinput.c:
	Daniel Remenak <dtremenak@gmail.com>
	- Allow the creation of an FF effect while the joystick is not
	  acquired.
	- Failing to download an effect after setting parameters is not a
	  fatal error.

	* dlls/crypt32/encode.c, dlls/crypt32/tests/encode.c,
	  dlls/rpcrt4/ndr_ole.c, dlls/rpcrt4/rpc_binding.c,
	  dlls/rpcrt4/tests/rpc.c, dlls/uxtheme/system.c,
	  programs/winhelp/hlpfile.c:
	Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* dlls/kernel/process.c, dlls/kernel/toolhelp.c, dlls/ntdll/process.c,
	  include/winternl.h, server/process.c:
	Eric Pouech <eric.pouech@wanadoo.fr>
	- rewrite kernel32:{Set|Get}PriorityClass on top of ntdll equivalent
	- priority for process in wineserver is now the NTDLL form (no longer
	  the kernel32 one)

	* dlls/msi/helpers.c: Mike McCormack <mike@codeweavers.com>
	Remove an unnecessary level of indent.

	* include/msi.h: Mike McCormack <mike@codeweavers.com>
	Add the INSTALLMODE enumeration.

	* dlls/msi/suminfo.c, dlls/msi/tests/suminfo.c:
	Mike McCormack <mike@codeweavers.com>
	- fix MsiSummaryInfoGetProperty to return ERROR_MORE_DATA if the
	  buffer is too small (based on a patch by Aric Stewart)
	- add a test case to show correct behaviour

	* dlls/commdlg/printdlg16.c: Marcus Meissner <meissner@suse.de>
	PrintDlg16: Copy back the Flags, nFromPage, nToPage and nCopies struct
	members after the print dialog finishes.

	* dlls/dinput/joystick_linuxinput.c:
	Daniel Remenak <dtremenak@gmail.com>
	- Allow enumeration of objects when the device is not yet acquired.
	- Flag FF-capable axes during enumeration.

	* dlls/kernel/thunk.c, dlls/msvcrt/misc.c, dlls/ole32/errorinfo.c,
	  include/dbghelp.h, include/sqlext.h:
	Eric Pouech <eric.pouech@wanadoo.fr>
	Fixes for function prototypes without arguments.

	* dlls/urlmon/Makefile.in, dlls/urlmon/file.c,
	  dlls/urlmon/tests/.cvsignore, dlls/urlmon/tests/Makefile.in,
	  dlls/urlmon/tests/protocol.c, dlls/urlmon/urlmon_main.c,
	  dlls/urlmon/urlmon_main.h:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added file protocol implementation.

	* dlls/ntdll/atom.c, include/winternl.h:
	James Hawkins <truiken@gmail.com>
	Correct third parameter of NtQueryInformationAtom.

	* fonts/wine_marlett.sfd: Richard Cohen <richard@daijobu.co.uk>
	Redraw "Restore window" without overlapping splines.

	* dlls/msi/action.h, dlls/msi/classes.c, dlls/msi/helpers.c,
	  dlls/msi/msipriv.h, dlls/msi/package.c:
	Mike McCormack <mike@codeweavers.com>
	Convert progids to a standard list.

	* programs/winecfg/Ru.rc: Yuri Kozlov <kozlov.y@gmail.com>
	Updated Russian resources.

	* dlls/advpack/advpack.c, dlls/advpack/advpack.spec:
	Markus Amsler <markus.amsler@oribi.org>
	Add a stub for IsNtAdmin.

	* dlls/kernel/process.c: Ivan Leo Puoti <ivanleo@gmail.com>
	Get ExitProcess to call NtTerminateProcess.

	* dlls/msi/database.c: Aric Stewart <aric@codeweavers.com>
	Add the GUID for Patch files so that they can be opened as well. Looks
	like the database structure is pretty much the same.

	* dlls/gdi/freetype.c: Huw Davies <huw@codeweavers.com>
	Build a list of font links read in from the registry.

	* tools/winapi/winapi_module_user.pm, tools/winapi/winapi_parser.pm:
	Francois Gouget <fgouget@free.fr>
	'volatile' is valid everywhere where 'const' is valid. This fixes
	parsing of the new InterlockedExchange() prototype.

	* dlls/twain/dsm_ctrl.c: Mike McCormack <mike@codeweavers.com>
	Don't crash if the twain device name is null.

	* dlls/msi/action.c, dlls/msi/source.c:
	Mike McCormack <mike@codeweavers.com>
	Make some fixme messages less alarmist.

	* dlls/setupapi/Fi.rc, dlls/setupapi/setupapi.rc,
	  programs/winecfg/Fi.rc, programs/winecfg/winecfg.rc:
	Kimmo Myllyvirta <kimmo.myllyvirta@gmail.com>
	Added Finnish resources.

	* dlls/kernel/instr.c: Phil Krylov <phil@newstar.rinet.ru>
	Fixed compilation of kernel32.dll.so on non-x86 processors.

	* include/urlmon.idl: Jacek Caban <jack@itma.pwr.wroc.pl>
	- Update GetSecurityId declaration.
	- Add declaration of CoInternetParseUrl and INET_E_DEFAULT_ACTION.

	* dlls/msi/tests/db.c: Saulius Krasuckas <saulius.krasuckas@ieee.org>
	Older platforms choke on a NULL as the third parameter to
	MsiViewGetError.

	* dlls/hhctrl.ocx/Makefile.in, dlls/hhctrl.ocx/chm.c,
	  dlls/hhctrl.ocx/chm.h, dlls/hhctrl.ocx/help.c:
	James Hawkins <truiken@gmail.com>
	- Add the CHM Utility API.
	- Load help window values from the CHM file.

	* dlls/wintrust/.cvsignore, dlls/wintrust/Makefile.in,
	  dlls/wintrust/version.rc:
	Stefan Leichter <Stefan.Leichter@camLine.com>
	Added version resource to wintrust.dll.

	* dlls/dinput/joystick_linuxinput.c:
	Daniel Remenak <dtremenak@gmail.com>
	Protect FF_STATUS usage to avoid compile errors on machines with old
	linux/input.h.

	* dlls/uxtheme/msstyles.c: Gerald Pfeifer <gerald@pfeifer.com>
	#include <stdlib.h> to get abs() prototype.

2005-09-03  Alexandre Julliard  <julliard@winehq.com>

	* configure, configure.ac:
	We shouldn't use flat namespace for dlls on Mac OS. Also don't hide
	undefined symbol errors.

	* tools/winebuild/build.h, tools/winebuild/import.c,
	  tools/winebuild/spec32.c:
	Output the delayed import table using assembly too.

	* tools/winegcc/winegcc.c: Implemented --image-base support for Mac OS.

	* dlls/kernel/pthread.c, dlls/kernel/thread.c, dlls/ntdll/server.c,
	  dlls/ntdll/thread.c, include/wine/pthread.h, libs/wine/port.c,
	  libs/wine/wine.def, libs/wine/wine.map, loader/kthread.c,
	  loader/main.c, loader/main.h, loader/pthread.c:
	Use explicit function pointers for pthread support instead of relying
	on ELF symbol overriding.

	* dlls/winecrt0/dll_entry.c:
	Make sure to always call the destructors when the constructors have
	been called from the dll entry point.

	* programs/winecfg/Nl.rc: Paul Vriens <Paul.Vriens@xs4all.nl>
	Update for the 'Install theme' button.

	* dlls/urlmon/format.c, dlls/urlmon/tests/misc.c,
	  dlls/urlmon/urlmon.spec:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added RegisterFormatEnumerator and RevokeFormatEnumerator
	implementation.

	* dlls/crypt32/cert.c, dlls/crypt32/tests/cert.c:
	Juan Lang <juan_lang@yahoo.com>
	Correct a test that incorrectly showed signed certs couldn't be added
	to a mem store.
	Support signed certs in mem stores.
	Correct use of a freed pointer.

	* dlls/dinput/joystick_linuxinput.c:
	Daniel Remenak <dtremenak@gmail.com>
	Implement EnumEffects, CreateEffect, EnumCreatedEffects,
	SendForceFeedbackCommand, and GetForceFeedbackStatus for linux input
	joysticks.

	* configure, configure.ac, dlls/msxml3/Makefile.in,
	  dlls/msxml3/msxml_private.h, dlls/msxml3/node.c,
	  dlls/msxml3/nodelist.c, include/config.h.in:
	Mike McCormack <mike@codeweavers.com>
	Implemented IXMLDOMNode::selectNodes.

	* dlls/winecrt0/drv_entry.c:
	There's no way to properly unload a driver, so don't try.

	* dlls/shell32/tests/shellpath.c: Juan Lang <juan_lang@yahoo.com>
	Fix a test failing on Windows.  Reported by Katerina Nizhnik.

	* dlls/crypt32/main.c, dlls/crypt32/tests/main.c:
	Juan Lang <juan_lang@yahoo.com>
	Improve CryptAlgIdToOID/CryptOIDToAlgId tests, and prevent a crash in
	CryptOIDToAlgId.

	* dlls/wined3d/device.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Implemented point sprites using ARB_POINT_SPRITE extension.

	* dlls/urlmon/tests/Makefile.in, dlls/urlmon/tests/url.c,
	  dlls/urlmon/umon.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added CreateAsyncBindCtxEx implementation.

	* dlls/crypt32/encode.c, dlls/crypt32/tests/encode.c:
	Juan Lang <juan_lang@yahoo.com>
	Correct a bunch of lurking asn.1 decode bugs.

2005-09-02  Alexandre Julliard  <julliard@winehq.com>

	* tools/winebuild/build.h, tools/winebuild/import.c,
	  tools/winebuild/spec32.c:
	Output the import directory using assembly instead of C structures.

	* dlls/winecrt0/Makefile.in, dlls/winecrt0/drv_entry.c,
	  tools/winebuild/import.c:
	Added an entry point routine for native drivers.

	* dlls/atl/registrar.c, dlls/atl/rsrc.rc:
	Stefan Leichter <Stefan.Leichter@camLine.com>
	Fixed id of the REGISTRY resource.

	* dlls/dinput/Makefile.in, dlls/dinput/effect_linuxinput.c:
	Daniel Remenak <dtremenak@gmail.com>
	Added a linux input system force feedback effect implementation.

	* dlls/mshtml/nsembed.c: Fixed C99 declaration.

	* dlls/dbghelp/elf_module.c, dlls/dbghelp/msc.c,
	  dlls/dbghelp/mscvpdb.h, dlls/dbghelp/pe_module.c, dlls/ntdll/cdrom.c,
	  dlls/ntdll/loader.c, dlls/ntdll/nt.c, dlls/ntdll/tests/rtl.c,
	  dlls/ntdll/time.c, programs/progman/grpfile.c:
	Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* dlls/winecrt0/Makefile.in, dlls/winecrt0/crt0_private.h,
	  dlls/winecrt0/dll_entry.c, dlls/winecrt0/exe_entry.c,
	  dlls/winecrt0/exe_wentry.c, dlls/winecrt0/init.c,
	  include/wine/library.h, tools/winebuild/spec32.c:
	Moved the spec file init function and constructor to winecrt0.

	* dlls/msi/action.h, dlls/msi/classes.c, dlls/msi/helpers.c,
	  dlls/msi/msipriv.h:
	Mike McCormack <mike@codeweavers.com>
	- convert verbs into a standard list
	- remove limitation of 100 verbs
	- use pointers to verbs rather than indexes

	* dlls/crypt32/encode.c, dlls/crypt32/tests/encode.c:
	Juan Lang <juan_lang@yahoo.com>
	Implement encoding/decoding RSA public keys.

	* dlls/crypt32/cert.c, dlls/crypt32/tests/cert.c:
	Juan Lang <juan_lang@yahoo.com>
	Implement CertAddSerializedElementToStore.

	* dlls/ntdll/server.c: Fixed a file descriptor leak.

	* dlls/uxtheme/Makefile.in, dlls/uxtheme/msstyles.c,
	  dlls/uxtheme/system.c:
	Frank Richter <frank.richter@gmail.com>
	Remove shlwapi dependency.

	* Makefile.in: Clean Makeimplib.rules too.

	* dlls/dsound/tests/ds3d.c, dlls/dsound/tests/ds3d8.c,
	  dlls/mapi32/tests/prop.c, dlls/msvcrt/data.c, dlls/msvcrt/file.c,
	  dlls/msvcrt/msvcrt.h, dlls/qcap/v4l.c, dlls/winmm/wavemap/wavemap.c:
	Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* dlls/crypt32/encode.c, dlls/crypt32/protectdata.c,
	  include/commctrl.h:
	Kevin Koltzau <kevin@plop.org>
	Fix warnings in 64bit.

	* dlls/mshtml/mshtml_private.h, dlls/mshtml/nsembed.c,
	  dlls/mshtml/nsiface.idl, dlls/mshtml/persist.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Beginning implementation of onload routine.

	* include/.cvsignore, include/Makefile.in, include/objsafe.idl:
	Troy Rollo <wine@troy.rollo.name>
	Added objsafe.idl for IObjectSafety interface.

	* include/guiddef.h: Troy Rollo <wine@troy.rollo.name>
	For C++, declare initialised GUIDs to be "extern const" rather than
	just "const" to ensure that the initialised GUID is visible to other
	modules, and use EXTERN_C rather than just "extern" for the benefit of
	MSVC++, which does name mangling on global variables.

	* dlls/urlmon/Makefile.in, dlls/urlmon/format.c,
	  dlls/urlmon/urlmon.spec, dlls/urlmon/tests/.cvsignore,
	  dlls/urlmon/tests/Makefile.in, dlls/urlmon/tests/misc.c,
	  include/urlmon.idl:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added CreateFormatEnumerator implementation.

	* dlls/commdlg/cdlg32.c, dlls/commdlg/colordlg.c,
	  dlls/commdlg/filedlg.c, dlls/commdlg/fontdlg.c,
	  dlls/commdlg/printdlg.c, include/shobjidl.idl,
	  dlls/shell32/brsfolder.c, dlls/shell32/control.c, dlls/shell32/dde.c,
	  dlls/shell32/shell32_main.c, dlls/shell32/shell32_main.h,
	  dlls/shell32/shelllink.c, dlls/shell32/shellord.c,
	  dlls/shell32/shellpath.c, dlls/shell32/shlexec.c,
	  dlls/shell32/shlmenu.c, dlls/shell32/shv_bg_cmenu.c,
	  dlls/shell32/shv_item_cmenu.c, include/shellapi.h:
	Kevin Koltzau <kevin@plop.org>
	Fix warnings in 64bit.

	* dlls/msi/classes.c: Mike McCormack <mike@codeweavers.com>
	Add objects to lists at the right time.

	* include/wincrypt.h: Juan Lang <juan_lang@yahoo.com>
	More definitions and prototypes.

	* include/dinput.h: Daniel Remenak <dtremenak@gmail.com>
	Add definitions for force feedback command and status flags.

	* dlls/quartz/filtergraph.c: Christian Costa <titan.costa@wanadoo.fr>
	Forward calls of IBasic* and IVideoWindow interfaces of the
	filtergraph to the right filter.

	* programs/winecfg/theme.c: Frank Richter <frank.richter@gmail.com>
	Since uxtheme also returns a friendly display name from
	EnumThemeColors() and EnumThemeSizes() use that in the color/size
	combos.

	* dlls/rpcrt4/ndr_marshall.c: Robert Shearman <rob@codeweavers.com>
	- Implement most of the details around unmarshalling of an object
	  pointer.
	- Fix allocation scheme in NdrConformantArrayUnmarshal to allocate if
	  *ppMemory is NULL, like complex struct and user type unmarshalling.

	* dlls/ole32/dcom.idl: Robert Shearman <rob@codeweavers.com>
	The [string] attribute is only valid on byte, char and wchar_t types,
	so replace "unsigned short" by "WCHAR".

	* dlls/oleaut32/usrmarshal.c: Robert Shearman <rob@codeweavers.com>
	Add VT_UNKNOWN support for VARIANT marshaling by generalising the
	existing VT_DISPATCH code.

	* dlls/ole32/compobj_private.h, dlls/ole32/marshal.c,
	  dlls/ole32/stubmanager.c:
	Mike Hearn <mh@codeweavers.com>
	Robert Shearman <rob@codeweavers.com>
	Change stub manager to track the number of normal marshals instead of
	using the state machine so that multiple marshals of the same object
	and interface work correctly.

	* dlls/mshtml/olewnd.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	Make OleInPlaceObjectWindowlessVtbl const.

	* dlls/shell32/shfldr_unixfs.c:
	Dmitry Timoshkov <dmitry@codeweavers.com>
	Translate file name from unix to ANSI encoding in
	UnixFolder_IShellFolder2_GetDisplayNameOf.

	* dlls/wined3d/device.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Added the tracking of stream frequency and flags. Stream flags and
	frequency aren't handled at the moment.

	* dlls/mshtml/oleobj.c, dlls/mshtml/tests/htmldoc.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added exec_on_unload implementation.

	* dlls/wldap32/misc.c, dlls/wldap32/winldap_private.h:
	Hans Leidekker <hans@it.vu.nl>
	Fix the build without openldap headers.

2005-08-30  Alexandre Julliard  <julliard@winehq.com>

	* ANNOUNCE, ChangeLog, VERSION, configure: Release 20050830.

----------------------------------------------------------------
2005-08-30  Alexandre Julliard  <julliard@winehq.com>

	* dlls/comctl32/animate.c, dlls/comctl32/comboex.c,
	  dlls/comctl32/comctl32undoc.c, dlls/comctl32/commctrl.c,
	  dlls/comctl32/header.c, dlls/comctl32/imagelist.c,
	  dlls/comctl32/ipaddress.c, dlls/comctl32/listview.c,
	  dlls/comctl32/propsheet.c, dlls/comctl32/status.c,
	  dlls/comctl32/tab.c, dlls/comctl32/theming.c,
	  dlls/comctl32/toolbar.c, dlls/comctl32/tooltips.c,
	  dlls/comctl32/treeview.c, include/commctrl.h, include/prsht.h:
	Frank Richter <frank.richter@gmail.com>
	Fix warnings in 64bit.

	* programs/winecfg/De.rc, programs/winecfg/En.rc,
	  programs/winecfg/resource.h, programs/winecfg/theme.c:
	Frank Richter <frank.richter@gmail.com>
	Add an "Install theme" button to the appearance page to allow
	convenient copying of the .msstyles file to the Right Place inside the
	Windows dir.

	* programs/winecfg/No.rc, programs/winecfg/winecfg.rc:
	Alexander N. Sørnes <alex@thehandofagony.com>
	Norwegian translation of winecfg.

	* dlls/crypt32/cert.c, dlls/crypt32/tests/cert.c:
	Juan Lang <juan_lang@yahoo.com>
	Implement collection stores.

	* dlls/uxtheme/draw.c: Frank Richter <frank.richter@gmail.com>
	More elaborate IsThemeBackgroundPartiallyTransparent() implementation;
	also returns TRUE for theme parts with 32bpp images.

	* dlls/shell32/shfldr_unixfs.c:
	Michael Jung <mjung@iss.tu-darmstadt.de>
	Use FIXME's in stubs instead of TRACE's.
	Infer pathmode from CLSID in UnixFolderConstructor.
	Fail in IShellFolder::BindToObject, if folder does not initialize.

	* dlls/dplayx/dplay.c, dlls/dsound/capture.c, dlls/dsound/primary.c,
	  dlls/rpcrt4/cpsf.c, dlls/rpcrt4/ndr_marshall.c,
	  dlls/rpcrt4/rpc_epmap.c, dlls/rpcrt4/rpc_server.c,
	  dlls/rpcrt4/rpcrt4_main.c:
	Mike McCormack <mike@codeweavers.com>
	Fix some gcc 4.0 warnings.

	* dlls/mshtml/De.rc: Henning Gerhardt <henning.gerhardt@web.de>
	Update the German resource file.

	* dlls/secur32/secur32.c, dlls/secur32/secur32_priv.h,
	  dlls/secur32/tests/main.c:
	James Hawkins <truiken@gmail.com>
	Juan Lang <juan_lang@yahoo.com>
	Use a standard wine list for packages and providers.

	* dlls/uxtheme/system.c, dlls/uxtheme/uxtheme.spec,
	  dlls/uxtheme/uxthemedll.h:
	Frank Richter <frank.richter@gmail.com>
	EnumThemeColors() and EnumThemeSizes() actually do not return a single
	string with the color/size name, but rather a struct containing three
	strings - name, display name and tooltip.

	* dlls/uxtheme/draw.c: Frank Richter <frank.richter@gmail.com>
	Since theme images are reused now it's not really a good idea to
	delete them in drawing functions.

	* programs/winecfg/Nl.rc: Paul Vriens <Paul.Vriens@xs4all.nl>
	Update to the latest theme and tab settings.

	* dlls/wldap32/misc.c, dlls/wldap32/winldap_private.h,
	  dlls/wldap32/wldap32.spec:
	Hans Leidekker <hans@it.vu.nl>
	Implement ldap_count_entries, ldap_count_references,
	ldap_first_attribute*, ldap_first_entry, ldap_first_reference,
	ldap_next_attribute*, ldap_next_entry and ldap_next_reference.

2005-08-29  Alexandre Julliard  <julliard@winehq.com>

	* dlls/winecrt0/crt0_private.h, dlls/winecrt0/dll_entry.c,
	  dlls/winecrt0/exe_entry.c, dlls/winecrt0/exe_wentry.c,
	  tools/winebuild/spec32.c:
	Avoid using common symbols, they are broken on Mac OS.

	* dlls/uxtheme/draw.c, dlls/uxtheme/msstyles.c,
	  dlls/uxtheme/uxthemedll.h:
	Frank Richter <frank.richter@gmail.com>
	Pass around what kind of transparency an image actually needs. Use
	alpha-blending for 32bpp images.

	* programs/winecfg/theme.c: Frank Richter <frank.richter@gmail.com>
	Make THEME_update_color_and_size static and drop THEME_ prefix.

	* dlls/oleaut32/tmarshal.c: Robert Shearman <rob@codeweavers.com>
	Make typelib marshaler use IRpcChannelBuffer::GetBuffer if possible.

	* dlls/oleaut32/typelib.c: Robert Shearman <rob@codeweavers.com>
	- Shunt some trace statements over to the typelib channel that aren't
	  really much use except in debugging typelib parsing.
	- Make sure to release a reference to being returned as VariantCopyInd
	  takes one for us.

	* dlls/shell32/shell32_main.c: Michael Jung <mjung@iss.tu-darmstadt.de>
	Clone pidlLast before free'ing pidl after call to SHBindToParent.

	* dlls/shell32/tests/shlfolder.c:
	Michael Jung <mjung@iss.tu-darmstadt.de>
	Added test to show that Windows does not allocate a new pidl in
	SHBindToParent.

	* dlls/shell32/shfldr_unixfs.c:
	Michael Jung <mjung@iss.tu-darmstadt.de>
	Use StringFromGUID2 instead of StringFromCLSID in
	UNIXFS_is_rooted_at_desktop.

	* tools/winebuild/parser.c:
	Compute the ordinal base and limit in assign_ordinals instead of doing
	it while parsing.

	* dlls/dinput8/Makefile.in, dlls/dplay/Makefile.in,
	  dlls/newdev/Makefile.in, dlls/ntdll/loader.c,
	  dlls/olepro32/Makefile.in, dlls/rsabase/Makefile.in,
	  dlls/shfolder/Makefile.in, dlls/stdole2.tlb/Makefile.in,
	  dlls/stdole32.tlb/Makefile.in, dlls/winecrt0/dll_main.c:
	Uncomment out DisableThreadLibraryCalls in DllMain and add the
	kernel32 imports that it requires.

	* dlls/version/info.c, dlls/version/tests/info.c:
	Store the result of the A/W conversions in the extra buffer space.

	* dlls/version/info.c, dlls/version/tests/info.c:
	Paul Vriens <paul.vriens@xs4all.nl>
	Reserve extra space for conversions.

	* dlls/winecrt0/Makefile.in, dlls/winecrt0/crt0_private.h,
	  dlls/winecrt0/dll_entry.c, dlls/winecrt0/exe_entry.c,
	  dlls/winecrt0/exe_wentry.c, tools/winebuild/import.c,
	  tools/winebuild/spec32.c, tools/winegcc/winegcc.c:
	Moved more of the spec initialization code to the winecrt0 library,
	and get rid of implicit kernel32 imports.

	* dlls/wldap32/Makefile.in, dlls/wldap32/misc.c, dlls/wldap32/value.c,
	  dlls/wldap32/winldap_private.h, dlls/wldap32/wldap32.spec:
	Hans Leidekker <hans@it.vu.nl>
	Implement ldap_count_values*, ldap_get_values*,  ldap_msgfree and
	ldap_value_free_len.

	* dlls/crypt32/encode.c, dlls/crypt32/tests/encode.c:
	Juan Lang <juan_lang@yahoo.com>
	Implement encoding/decoding of CERT_ALT_NAME_INFOs and CRL_INFOs.

	* dlls/kernel/global16.c, dlls/kernel/kernel_main.c,
	  dlls/kernel/system.c, dlls/kernel/system.drv.spec:
	Moved the implementation of a couple of system.drv entry points to
	system.c.

	* dlls/wined3d/device.c, dlls/wined3d/directx.c,
	  dlls/wined3d/surface.c, dlls/wined3d/utils.c:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Added support for DXT2 and DXT4.

	* include/wine/list.h: Juan Lang <juan_lang@yahoo.com>
	Added a LIST_FOR_EACH_ENTRY_SAFE helper macro.

	* dlls/crypt32/cert.c, dlls/crypt32/tests/cert.c:
	Juan Lang <juan_lang@yahoo.com>
	Implemented memory cert stores.

	* dlls/comctl32/header.c: Phil Krylov <phil@newstar.rinet.ru>
	Improved header control performance by maintaining an internal order
	array.

	* libs/wine/ldt.c:
	Implemented wine_ldt_alloc_fs and wine_ldt_init_fs for Mac OS.

	* tools/winebuild/spec16.c:
	Use __wine_unimplemented_stub from crt0 for 16-bit spec files too.

	* programs/winemine/No.rc, programs/winemine/rsrc.rc:
	Alexander N. Sørnes <alex@thehandofagony.com>
	Norwegian language support.

	* dlls/mshtml/Fr.rc, dlls/mshtml/rsrc.rc:
	Jonathan Ernst <Jonathan@ErnstFamily.ch>
	French resources.

	* dlls/uxtheme/draw.c: Frank Richter <frank.richter@gmail.com>
	If a MINSIZEn property is not present, fall back to actual size of nth
	image to determine whether it is suitable.

	* dlls/kernel/kernel32.spec:
	Removed a few no longer used 16-bit exports.

	* dlls/kernel/task.c, dlls/kernel/toolhelp16.c:
	Moved TaskFindHandle16 to toolhelp16.c.

	* dlls/kernel/global16.c, dlls/kernel/toolhelp.c:
	Moved GlobalMasterHandle to global16.c.

	* dlls/kernel/Makefile.in, dlls/kernel/kernel16.c,
	  dlls/kernel/kernel_main.c, dlls/kernel/krnl386.exe.spec,
	  dlls/kernel/wowthunk.c:
	Moved the kernel 16-bit initialization to a new DllEntryPoint routine
	in krnl386.

	* dlls/msi/table.c: Mike McCormack <mike@codeweavers.com>
	- the combination of all table keys must be unique, not each key
	- MsiViewExecute may not be called before MsiModifyView

	* dlls/uxtheme/draw.c: Frank Richter <frank.richter@gmail.com>
	Take a common computation out of two if-branches in
	UXTHEME_LoadImage().

	* dlls/wined3d/device.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Implemented IWineD3DDevice_GetRenderTargetData.

	* dlls/mshtml/En.rc, dlls/mshtml/resource.h, dlls/mshtml/view.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Move strings to resources.

	* libs/wine/loader.c: Use the correct ordinal flag for Win64 support.

	* dlls/dbghelp/elf_module.c:
	Added a couple of missing stubs for the non-ELF case.

	* tools/winebuild/build.h, tools/winebuild/main.c, tools/winebuild/utils.c:
	Get rid of the unused owner_name field.

	* programs/winecfg/Fr.rc: Jonathan Ernst <Jonathan@ErnstFamily.ch>
	Theming setings in French.

	* dlls/comctl32/toolbar.c: Yuri Kozlov <kozlov.y@gmail.com>
	Set default size for toolbar bitmap if not specified.

	* dlls/msi/action.h, dlls/msi/classes.c, dlls/msi/helpers.c,
	  dlls/msi/msipriv.h, dlls/msi/package.c:
	Mike McCormack <mike@codeweavers.com>
	- build a standard Wine list of extensions instead of using an array
	- use extension pointers instead of array indexes

	* dlls/crypt32/encode.c, dlls/crypt32/protectdata.c,
	  dlls/crypt32/tests/main.c, dlls/crypt32/tests/protectdata.c,
	  dlls/dinput/joystick_linux.c, dlls/icmp/icmp_main.c,
	  dlls/itss/chm_lib.c, dlls/itss/lzx.c, dlls/netapi32/nbnamecache.c,
	  dlls/netapi32/nbt.c, dlls/odbc32/proxyodbc.c,
	  dlls/rsaenh/tests/rsaenh.c:
	Mike McCormack <mike@codeweavers.com>
	gcc 4.0 warning fixes.

	* dlls/wldap32/Makefile.in, dlls/wldap32/extended.c,
	  dlls/wldap32/winldap_private.h, dlls/wldap32/wldap32.spec:
	Hans Leidekker <hans@it.vu.nl>
	Implement ldap_extended_operation* and ldap_close_extended_op.

	* dlls/d3d8/directx.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Use wined3dformat when calling wined3d.

	* dlls/uxtheme/draw.c, dlls/uxtheme/msstyles.c, dlls/uxtheme/msstyles.h:
	Frank Richter <frank.richter@gmail.com>
	Implement "manual" image sharing(as opposed to using LoadImage() with
	LR_SHARED) by keeping the loaded images in a list. This is needed for
	proper alpha support later on since once-per-image preparations will
	be needed then.

	* dlls/mshtml/tests/htmldoc.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	- Added IHlinkTarget::Navigate test.
	- Added downloading test (disabled).

	* programs/winecfg/Ru.rc: Yuri Kozlov <kozlov.y@gmail.com>
	Theme dialog added in Ru.rc.

2005-08-27  Alexandre Julliard  <julliard@winehq.com>

	* dlls/Makedll.rules.in:
	Fixed the checklink target to link against winecrt0 too.

	* dlls/kernel/instr.c, dlls/kernel/kernel16_private.h,
	  dlls/kernel/kernel_main.c, dlls/kernel/kernel_private.h,
	  dlls/kernel/wowthunk.c:
	Don't try to initialize the 16-bit thunking code if 16-bit support is
	disabled.

	* dlls/msi/classes.c: Mike McCormack <mike@codeweavers.com>
	Add the allocated mime type to the mime type list.

	* dlls/advapi32/crypt_lmhash.c, dlls/advapi32/crypt_sha.c,
	  dlls/advapi32/registry.c, dlls/advapi32/service.c,
	  dlls/advapi32/tests/crypt_lmhash.c, dlls/advapi32/tests/crypt_md4.c,
	  dlls/advapi32/tests/crypt_md5.c, dlls/cabinet/cabinet.h,
	  dlls/comctl32/rebar.c, dlls/comctl32/tab.c, programs/view/view.c:
	Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* dlls/comctl32/propsheet.c:
	Thomas Weidenmueller <wine-patches@reactsoft.com>
	It should be allowed to pass NULL handles in the phpage array of the
	PROPSHEETHEADER structure to PropertySheet(), just ignore them.

	* dlls/wined3d/device.c, dlls/wined3d/swapchain.c:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Moved GetRasterStatus from device to swapchain.

	* dlls/comctl32/tests/Makefile.in, dlls/crypt32/tests/Makefile.in,
	  dlls/gdi/tests/Makefile.in, dlls/iphlpapi/tests/Makefile.in,
	  dlls/lzexpand/tests/Makefile.in, dlls/mapi32/tests/Makefile.in,
	  dlls/msacm/tests/Makefile.in, dlls/mshtml/tests/Makefile.in,
	  dlls/msvcrt/tests/Makefile.in, dlls/msvcrtd/tests/Makefile.in,
	  dlls/netapi32/tests/Makefile.in, dlls/oleaut32/tests/Makefile.in,
	  dlls/rpcrt4/tests/Makefile.in, dlls/secur32/tests/Makefile.in,
	  dlls/shell32/tests/Makefile.in, dlls/shlwapi/tests/Makefile.in,
	  dlls/urlmon/tests/Makefile.in, dlls/user/tests/Makefile.in,
	  dlls/version/tests/Makefile.in, dlls/wininet/tests/Makefile.in,
	  dlls/winsock/tests/Makefile.in, programs/winetest/Makefile.in:
	Explicitly import kernel32 in tests that use it.

	* dlls/mshtml/Makefile.in, dlls/mshtml/hlink.c, dlls/mshtml/htmldoc.c,
	  dlls/mshtml/mshtml_private.h:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added IHlinkTarget interface.

	* dlls/ole32/compobj_private.h, dlls/ole32/marshal.c,
	  dlls/ole32/tests/marshal.c:
	Robert Shearman <rob@codeweavers.com>
	- Implement IMarshal on proxies so that we don't end up with proxies
	  to proxies, causing potential deadlock issues and performance
	  problems.
	- Add a test for this situation and remove the todo_wine from another
	  test that now succeeds.

	* dlls/mshtml/De.rc, dlls/mshtml/rsrc.rc:
	Henning Gerhardt <henning.gerhardt@web.de>
	Added German resources.

	* dlls/user/listbox.c, dlls/user/tests/listbox.c:
	Jason Edmeades <us@edmeades.me.uk>
	Listbox delete string handling should validate the range of the
	index. Added some tests.

	* dlls/wined3d/texture.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Change SetDirty in texture to pass the value of dirty instead of
	always passing TRUE.

	* dlls/x11drv/xrender.c: Frank Richter <frank.richter@gmail.com>
	Make AlphaBlend() respect the destination clipping region.

	* include/commctrl.h: Frank Richter <frank.richter@gmail.com>
	Added WC_SCROLLBAR.

	* dlls/winsock/socket.c, dlls/winsock/tests/sock.c:
	Hans Leidekker <hans@it.vu.nl>
	Avoid using the obsolete inet_addr.

	* dlls/mshtml/tests/htmldoc.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	Make pActiveObject test language specific.

	* dlls/sensapi/sensapi.c, include/sensapi.h:
	Marcus Meissner <meissner@suse.de>
	IsNetworkAlive() enhanced, always reports LAN.

2005-08-26  Alexandre Julliard  <julliard@winehq.com>

	* dlls/rsaenh/rsaenh.c, dlls/wined3d/swapchain.c,
	  dlls/wined3d/wined3d_private.h:
	Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* dlls/mshtml/mshtml_private.h, dlls/mshtml/nsembed.c,
	  dlls/mshtml/nsiface.idl, dlls/mshtml/view.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Beginning implementation of Gecko focus handling.

	* dlls/shell32/.cvsignore, dlls/shell32/Makefile.in,
	  dlls/shell32/folders.c, dlls/shell32/iconcache.c,
	  dlls/shell32/regsvr.c, dlls/shell32/shell32_main.h,
	  dlls/shell32/shellole.c, dlls/shell32/shfldr_unixfs.c,
	  dlls/shell32/shres.rc, dlls/shell32/shresdef.h:
	Michael Jung <mjung@iss.tu-darmstadt.de>
	Implemented 'My Documents' folder.

	* dlls/oleaut32/varformat.c, dlls/winedos/dosaspi.c,
	  dlls/winedos/dosmem.c, dlls/winedos/module.c, dlls/wineps/driver.c,
	  dlls/wineps/init.c, dlls/wineps/ps.c, dlls/wineps/type42.c,
	  dlls/winsock/tests/sock.c, programs/winetest/send.c:
	Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* dlls/Makefile.in, dlls/make_dlls:
	We no longer need a special case for the ntdll import library.

	* include/wtypes.idl: Robert Shearman <rob@codeweavers.com>
	Added more wtypes definitions, particularly for GDI/USER handles.

	* include/urlmon.idl: Robert Shearman <rob@codeweavers.com>
	- The output size should be *pcbPolicy for ppPolicy, not the input
	  size.
	- Remove a stray semi-colon.

	* include/oleidl.idl: Robert Shearman <rob@codeweavers.com>
	Move interfaces around to satisfy MIDL.

	* include/msxml.idl: Robert Shearman <rob@codeweavers.com>
	Remove nonsense msxml IDL attributes.

	* dlls/x11drv/xfont.c: Pavel Roskin <proski@gnu.org>
	Extend uRelax scale so that yres is relaxed before slant, not at the
	same time.

	* dlls/msi/action.h, dlls/msi/classes.c, dlls/msi/helpers.c,
	  dlls/msi/msipriv.h, dlls/msi/package.c:
	Mike McCormack <mike@codeweavers.com>
	- build a standard Wine list of mime types instead of using an array
	- use mime type pointers instead of array indexes

	* dlls/ole32/compobj.c, dlls/ole32/ole32.spec:
	Robert Shearman <rob@codeweavers.com>
	Add stub for CoAllowSetForegroundWindow.

	* dlls/crypt32/cert.c, dlls/crypt32/crypt32.spec:
	Juan Lang <juan_lang@yahoo.com>
	Added a bunch of stubs.

	* dlls/mshtml/En.rc, dlls/mshtml/olewnd.c, dlls/mshtml/resource.h,
	  dlls/mshtml/rsrc.rc:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added default MSHTML context menu.

	* include/wincrypt.h: Juan Lang <juan_lang@yahoo.com>
	Correct a typo, and add more definitions.

2005-08-25  Alexandre Julliard  <julliard@winehq.com>

	* dlls/winecrt0/Makefile.in, dlls/winecrt0/delay_load.c,
	  tools/winebuild/import.c, tools/winebuild/spec32.c:
	Moved the delay loading support code to the winecrt0 library.

	* include/Makefile.in, include/ddk/winsplp.h:
	Detlef Riekenberg <wine.dev@web.de>
	Added winsplp.h header.

	* programs/uninstaller/Makefile.in, programs/winepath/Makefile.in,
	  tools/winegcc/winegcc.c, tools/winegcc/winegcc.man:
	Added a -municode flag to winegcc for applications that have a wmain()
	entry point.

	* dlls/mshtml/mshtml_private.h, dlls/mshtml/nsembed.c,
	  dlls/mshtml/nsiface.idl, dlls/mshtml/olewnd.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	- Beginning implementation of context menu.
	- Set nsIWebBrowserChrome of nsIWebBrowser.

	* dlls/wined3d/Makefile.in, dlls/wined3d/device.c,
	  dlls/wined3d/pixelshader.c, dlls/wined3d/wined3d_private.h:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Implemented stubbed out pixel shaders and their states in wined3d.

	* dlls/commdlg/printdlg.c: Vitaly Lipatov <lav@etersoft.ru>
	Restore paper orientation when pagesetupdlg is initializing.

	* dlls/ntdll/signal_i386.c: Glenn Wurster <gwurster@scs.carleton.ca>
	Make stack check work if stack is a small value.

	* dlls/ddraw/tests/d3d.c:
	Saulius Krasuckas <saulius.krasuckas@ieee.org>
	- DirectDrawCreateEx fails with Standard VGA Adapter driver.
	- IDirect3D7::CreateDevice() returns E_OUTOFMEMORY if a card has no 3D
	  acceleration.

	* programs/winecfg/De.rc, programs/winecfg/En.rc,
	  programs/winecfg/Fr.rc, programs/winecfg/Ja.rc,
	  programs/winecfg/Nl.rc, programs/winecfg/Ru.rc,
	  programs/winecfg/main.c, programs/winecfg/resource.h:
	Frank Richter <frank.richter@gmail.com>
	Load tab titles and property sheet caption from string resources.

	* dlls/msi/action.c: Mike McCormack <mike@codeweavers.com>
	Make sure to save the result calculated in ACTION_UpdateInstallStates.

	* dlls/user/sysparams.c, dlls/user/tests/sysparams.c:
	Vitaly Lipatov <lav@etersoft.ru>
	- remove return: now break loop if can't change state during test
	- add test for value returned by SwapMouseButton
	- fix SwapMouseButton return value (it returns previous state)

	* dlls/comctl32/header.c: Phil Krylov <phil@newstar.rinet.ru>
	Draw header control items only within the header client area.

	* dlls/activeds/Makefile.in, dlls/d3dim/Makefile.in,
	  dlls/d3drm/Makefile.in, dlls/msnet32/Makefile.in,
	  dlls/msvcrt20/Makefile.in, dlls/msvcrt40/Makefile.in,
	  dlls/ntdll/exception.c, dlls/oleacc/Makefile.in,
	  dlls/sti/Makefile.in, dlls/url/Makefile.in,
	  dlls/winecrt0/Makefile.in, dlls/winecrt0/stub.c,
	  tools/winebuild/import.c, tools/winebuild/spec32.c:
	Moved the implementation of spec file stubs to the winecrt0 library.

	* dlls/comctl32/theme_dialog.c: Frank Richter <frank.richter@gmail.com>
	Add WM_CTLCOLORSTATIC handler to dialog theming subclass so static
	text can appear transparent (for e.g. tab pages which commonly have a
	"fancy" background).

	* dlls/msi/files.c: Aric Stewart <aric@codeweavers.com>
	The file name used in the ui messages is the target name not the
	source name.

	* programs/winecfg/De.rc, programs/winecfg/En.rc:
	Frank Richter <frank.richter@gmail.com>
	Add English Neutral and German appearance tab translations.

	* documentation/PACKAGING: Tom Wickline <twickline@gmail.com>
	Removed remaining config references.

	* dlls/mshtml/persist.c, dlls/mshtml/tests/Makefile.in,
	  dlls/mshtml/tests/htmldoc.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	- Added test of IPersistMoniker::Load.
	- Fix Wine to pass the test.

	* dlls/Makefile.in, dlls/make_dlls:
	Install the static import libraries too.

	* configure, configure.ac, dlls/.cvsignore, dlls/Makeimplib.rules.in,
	  dlls/dxerr8/Makefile.in, dlls/dxerr9/Makefile.in,
	  dlls/dxguid/Makefile.in, dlls/strmiids/Makefile.in,
	  dlls/uuid/Makefile.in, dlls/winecrt0/Makefile.in:
	Added a make rules file for static import libraries.

	* configure, configure.ac, dlls/Makefile.in, dlls/winecrt0/.cvsignore,
	  dlls/winecrt0/Makefile.in, dlls/winecrt0/dll_main.c,
	  dlls/winecrt0/exe_main.c, dlls/winecrt0/exe_wmain.c,
	  programs/uninstaller/Makefile.in, programs/winepath/Makefile.in,
	  tools/winebuild/build.h, tools/winebuild/import.c,
	  tools/winebuild/main.c, tools/winebuild/spec32.c,
	  tools/winegcc/winegcc.c:
	Beginnings of a crt0 library.

	* include/Makefile.in:
	Fixed installation rules for Wine-specific IDL files.

	* dlls/itss/itss.idl, dlls/itss/.cvsignore, dlls/itss/Makefile.in,
	  dlls/itss/itss.c, dlls/itss/moniker.c, dlls/itss/regsvr.c,
	  dlls/itss/storage.c, include/Makefile.in, include/wine/.cvsignore,
	  include/wine/itss.idl:
	James Hawkins <truiken@gmail.com>
	Moved itss.idl to include/wine.

	* dlls/ntdll/virtual.c:
	Use FILE_GetDeviceInfo in NtMapViewOfSection to avoid having to fetch
	the file descriptor twice.

	* dlls/msi/action.h, dlls/msi/classes.c, dlls/msi/helpers.c,
	  dlls/msi/msipriv.h, dlls/msi/package.c:
	Mike McCormack <mike@codeweavers.com>
	- build a standard Wine list of classes instead of using an array
	- use class pointers instead of array indexes

	* dlls/winsock/socket.c: Mike McCormack <mike@codeweavers.com>
	gcc 4.0 warning fixes.

	* dlls/crypt32/cert.c, dlls/crypt32/crypt32.spec,
	  dlls/crypt32/crypt32_private.h, dlls/crypt32/main.c,
	  dlls/crypt32/tests/.cvsignore, dlls/crypt32/tests/Makefile.in,
	  dlls/crypt32/tests/cert.c:
	Juan Lang <juan_lang@yahoo.com>
	Implemented CryptHashCertificate.

	* dlls/msi/package.c: Mike McCormack <mike@codeweavers.com>
	Don't dereference variables in a trace.

	* include/objidl.idl, include/wtypes.idl:
	Robert Shearman <rob@codeweavers.com>
	Update to include all of the interfaces in the Platform SDK as of the
	XP SP2 version.

	* dlls/ole32/compobj.c, dlls/ole32/compobj_private.h:
	Robert Shearman <rob@codeweavers.com>
	Remove unused thread handle entry from the apartment structure.

	* dlls/msi/classes.c: Mike McCormack <mike@codeweavers.com>
	Fix a small bug introduced when converting appids to a list.

	* dlls/msi/action.c: Aric Stewart <aric@codeweavers.com>
	Display the correct text string in the action text field for the
	dialog boxes. Also the string should be deformatted.

2005-08-24  Alexandre Julliard  <julliard@winehq.com>

	* dlls/ntdll/server.c, include/wine/server_protocol.h, server/fd.c,
	  server/handle.c, server/handle.h, server/protocol.def,
	  server/request.h, server/trace.c:
	Don't cache file descriptors open on removable devices.

	* dlls/ntdll/file.c, dlls/ntdll/ntdll_misc.h:
	Moved the FileFsDeviceInformation query to a separate function.

	* dlls/msvcrt/mbcs.c, dlls/msvcrt/msvcrt.spec:
	Vitaly Lipatov <lav@etersoft.ru>
	Add missed _mbscoll function.

	* dlls/atl/atl_main.c: Aric Stewart <aric@codeweavers.com>
	Version 1 atl modules only have a structure size of 100 and no
	functions to call.

	* dlls/msi/install.c, include/msiquery.h:
	Johan Dahlin <jdahlin@async.com.br>
	Implemented MsiSetComponentState*.

	* dlls/msi/tests/db.c: Mike McCormack <mike@codeweavers.com>
	Test case for MsiModifyView and MsiViewGetError.

	* dlls/msi/create.c, dlls/msi/delete.c, dlls/msi/insert.c,
	  dlls/msi/msipriv.h, dlls/msi/select.c, dlls/msi/table.c:
	Mike McCormack <mike@codeweavers.com>
	Implement MsiModifyView (MSIMODIFY_INSERT_TEMPORARY).

	* programs/winecfg/De.rc, programs/winecfg/En.rc,
	  programs/winecfg/Makefile.in, programs/winecfg/main.c,
	  programs/winecfg/resource.h, programs/winecfg/theme.c,
	  programs/winecfg/winecfg.h:
	Frank Richter <frank.richter@gmail.com>
	Add an "Appearance" tab to control the currently active theme.

	* dlls/msi/msiquery.c, include/msiquery.h:
	Mike McCormack <mike@codeweavers.com>
	Better stub for MsiViewGetError.

	* dlls/msi/action.c: Johan Dahlin <jdahlin@async.com.br>
	Added a null check for component.

	* dlls/msi/action.h: Mike McCormack <mike@codeweavers.com>
	Add include guard to header and make functions extern.

	* dlls/x11drv/text.c: Huw Davies <huw@codeweavers.com>
	Use the correct rectangle for ETO_OPAQUE - spotted by James Hawkins.

	* dlls/msi/install.c, dlls/msi/msi.spec:
	Johan Dahlin <jdahlin@async.com.br>
	Added stubs for MsiSetComponentStateA and MsiSetComponentStateW.

	* dlls/msi/action.h, dlls/msi/classes.c, dlls/msi/helpers.c,
	  dlls/msi/msipriv.h, dlls/msi/package.c:
	Mike McCormack <mike@codeweavers.com>
	- build a standard Wine list of appids instead of using an array
	- use appid pointers instead of array indexes

	* dlls/wininet/http.c: James Hawkins <truiken@gmail.com>
	Avoid heap corruption by not accessing old HeapReAlloc'ed pointer.

	* dlls/oleaut32/tmarshal.c: Robert Shearman <rob@codeweavers.com>
	- Remove redundant QueryInterface in marshal_interface - the object is
	  always queried later on for the correct interface of the object.
	- Make sure to Release the marshaled pointer in the typelib marshaler
	  once it is no longer required.

	* dlls/oleaut32/olepicture.c: Michael Stefaniuc <mstefani@redhat.de>
	Implement IPicture::get_hPal for PICTYPE_BITMAP.

2005-08-23  Alexandre Julliard  <julliard@winehq.com>

	* tools/winebuild/spec32.c:
	The exported name strings should be inside the export directory (found
	by Vitaliy Margolen).

	* dlls/ddraw/tests/d3d.c:
	Saulius Krasuckas <saulius.krasuckas@ieee.org>
	Skip testing on IDirect3D7::CreateDevice() failure.

	* dlls/wined3d/swapchain.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Update the implementation of GetFrontBufferData in stateblock.

	* configure, configure.ac, dlls/Makefile.in, dlls/mciavi32/.cvsignore,
	  dlls/mciavi32/Makefile.in, dlls/mciavi32/info.c,
	  dlls/mciavi32/mciavi.c, dlls/mciavi32/mciavi32.spec,
	  dlls/mciavi32/mciavi_res.rc, dlls/mciavi32/mmoutput.c,
	  dlls/mciavi32/private_mciavi.h, dlls/mciavi32/wnd.c,
	  dlls/winmm/mciavi/.cvsignore, dlls/winmm/mciavi/Makefile.in,
	  dlls/winmm/mciavi/info.c, dlls/winmm/mciavi/mciavi.c,
	  dlls/winmm/mciavi/mciavi.drv.spec, dlls/winmm/mciavi/mciavi_res.rc,
	  dlls/winmm/mciavi/mmoutput.c, dlls/winmm/mciavi/private_mciavi.h,
	  dlls/winmm/mciavi/wnd.c, dlls/winmm/time.c,
	  programs/winecfg/properties.c, tools/wine.inf:
	Rémi Assailly <remi.assailly@free.fr>
	Moved mciavi32 to the top-level dlls directory.

	* dlls/msvcrt/mbcs.c, dlls/msvideo/msvideo16.c:
	Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* dlls/ntdll/om.c, dlls/ntdll/server.c, include/wine/server_protocol.h,
	  server/handle.c, server/handle.h, server/protocol.def,
	  server/request.h, server/trace.c:
	Added a separate set_handle_cached_fd request instead of abusing
	set_handle_info for that.

	* dlls/kernel/process.c:
	Rewrote Get/SetHandleInformation to call the corresponding ntdll
	functions.

	* dlls/itss/Makefile.in, dlls/itss/itss.c, dlls/itss/regsvr.c,
	  tools/wine.inf:
	James Hawkins <truiken@gmail.com>
	Register the ITStorage class.

	* dlls/riched20/caret.c, dlls/riched20/reader.c:
	Phil Krylov <phil@newstar.rinet.ru>
	Fixed a RichEdit RTF reader bug which resulted in loss of text.
	Eliminated unneeded recursion in ME_InsertTextFromCursor().

	* include/mshtmhst.idl: Jacek Caban <jack@itma.pwr.wroc.pl>
	Added more definitions.

	* dlls/msi/action.c, dlls/msi/action.h, dlls/msi/helpers.c,
	  dlls/msi/install.c, dlls/msi/msipriv.h, dlls/msi/package.c:
	Mike McCormack <mike@codeweavers.com>
	- build a standard Wine list of folders instead of using an array
	- use folder pointers instead of array indexes

	* documentation/PACKAGING: Tom Wickline <twickline@gmail.com>
	Remove reference to config file.
	Add .deb file with .rpm file for successful install.

	* DEVELOPERS-HINTS: Tom Wickline <twickline@gmail.com>
	Remove reference to documentation/samples/.
	Add recently implemented dlls.

	* dlls/x11drv/xrender.c: Huw Davies <huw@codeweavers.com>
	Avoid using XRenderFindStandardFormat as older libraries don't have
	it.

	* dlls/comctl32/tab.c, dlls/comctl32/tests/tab.c:
	Vitaliy Margolen <wine-patch@kievinfo.com>
	Fix handling of minimum tab width.
	Add more tests to test it.

	* dlls/msi/action.c, dlls/msi/action.h, dlls/msi/classes.c,
	  dlls/msi/custom.c, dlls/msi/files.c, dlls/msi/format.c,
	  dlls/msi/helpers.c, dlls/msi/msipriv.h, dlls/msi/package.c:
	Mike McCormack <mike@codeweavers.com>
	- build a standard Wine list of files instead of using an array
	- use file pointers instead of array indexes

	* dlls/riched20/row.c: Phil Krylov <phil@newstar.rinet.ru>
	Fixed EM_EXLINEFROMCHAR to work for last row of a paragraph.

	* dlls/comctl32/progress.c, dlls/comctl32/tests/.cvsignore,
	  dlls/comctl32/tests/Makefile.in, dlls/comctl32/tests/progress.c:
	Michael Kaufmann <hallo@michael-kaufmann.ch>
	- Redraw immediately upon PBM_SETPOS, PBM_DELTAPOS, PBM_STEPIT.
	- New tests.

	* programs/winedbg/winedbg.c: Glenn Wurster <gwurster@scs.carleton.ca>
	Don't pass on EH_STACK_INVALID exceptions.

	* dlls/gdi/enhmfdrv/enhmetafiledrv.h, dlls/gdi/enhmfdrv/graphics.c,
	  dlls/gdi/font.c, dlls/gdi/gdi_private.h,
	  dlls/gdi/mfdrv/metafiledrv.h, dlls/gdi/mfdrv/text.c,
	  dlls/ttydrv/graphics.c, dlls/ttydrv/ttydrv.h,
	  dlls/ttydrv/winetty.drv.spec, dlls/wineps/psdrv.h,
	  dlls/wineps/text.c, dlls/wineps/wineps.drv.spec, dlls/x11drv/text.c,
	  dlls/x11drv/winex11.drv.spec, dlls/x11drv/x11drv.h,
	  dlls/x11drv/xrender.c:
	Huw Davies <huw@codeweavers.com>
	Move a bunch of common code from the drivers into gdi.

	* dlls/shell32/tests/Makefile.in, dlls/shell32/tests/shlfolder.c:
	Michael Jung <mjung@iss.tu-darmstadt.de>
	Added some tests for CLSID_FolderShortcut objects.

	* dlls/msxml3/tests/domdoc.c: Mike McCormack <mike@codeweavers.com>
	Add some node tests.

	* dlls/shell32/tests/shlexec.c, dlls/twain/capability.c,
	  dlls/version/resource.c, dlls/winaspi/winaspi16.c,
	  dlls/winaspi/winaspi32.c:
	Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* include/windef.h, include/wine/debug.h:
	Kevin Koltzau <kevin@plop.org>
	Fix pointer cast warnings in 64bit.

	* dlls/d3d9/cubetexture.c, dlls/d3d9/d3d9.spec, dlls/d3d9/d3d9_main.c,
	  dlls/d3d9/d3d9_private.h, dlls/d3d9/device.c, dlls/d3d9/directx.c,
	  dlls/d3d9/indexbuffer.c, dlls/d3d9/pixelshader.c,
	  dlls/d3d9/stateblock.c, dlls/d3d9/surface.c, dlls/d3d9/swapchain.c,
	  dlls/d3d9/texture.c, dlls/d3d9/vertexbuffer.c,
	  dlls/d3d9/vertexshader.c, dlls/d3d9/volume.c,
	  dlls/d3d9/volumetexture.c, include/wine/wined3d_types.h:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Tidy up d3d9 and finalize passing d3d9 calls to wined3d for now.

	* dlls/oleaut32/tests/vartest.c, dlls/oleaut32/variant.c:
	Michael Stefaniuc <mstefani@redhat.de>
	- VarAdd, VarMul: I4 overflows to R8 and not I8 even if the result
	  would fit in I8. Fix tests.
	- Document a brokeness in the handling of I8 numbers in
	  VarNumFromParseNum. Fix tests.

	* dlls/riched20/editor.c: Phil Krylov <phil@newstar.rinet.ru>
	Added support for backward search to RichEdit EM_FINDTEXT[AW],
	EM_FINDTEXTEX[AW] message handler.

	* dlls/advapi32/service.c, include/winsvc.h:
	Kevin Koltzau <kevin@plop.org>
	Properly declare handles.

	* include/commctrl.h: Michael Kaufmann <hallo@michael-kaufmann.ch>
	Added SB_SIMPLEID.

	* dlls/msi/action.c: Aric Stewart <aric@codeweavers.com>
	Make index INT not UINT because it can be -1.

2005-08-22  Alexandre Julliard  <julliard@winehq.com>

	* dlls/ddraw/device_opengl.c:
	Saulius Krasuckas <saulius.krasuckas@ieee.org>
	Don't leak a list of visuals (with advice of Jacek Caban).

	* dlls/version/tests/info.c:
	Add an extra test to show failing behavior.

	* dlls/wldap32/error.c, dlls/wldap32/init.c, dlls/wldap32/misc.c,
	  dlls/wldap32/winldap_private.h, dlls/wldap32/wldap32.spec:
	Hans Leidekker <hans@it.vu.nl>
	Implement LdapGetLastError, cldap_open*, ldap_abandon,
	ldap_check_filter*, ldap_cleanup, ldap_conn_from_msg and
	ldap_connect.

	* dlls/shell32/shfldr_unixfs.c:
	Michael Jung <mjung@iss.tu-darmstadt.de>
	Initialize all members in UnixFolder constructor.
	Support NULL value pidls in GetDisplayNameOf method.

	* dlls/riched20/editor.c: Phil Krylov <phil@newstar.rinet.ru>
	Fixed EM_SETEVENTMASK RichEdit message handler to return old event
	mask.

	* dlls/user/menu.c: Mike McCormack <mike@codeweavers.com>
	Fix magic item handling and warnings.

	* dlls/msi/action.c, dlls/msi/action.h, dlls/msi/classes.c,
	  dlls/msi/events.c, dlls/msi/helpers.c, dlls/msi/install.c,
	  dlls/msi/msipriv.h, dlls/msi/package.c:
	Mike McCormack <mike@codeweavers.com>
	- build a standard Wine list of features instead of using an array
	- use feature pointers instead of array indexes

	* dlls/kernel/vxd.c: Ivan Leo Puoti <ivanleo@gmail.com>
	Let DeviceIoControl call the appropriate native interface.

	* dlls/riched20/reader.c: Phil Krylov <phil@newstar.rinet.ru>
	Automatically set default font after parsing a font table in RichEdit
	RTF reader.

	* dlls/mshtml/mshtml_private.h, dlls/mshtml/oleobj.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	- Call LockContainer only if it's not already locked/unlocked.
	- Only return S_OK in SetClientSite if IOleClientSite is not changed.

	* dlls/wldap32/Makefile.in, dlls/wldap32/rename.c,
	  dlls/wldap32/winldap_private.h, dlls/wldap32/wldap32.spec:
	Hans Leidekker <hans@it.vu.nl>
	Implement ldap_rename* functions.

	* dlls/comctl32/tab.c: Aric Stewart <aric@codeweavers.com>
	Fix for dreamweaver site definition dialog. Need to initialize the
	rect for a tab control to an empty rect if it is not visible.

	* dlls/atl/registrar.c: Kevin Koltzau <kevin@plop.org>
	Fix 'cast to pointer from integer of different size' warnings in
	64bit.

	* dlls/gdi/path.c, dlls/user/sysparams.c:
	Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* dlls/uxtheme/msstyles.c: Kevin Koltzau <kevin@plop.org>
	Fix 'cast to pointer from integer of different size' warnings in
	64bit.

	* server/ptrace.c, server/thread.c, server/thread.h:
	Don't try to detach from a thread that is exiting, to avoid triggering
	a kernel race condition.

	* dlls/wined3d/basetexture.c, dlls/wined3d/device.c,
	  dlls/wined3d/stateblock.c, dlls/wined3d/wined3d_private.h:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Fix quite a few texturing problems and cases where text isn't being
	correctly displated.

	* dlls/riched20/editor.c, dlls/riched20/reader.c, dlls/riched20/rtf.h:
	Phil Krylov <phil@newstar.rinet.ru>
	Added handling of deff RTF control word.

	* dlls/secur32/wrapper.c: Kai Blin <blin@gmx.net>
	Fixed a couple of bugs in InitializeSecurityContext(A/W) and
	AcceptSecurityContext.

	* dlls/mshtml/nsembed.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	Disable using nsWebBrowserStream.

	* configure, configure.ac, dlls/kernel/time.c, include/config.h.in:
	Gerald Pfeifer <gerald@pfeifer.com>
	Prefer sys/limits.h over machine/limits.h.

	* dlls/quartz/memallocator.c, dlls/quartz/tests/.cvsignore,
	  dlls/quartz/tests/Makefile.in, dlls/quartz/tests/memallocator.c:
	Christian Costa <titan.costa@wanadoo.fr>
	Return S_OK when committing/decomitting an already
	committed/decommitted allocator.
	Add corresponding test case.
	Improve traces.

	* dlls/ole32/stg_prop.c, dlls/shell32/regsvr.c,
	  dlls/shell32/shellole.c, dlls/shell32/shellreg.c,
	  dlls/user/sysparams.c, dlls/winmm/mmsystem.c:
	Mike McCormack <mike@codeweavers.com>
	Fix some gcc 4.0 warnings.

	* dlls/mshtml/Makefile.in, dlls/mshtml/oleobj.c,
	  dlls/mshtml/tests/htmldoc.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	- Added OnAmbientPropertyChange implementation.
	- Call IDispatch::Invoke when native does (with test).

	* dlls/msxml3/node.c: Mike McCormack <mike@codeweavers.com>
	Implement IXMLDOMNode::hasChildNode().

	* dlls/msxml3/domdoc.c: Mike McCormack <mike@codeweavers.com>
	Forward IXMLDOMDocument methods to contained node.

	* programs/winefile/Cs.rc, programs/winefile/De.rc,
	  programs/winefile/En.rc, programs/winefile/Sv.rc:
	Dmitry Timoshkov <dmitry@codeweavers.com>
	Remove unnecessary #pragma code_page(xxxx) statements from winefile
	.rc files.

	* dlls/msxml3/element.c: Mike McCormack <mike@codeweavers.com>
	Forward IXMLDOMElement methods derived from IXMLDOMNode to the
	element's contained node.

	* dlls/kernel/sync.c: Phil Krylov <phil@newstar.rinet.ru>
	Fixed InterLocked* function definitions for non-x86 platforms in
	accordance with the recent corresponding change of their declarations
	in winbase.h.

	* dlls/mshtml/persist.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	Use pibc argument of IPersistMoniker::Load.

	* dlls/oleaut32/tests/olefont.c: Walt Ogburn <reuben@ugcs.caltech.edu>
	Add tests for olefont size functions & conversions.

	* dlls/oleaut32/olefont.c: Walt Ogburn <reuben@ugcs.caltech.edu>
	When applying logical / himetric ratio to olefont sizes, must divide
	by the standard ratio 72 / 2540.

	* dlls/x11drv/opengl.c: Saulius Krasuckas <saulius.krasuckas@ieee.org>
	Don't dereference a NULL visual pointer.

	* dlls/mshtml/nsembed.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	Always add gecko directory to the path before loading xpcom.

	* dlls/atl/registrar.c: Stefan Leichter <Stefan.Leichter@camLine.com>
	Print something useful in trace and fixme.

	* dlls/quartz/filtergraph.c, dlls/quartz/transform.c:
	Christian Costa <titan.costa@wanadoo.fr>
	Properly allocate/release memory when adding filters to the filtergraph.
	When connecting pin, discard filter which is the same as the upstream
	one.
	Remove wrong extra IBaseFilter_Release.
	Improve traces by showing filters owing pins we want to connect or
	render.
	Properly initialize output pin of transform filter.

	* dlls/ddraw/surface_dib.c:
	Maxime Bellengé <maxime.bellenge@laposte.net>
	Fix regression in color keying with RGB mask.

	* dlls/comctl32/datetime.c:
	Michael Kaufmann <hallo@michael-kaufmann.ch>
	Handle WM_GETFONT and WM_SETFONT.

	* dlls/winmm/wineoss/mixer.c: Robert Reif <reif@earthlink.net>
	Fix mixer detection for multiple sound cards.

	* dlls/riched20/editor.c: Phil Krylov <phil@newstar.rinet.ru>
	Added common keyboard shortcuts for Select All, Undo, Redo, Cut, Copy
	and Paste to RichEdit.

	* dlls/ole32/compobj.c: Mike McCormack <mike@codeweavers.com>
	- return a precomputed result for a NULL string
	- pass strlen an LPSTR to eliminate a sign warning

	* dlls/msvideo/msvfw32.spec, dlls/msvideo/msvideo_main.c,
	  dlls/msvideo/msvideo_private.h, include/vfw.h:
	Kevin Koltzau <kevin@plop.org>
	Fix 'cast from pointer to integer of different size' warnings in
	64bit.

	* dlls/advapi32/security.c: Kevin Koltzau <kevin@plop.org>
	Remove 'cast from pointer to integer of different size' warnings in
	64bit,

	* dlls/gdi/tests/.cvsignore, dlls/gdi/tests/Makefile.in,
	  dlls/gdi/tests/palette.c:
	Glenn Wurster <gwurster@scs.carleton.ca>
	Start to add some tests for basic palette operations.

	* programs/regedit/about.c:
	Felix Nawothnig <felix.nawothnig@t-online.de>
	Replace "Registry Explorer" by "Registry Editor" in about dialog.

	* programs/winemenubuilder/winemenubuilder.c:
	Maxime Bellengé <maxime.bellenge@laposte.net>
	Make the icon choice algorithm really choose the best icon.

	* dlls/wldap32/Makefile.in, dlls/wldap32/modrdn.c,
	  dlls/wldap32/winldap_private.h, dlls/wldap32/wldap32.spec:
	Hans Leidekker <hans@it.vu.nl>
	Implement ldap_modrdn* functions.

	* include/rpcdce.h: Kai Blin <blin@gmx.net>
	Added SEC_WINNT_AUTH_IDENTITY struct.

	* dlls/user/message.c, include/winuser.h:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Fix RegisterWindowMessage declaration and improve debug message.

	* dlls/msi/action.c, dlls/msi/action.h, dlls/msi/classes.c,
	  dlls/msi/files.c, dlls/msi/format.c, dlls/msi/helpers.c,
	  dlls/msi/install.c, dlls/msi/msipriv.h, dlls/msi/package.c:
	Mike McCormack <mike@codeweavers.com>
	- build a standard Wine list of components instead of using an array
	- use component pointers instead of array indexes

	* dlls/shell32/tests/shlfolder.c:
	Saulius Krasuckas <saulius.krasuckas@ieee.org>
	Make file operations succeed on Win9x too.

	* dlls/x11drv/window.c: Todd Mokros <tmokros@tmokros.net>
	Fix a focus stealing bug introduced by the managed flag changes.

	* dlls/wined3d/device.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Tidy up some formatting, improve error handling and error logging and
	fix a couple of spelling mistakes.

2005-08-19  Alexandre Julliard  <julliard@winehq.com>

	* dlls/kernel/atom.c: Marcus Meissner <meissner@suse.de>
	Protect GlobalAddAtomA string handling by exception handler (for
	broken programs).

	* programs/winecfg/drive.c, programs/winecfg/winecfg.c:
	Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* dlls/msxml3/Makefile.in, dlls/msxml3/node.c, dlls/msxml3/nodelist.c:
	Mike McCormack <mike@codeweavers.com>
	Implement the IXMLDOMNodeList interface for
	IXMLDOMNode::get_childNodes.

	* server/object.h, server/ptrace.c, server/signal.c:
	Added a watchdog mechanism to break out of the wait4 call in case it
	didn't return properly (can happen at thread exit).

	* dlls/shell32/regsvr.c, dlls/shell32/shell32_main.h,
	  dlls/shell32/shellole.c, dlls/shell32/shfldr_unixfs.c:
	Michael Jung <mjung@iss.tu-darmstadt.de>
	Added stubbed implementation of IPersistPropertyBag interface.
	Register unixfs as CLSID_FolderShortcut.

	* dlls/gdi/dib.c: Felix Nawothnig <felix.nawothnig@t-online.de>
	Fix GetDIBits to retrieve RGB 555 as 16bit BI_RGB and RGB 565 as 16bit
	BI_BITFIELDS.

	* dlls/user/scroll.c: Frank Richter <frank.richter@gmail.com>
	Fix wrong structure size check in GetScrollBarInfo().
	GetScrollBarInfo() failed when SCROLL_GetScrollBarRect() returned
	FALSE - however, this is the case if the scrollbar is horizontal, and
	not an error indicator.

	* dlls/comctl32/theme_combo.c, dlls/comctl32/theme_edit.c:
	Frank Richter <frank.richter@gmail.com>
	Forward WM_DESTROY to superclass in edit & listbox theming.

	* dlls/comctl32/theming.c: Frank Richter <frank.richter@gmail.com>
	Merge subclass stubs and subclass proc. Having the stub set the window
	proc to the subclass proc was not a good idea since that breaks
	subclasses of themed standard controls (e.g. what Delphi does a lot).

	* tools/winebuild/build.h, tools/winebuild/import.c,
	  tools/winebuild/main.c, tools/winebuild/winebuild.man.in:
	Added a --undefined option to allow forcing some symbols to be
	resolved by the linker.

	* dlls/msxml3/domdoc.c: Mike McCormack <mike@codeweavers.com>
	Forward some IXMLDOMDocument methods to the implemenation's contained
	node.

	* dlls/msxml3/node.c: Mike McCormack <mike@codeweavers.com>
	Implement parentNode, firstChild, lastChild, previousSibling and
	nextSibling methods.

	* configure, configure.ac, dlls/Makefile.in,
	  programs/winecfg/properties.c, tools/winapi/win32.api:
	Rémi Assailly <remi.assailly@free.fr>
	Removed mcianim.

	* programs/winedbg/memory.c:
	Make sure the string is null-terminated in memory_get_string.

	* tools/winebuild/import.c:
	Added some general purpose routines for managing list of symbol
	names.

	* dlls/ntdll/ntdll.spec:
	Removed a few internal functions that are no longer exported on
	Windows.

	* programs/regedit/regproc.c, programs/taskmgr/dbgchnl.c,
	  programs/wcmd/builtins.c, programs/wcmd/wcmdmain.c,
	  programs/winedbg/debugger.h, programs/winedbg/display.c,
	  programs/winedbg/expr.c, programs/winedbg/gdbproxy.c,
	  programs/winedbg/info.c:
	Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* dlls/comctl32/Makefile.in, dlls/comctl32/theme_dialog.c,
	  dlls/comctl32/theming.c:
	Frank Richter <frank.richter@gmail.com>
	Add theming support for dialogs (to support tab page background).

	* dlls/wined3d/device.c, dlls/wined3d/drawprim.c,
	  dlls/wined3d/vertexshader.c, dlls/wined3d/wined3d_private.h:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Integrate hardware vertex shaders into the drawing pipeline.

	* dlls/winspool/info.c: Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* dlls/msxml3/domdoc.c, dlls/msxml3/element.c,
	  dlls/msxml3/msxml_private.h, dlls/msxml3/node.c,
	  dlls/msxml3/nodemap.c:
	Mike McCormack <mike@codeweavers.com>
	Use a single function to create all IXMLDOMNode implementations.

	* dlls/msi/action.c, dlls/msi/action.h, dlls/msi/helpers.c:
	Mike McCormack <mike@codeweavers.com>
	Store the component information in a standard Wine list.

	* dlls/shell32/shlview.c, dlls/shell32/shv_bg_cmenu.c:
	Jason Edmeades <us@edmeades.me.uk>
	Handle context menu->refresh, and F5 to initiate a refresh of the file
	dialog.

	* dlls/msvcrt/string.c, dlls/msvcrt/tests/string.c:
	Jason Edmeades <us@edmeades.me.uk>
	_swab failed if src == dest, plus some testcases.

	* dlls/shell32/pidl.c: Jason Edmeades <us@edmeades.me.uk>
	Add the time to the file display dialog modified column.

	* dlls/shell32/shfldr_unixfs.c:
	Michael Jung <mjung@iss.tu-darmstadt.de>
	Implemented IPersist::GetClassID.

	* programs/winecfg/Ru.rc, programs/winecfg/winecfg.rc:
	Yuri Kozlov <kozlov.y@gmail.com>
	Updated Russian resources.

	* dlls/gdi/font.c: Huw Davies <huw@codeweavers.com>
	Simplify ExtTextOut a bit.  Should be a nop.

	* dlls/kernel/oldconfig.c: Gerald Pfeifer <gerald@pfeifer.com>
	Enable SCSI_getprocentry() on non-Linux platforms which now should be
	safe to do.

	* dlls/gdi/freetype.c: Huw Davies <huw@codeweavers.com>
	Cope better with mixed charset fonts.

	* dlls/atl/atl_main.c: Aric Stewart <aric@codeweavers.com>
	In AtlModuleInit do not call initialization procedures that are NULL.

	* fonts/.cvsignore, fonts/Makefile.in, tools/sfnt2fnt.c:
	Huw Davies <huw@codeweavers.com>
	Add System font for the Chinese codepages cp936 and cp950. Of course
	they don't contain any ideographs (and nor should they).

	* dlls/user/cursoricon.c: Mike McCormack <mike@codeweavers.com>
	Make sure a cursor is always returned if one exists.

2005-08-18  Alexandre Julliard  <julliard@winehq.com>

	* dlls/ntdll/nt.c, dlls/ntdll/ntdll.spec, dlls/ntdll/thread.c:
	Added a stub for NtAlertResumeThread.

	* dlls/comctl32/Makefile.in, dlls/comctl32/theme_listbox.c,
	  dlls/comctl32/theming.c:
	Frank Richter <frank.richter@gmail.com>
	Add theming for listbox (and combo listbox) controls.

	* dlls/d3d9/volume.c, dlls/d3d9/volumetexture.c:
	Mike McCormack <mike@codeweavers.com>
	Fix pointer type warnings.

	* dlls/d3d9/d3d9_private.h, dlls/d3d9/vertexshader.c:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Pass all the d3d9 calls onto their wined3d equivalents.

	* dlls/crypt32/Makefile.in, dlls/shell32/Makefile.in:
	Added missing ntdll imports.

	* dlls/kernel/sync.c, dlls/ntdll/file.c:
	Ivan Leo Puoti <ivanleo@gmail.com>
	Implement FSCTL_PIPE_DISCONNECT in NtFsControlFile and make
	DisconnectNamedPipe call it.

	* dlls/mciseq/mcimidi.c, dlls/winmm/mci.c, dlls/winmm/message16.c,
	  include/mmsystem.h:
	Felix Nawothnig <felix.nawothnig@t-online.de>
	Make string elements of MCI_OPEN_PARMS const to match the SDK headers.

	* fonts/.cvsignore, fonts/Makefile.in: Pavel Roskin <proski@gnu.org>
	fontforge 20050729 insists on adding .ttf extension even if the
	requested output file name ends with a dot.  So let's go back to names
	ending with ttf.

	* dlls/user/dialog.c, dlls/user/dialog16.c:
	Mike McCormack <mike@codeweavers.com>
	Fix uninitialized variable warnings emitted by gcc 4.0.

	* include/wincrypt.h: Juan Lang <juan_lang@yahoo.com>
	Add/update a few definitions.

	* dlls/kernel/tests/codepage.c:
	Saulius Krasuckas <saulius.krasuckas@ieee.org>
	Test passing NULL source to WideCharToMultiByte.

	* include/winbase.h: Felix Nawothnig <felix.nawothnig@t-online.de>
	Make the destination pointers of Interlocked* functions volatile to
	match the SDK headers.

	* dlls/mshtml/oleobj.c, dlls/mshtml/view.c,
	  dlls/mshtml/tests/htmldoc.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	- Added IOleCommandTerget interface to the test.
	- Make Wine pass the test.
	- Fix bug reported by Saulius Krasuckas.

	* tools/sfnt2fnt.c: Pavel Roskin <proski@gnu.org>
	sfnt2fnt exits with code 0 for several errors, which causes make to
	ignore them.  Use exit code 1 instead.

	* fonts/wine_system.sfd: Huw Davies <huw@codeweavers.com>
	System should be sans serif.

	* dlls/ntdll/cdrom.c: Vitaliy Margolen <wine-patch@kievinfo.com>
	Add trace to IOCTL_CDROM_RAW_READ.

	* dlls/comctl32/theme_edit.c: Frank Richter <frank.richter@gmail.com>
	Only draw a themed border when edit control has WS_EX_CLIENTEDGE
	style.

	* dlls/msxml3/domdoc.c, dlls/msxml3/element.c,
	  dlls/msxml3/msxml_private.h, dlls/msxml3/node.c,
	  dlls/msxml3/nodemap.c:
	Mike McCormack <mike@codeweavers.com>
	Make each IXMLDOMNode interface represent one libxml2 xmlNodePtr.

	* dlls/shell32/tests/shlexec.c:
	Francois Gouget <fgouget@codeweavers.com>
	Test "%l" and "%L". At the same time this tests alternate verbs.
	Test %1, %l and %L with no quotes.
	test->todo is a bitmask so fix the checks accordingly.

2005-08-17  Alexandre Julliard  <julliard@winehq.com>

	* dlls/Makefile.in, dlls/iccvid/.cvsignore, dlls/iccvid/Makefile.in,
	  dlls/msrle32/.cvsignore, dlls/msrle32/Makefile.in,
	  dlls/msvidc32/.cvsignore, dlls/msvidc32/Makefile.in,
	  dlls/twain/.cvsignore, dlls/twain/Makefile.in:
	Removed a few more unnecessary import libraries.

	* dlls/iccvid/iccvid.spec, dlls/midimap/midimap.spec,
	  dlls/msacm/imaadp32/imaadp32.acm.spec, dlls/msacm/msacm32.spec,
	  dlls/msacm/msadp32/msadp32.acm.spec,
	  dlls/msacm/msg711/msg711.acm.spec,
	  dlls/msacm/winemp3/winemp3.acm.spec, dlls/msrle32/msrle32.spec,
	  dlls/msvidc32/msvidc32.spec, dlls/winmm/joystick/joystick.drv.spec,
	  dlls/winmm/mciavi/mciavi.drv.spec,
	  dlls/winmm/mciwave/mciwave.drv.spec,
	  dlls/winmm/wavemap/msacm.drv.spec,
	  dlls/winmm/winealsa/winealsa.drv.spec,
	  dlls/winmm/winearts/winearts.drv.spec,
	  dlls/winmm/wineaudioio/wineaudioio.drv.spec,
	  dlls/winmm/wineesd/wineesd.drv.spec,
	  dlls/winmm/winejack/winejack.drv.spec,
	  dlls/winmm/winenas/winenas.drv.spec,
	  dlls/winmm/wineoss/wineoss.drv.spec:
	Make all the DriverProc entry points private.

	* configure, configure.ac, dlls/Makefile.in, dlls/mciseq/.cvsignore,
	  dlls/mciseq/Makefile.in, dlls/mciseq/mcimidi.c,
	  dlls/mciseq/mciseq.spec, tools/winapi/win32.api, tools/wine.inf:
	Rémi Assailly <remi.assailly@free.fr>
	Moved mciseq to the top-level dlls directory.

	* programs/winecfg/appdefaults.c, programs/winecfg/properties.c,
	  programs/winecfg/properties.h, programs/winecfg/winecfg.c,
	  programs/winecfg/winecfg.h:
	Vitaliy Margolen <wine-patch@kievinfo.com>
	Add windows version registry entries.

	* dlls/avifil32/avifile.c, dlls/avifil32/editstream.c:
	Mike McCormack <mike@codeweavers.com>
	gcc 4.0 warning fixes.

	* dlls/wined3d/device.c, dlls/wined3d/vertexshader.c,
	  dlls/wined3d/wined3d_private.h, include/wine/wined3d_interface.h:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Copy the parser and cross compiler from d3d8 and update everything to
	vertex shaders 3.0.
	The Parser will now display the input shader in DirectX style, and the
	cross compiler now generates valid ARB_VERTEX_PROGRAM programs and
	outputs the result in ARB_VERTEX_PROGRAM style.
	Support for a number of extended attributes has been added, but this
	may not be complete, and dereferencing from loop counters isn't
	properly parsed yet.

	* dlls/kernel/atom16.c, dlls/kernel/format_msg.c,
	  dlls/kernel/lzexpand.c, dlls/kernel/ne_segment.c,
	  dlls/kernel/relay16.c, dlls/kernel/resource16.c,
	  dlls/kernel/snoop16.c, dlls/kernel/sync.c, dlls/kernel/volume.c:
	Mike McCormack <mike@codeweavers.com>
	gcc 4.0 warning fixes.

	* dlls/wined3d/device.c, dlls/wined3d/stateblock.c,
	  dlls/wined3d/wined3d_private.h:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Add support for vertex shader constants to the stateblock.

	* dlls/kernel/tests/process.c, dlls/msxml3/domdoc.c,
	  dlls/secur32/tests/main.c, dlls/wined3d/drawprim.c:
	Francois Gouget <fgouget@free.fr>
	Assorted spelling fixes.

	* dlls/wined3d/vertexshader.c, dlls/wined3d/wined3d_private.h,
	  include/wine/wined3d_types.h:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Tidy up vertex shaders and bring the current code inline with the rest
	of wined3d.

	* dlls/wininet/tests/http.c:
	Saulius Krasuckas <saulius.krasuckas@ieee.org>
	Correct failing test and transform it into a bunch of another tests.

	* dlls/ntdll/tests/info.c: Francois Gouget <fgouget@free.fr>
	Fix a couple of MSVC signed/unsigned warnings.

	* dlls/shell32/shlexec.c, dlls/shell32/tests/shlexec.c:
	Francois Gouget <fgouget@codeweavers.com>
	Fix ShellExecute("\"foo.doc\"") for Internet Explorer 6.
	Update the conformance tests accordingly.
	Tweak a trace because it's very confusing to see the path with no
	escaped quotes in ShellExecuteA() and then with escaped quotes in
	ShellExecuteExW32() (due to debugstr_w()).

	* dlls/msxml3/node.c: Mike McCormack <mike@codeweavers.com>
	Fix a search and replace mishap.

	* dlls/ddraw/surface_dib.c, dlls/ddraw/tests/dsurface.c:
	Christian Costa <titan.costa@wanadoo.fr>
	Take RGB mask into account when doing color keying.
	Add corresponding conformance test.

	* dlls/secur32/Makefile.in, dlls/secur32/ntlm.c,
	  dlls/secur32/secur32.c, dlls/secur32/secur32_priv.h:
	Kai Blin <blin@gmx.net>
	Add NTLM security provider dummy.

	* dlls/quartz/filtergraph.c: Christian Costa <titan.costa@wanadoo.fr>
	Add stubbed IGraphConfig interface to the filtergraph.

	* dlls/quartz/videorenderer.c: Christian Costa <titan.costa@wanadoo.fr>
	Fix rendering of paletted video stream.

2005-08-16  Alexandre Julliard  <julliard@winehq.com>

	* server/queue.c:
	Avoid a crash in find_hardware_message_window when there's no
	foreground input.

	* dlls/comctl32/Makefile.in, dlls/comctl32/theme_combo.c,
	  dlls/comctl32/theming.c:
	Frank Richter <frank.richter@gmail.com>
	Add theming for combo boxes.

	* include/wincrypt.h: Juan Lang <juan_lang@yahoo.com>
	Add more missing definitions, and correct a prototype.

	* dlls/shell32/tests/shlfolder.c:
	Francois Gouget <fgouget@codeweavers.com>
	Dynamically load StrRetToBufW(). This lets shell32_test.exe run on
	systems that have version 4.72 of shlwapi.dll.

	* dlls/shell32/tests/shlexec.c:
	Francois Gouget <fgouget@codeweavers.com>
	Verify the parameters received by the child process using code lifted
	from kernel32/tests/process.c.
	Test passing parameters to .lnk files that point to an executable.

	* dlls/ntdll/version.c:
	There is a registry key for the service pack version (spotted by
	Vitaliy Margolen).

	* dlls/x11drv/event.c, dlls/x11drv/keyboard.c, dlls/x11drv/mouse.c,
	  dlls/x11drv/opengl.c, dlls/x11drv/xrender.c:
	Mike McCormack <mike@codeweavers.com>
	gcc 4.0 warning fixes.

	* dlls/secur32/secur32.c, include/lmaccess.h, include/ntsecapi.h,
	  include/winternl.h:
	Francois Gouget <fgouget@free.fr>
	Declare PNTSTATUS in lmaccess.h and ntsecapi.h to match the PSDK.
	Protect against multiple definitions.
	Use PNTSTATUS where appropriate.

	* dlls/ole32/ole2.c, dlls/ole32/ole2_16.c, dlls/ole32/storage.c,
	  tools/winapi/win16.api:
	Francois Gouget <fgouget@free.fr>
	Use LPSTORAGE to better match the PSDK.
	Document the real SEGPTR type using the standard documentation
	mechanisms. Fixes winapi_check warnings.

	* dlls/kernel/heap.c: Dmitry Timoshkov <dmitry@codeweavers.com>
	Report swap file total/free sizes to be the same as physical memory.
	Make sure that we cache all calculated values.

	* dlls/shell32/tests/shellpath.c:
	Michael Jung <mjung@iss.tu-darmstadt.de>
	Remove "initguid.h" include from shellpath test.

	* dlls/mshtml/tests/protocol.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	Fix protocol test on 9x.

	* dlls/ntdll/file.c: Ivan Leo Puoti <ivanleo@gmail.com>
	Improve NtCreateNamedPipe trace.

	* dlls/msi/action.c: Aric Stewart <aric@codeweavers.com>
	Fixed a memory overflow and leak identified by Mike McCormack.

	* dlls/user/combo.c: Frank Richter <frank.richter@gmail.com>
	Change CB_GETCOMBOBOX to return STATE_SYSTEM_PRESSED in
	COMBOBOXINFO.stateButton when really the button is pressed, not when
	the combo is dropped down.

	* dlls/wininet/tests/http.c:
	Saulius Krasuckas <saulius.krasuckas@ieee.org>
	Move repetitive code to two helper functions.

	* dlls/ntdll/version.c:
	Fetch the version information from the standard Windows keys if not
	specified otherwise.

	* programs/regedit/De.rc, programs/regedit/En.rc:
	Juan Lang <juan_lang@yahoo.com>
	Shrink the hex edit window a bit.

	* dlls/crypt32/tests/encode.c: Juan Lang <juan_lang@yahoo.com>
	Remove a test that fails under WinME.  Reported and helpfully debugged
	by Saulius Krasuckas.

	* dlls/secur32/secur32.c: Juan Lang <juan_lang@yahoo.com>
	Fix uninitialized pointer in builtin providers.  Reported by Kai
	Blin.

	* dlls/ntdll/file.c: Ivan Leo Puoti <ivanleo@gmail.com>
	NtCreateNamedPipeFile is no longer a stub, so fix TRACE() call.

	* dlls/mshtml/olewnd.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	Deactivate UI in InPlaceDeactivate.

2005-08-15  Alexandre Julliard  <julliard@winehq.com>

	* include/objidl.idl, include/ocidl.idl, include/oleidl.idl,
	  include/windef.h:
	Added a WINE_NO_UNICODE_MACROS define to allow Winelib apps to switch
	off the Unicode macros too.

	* dlls/secur32/Makefile.in, dlls/secur32/negotiate.c,
	  dlls/secur32/secur32.c, dlls/secur32/secur32_priv.h,
	  dlls/secur32/tests/main.c:
	Kai Blin <blin@gmx.net>
	Added Negotiate security provider dummy. Removed todos from the test.

	* dlls/wldap32/misc.c: Hans Leidekker <hans@it.vu.nl>
	Fix the build without openldap headers.

	* dlls/mshtml/tests/htmldoc.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	- Code cleanup.
	- Dissable tests after UIActivate failes (fixes tests win 9x).

	* include/shlguid.h: Michael Jung <mjung@iss.tu-darmstadt.de>
	Added CLSID_FolderShortcut definition.

	* dlls/msi/action.c: Aric Stewart <aric@codeweavers.com>
	Add some body to ResolveSource because it is possible to need it when
	an install is begun but the media is not in the drive, such as in
	install-on-demand cases.

	* dlls/ntdll/heap.c:
	Fixed some confusion over whether HEAP_MIN_BLOCK_SIZE includes the
	arena headers of not.
	Free list sizes are constant so there's no need to store them in the
	heap structure.

	* dlls/kernel/process.c, tools/wineprefixcreate.in:
	Set the default system dir to windows/system32.

	* dlls/ntdll/version.c: Switch the default version to win2k.

	* dlls/gdi/freetype.c: Huw Davies <huw@codeweavers.com>
	A previous signed-ness fix broke display of non-ansi chars, fix this.

	* dlls/shell32/pidl.c: Ge van Geldorp <gvg@reactos.com>
	Fix resource leak on error paths.

	* dlls/ntdll/virtual.c, server/mapping.c:
	Better handling of conflicting section information between
	SizeOfRawData and VirtualSize.

	* dlls/wldap32/misc.c, dlls/wldap32/winldap_private.h,
	  dlls/wldap32/wldap32.spec:
	Hans Leidekker <hans@it.vu.nl>
	Implement ldap_result.

	* dlls/x11drv/xrender.c: Frank Richter <frank.richter@gmail.com>
	Fix AlphaBlend() to extract the right part of the source DIB.

	* dlls/kernel/registry16.c, dlls/ole32/compobj.c,
	  dlls/ole32/storage32.c, dlls/shell32/shell.c:
	Mike McCormack <mike@codeweavers.com>
	Warning fixes for gcc 4.0.

	* dlls/avifil32/factory.c, dlls/commdlg/cdlg32.c,
	  dlls/dplayx/dplayx_main.c, dlls/dsound/dsound_main.c,
	  dlls/hhctrl.ocx/main.c, dlls/mapi32/mapi32_main.c,
	  dlls/mscms/mscms_main.c, dlls/msisys/msisys.c,
	  dlls/oleaut32/oleaut.c, dlls/snmpapi/main.c, dlls/wineps/init.c,
	  dlls/wldap32/main.c:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Uniformize DllMain TRACEing across dlls.

	* dlls/advpack/tests/advpack.c:
	Saulius Krasuckas <saulius.krasuckas@ieee.org>
	Remove trailing backslash.

	* dlls/x11drv/codepage.c, dlls/x11drv/dib.c:
	Mike McCormack <mike@codeweavers.com>
	gcc 4.0 warning fixes.

	* dlls/comctl32/Makefile.in, dlls/comctl32/theme_edit.c,
	  dlls/comctl32/theming.c:
	Frank Richter <frank.richter@gmail.com>
	Subclass edit control to draw themed border.

	* dlls/comctl32/trackbar.c: Frank Richter <frank.richter@gmail.com>
	Improved trackbar theming.

	* dlls/uxtheme/system.c: Frank Richter <frank.richter@gmail.com>
	Compare result of RegQueryValueExW() with ERROR_SUCCESS.

	* dlls/mshtml/protocol.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	- Added support for aggregation to res protocol.
	- Fix AboutProtocol_Release.
	- Use *_THIS macros in protocol objects.

	* dlls/wldap32/add.c: Hans Leidekker <hans@it.vu.nl>
	Improve parameter handling for the ldap_add* functions.

	* dlls/shell32/tests/shellpath.c:
	Saulius Krasuckas <saulius.krasuckas@ieee.org>
	Fix some SHGetSpecialFolderPathA exceptions on WinME:
	- pass pointer to valid buffer as lpszPath.
	- disable check passing NULL as lpszPath.

	* dlls/hhctrl.ocx/help.c: James Hawkins <truiken@gmail.com>
	Handle resizing the help viewer window.

	* dlls/uxtheme/draw.c: Frank Richter <frank.richter@gmail.com>
	Whatever TrueSizeStretchMark is for - it's not what Wine uxtheme used
	it for. Native uxtheme always stretches "truesize" parts when the
	destination is smaller than the part image size, but
	TrueSizeStretchMark doesn't seem to have an influence.

	* dlls/riched20/context.c, dlls/riched20/editor.c,
	  dlls/riched20/editstr.h, dlls/riched20/paint.c, include/richedit.h:
	Phil Krylov <phil@newstar.rinet.ru>
	Added EM_SETRECT, EM_SETRECTNP, and WM_SETREDRAW message handling.
	Added support for GT_SELECTION flag in EM_GETTEXTEX handler.

	* dlls/ole32/compobj.c, dlls/ole32/compobj.spec, dlls/ole32/ole2.spec,
	  dlls/ole32/ole2_16.c:
	Marcus Meissner <meissner@suse.de>
	Added CoCreateInstance16, CoGetClassObject16, OleLoad16 stubs.

	* dlls/gdi/font.c, dlls/gdi/gdi32.spec: Vikram Kumar <vik@zone81.com>
	Added stub for EnableEUDC.

	* include/commctrl.h: Frank Richter <frank.richter@gmail.com>
	Add WC_EDIT and WC_LISTBOX.

	* dlls/advapi32/crypt.c, dlls/tapi32/phone.c, dlls/user/dde_client.c:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Change some TRACEing formats to make more sense.

	* dlls/msxml3/msxml_private.h:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Protect libxml/parser.h with proper autoconf definition.

	* dlls/shlwapi/ordinal.c: Vincent Béron <vberon@mecano.gme.usherb.ca>
	Correct typo in format string.

	* dlls/setupapi/parser.c: Ge van Geldorp <gvg@reactos.com>
	index is 1-based at this point, index == line->nb_fields is the last
	field and is valid.

	* dlls/winaspi/aspi.c: Gerald Pfeifer <gerald@pfeifer.com>
	set_last_error() is only used on Linux.

	* dlls/wldap32/Makefile.in, dlls/wldap32/modify.c,
	  dlls/wldap32/winldap_private.h, dlls/wldap32/wldap32.spec:
	Hans Leidekker <hans@it.vu.nl>
	Implement ldap_modify* functions.

	* dlls/kernel/instr.c: Vitaliy Margolen <wine-patch@kievinfo.com>
	Add entry for int 2 handler.

	* dlls/shell32/shfldr_desktop.c:
	Michael Jung <mjung@iss.tu-darmstadt.de>
	Ge van Geldorp <gvg@reactos.com>
	- Prepend Desktop folder path for files/directories stored in the
	  filesystem Desktop folder when GetDisplayNameOf is called with the
	  SHGDN_FORPARSING flags.
	- Add testcases.

	* dlls/mshtml/mshtml_private.h, dlls/mshtml/tests/htmldoc.c,
	  dlls/mshtml/view.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Activate window in IOleDocumwnrView::Show.

	* dlls/mshtml/tests/protocol.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	Fix protocol test on winxp.

	* dlls/shell32/tests/shlfolder.c:
	Saulius Krasuckas <saulius.krasuckas@ieee.org>
	XP returns E_INVALIDARG on failure.

	* dlls/hhctrl.ocx/help.c: James Hawkins <truiken@gmail.com>
	- Paint spacing around the tab control.
	- Use COLOR_MENU to standardize the colors of the viewer.

	* dlls/msvcrtd/Makefile.in: Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 builtin function warnings.

	* programs/winecfg/Ja.rc, programs/winecfg/winecfg.rc:
	Vikram Kumar <vik@zone81.com>
	Added Japanese resources.

	* dlls/uxtheme/draw.c: Frank Richter <frank.richter@gmail.com>
	Better computations to have uniformly sized parts scaled in both
	directions.

	* dlls/comctl32/progress.c: Frank Richter <frank.richter@gmail.com>
	Instead of adding the border via WM_NCPAINT and WM_NCCALCSIZE, do what
	native does: just clear WS_EX_STATICEDGE when themed and reduce the
	area the actual bar is painted in to the progress bar theme part
	content rect.

	* dlls/x11drv/winpos.c: Frank Richter <frank.richter@gmail.com>
	Invalidate DCEs when a window region is set.

2005-08-12  Alexandre Julliard  <julliard@winehq.com>

	* dlls/ntdll/heap.c:
	Converted the process heap list to a standard list.

	* dlls/setupapi/misc.c, dlls/setupapi/setupapi.spec:
	Added stubs for pSetupGet/SetGlobalFlags.

	* dlls/kernel/tests/thread.c, dlls/ntdll/cdrom.c,
	  dlls/wined3d/device.c, dlls/wined3d/directx.c,
	  dlls/wined3d/drawprim.c, dlls/wined3d/vertexdeclaration.c,
	  dlls/wininet/tests/wininet_test.h, tools/winapi/winapi.pm:
	Francois Gouget <fgouget@free.fr>
	Assorted spelling fixes.

	* dlls/ntdll/heap.c: Converted the heap free lists to standard lists.

	* dlls/ntdll/loader.c: Removed a redundant and possibly wrong warning.

	* dlls/kernel/kernel32.spec, dlls/kernel/module.c,
	  tools/winebuild/import.c:
	Implemented DelayLoadFailureHook and use it in the winebuild-generated
	delay load code.

	* dlls/comctl32/theming.c: Frank Richter <frank.richter@gmail.com>
	Determining the superclass for a window subclassed for theming doesn't
	work - e.g. Delphi buttons have the classname "TButton" for which no
	superclass will be found. Instead, use initial subclass window procs
	that have the subclass hardcoded and store it for the "real" subclass
	window proc.

	* include/mshtmhst.idl: Jacek Caban <jack@itma.pwr.wroc.pl>
	Fix Show*HTMLDialog declarations.

	* programs/winecfg/En.rc: Richard Cohen <richard@daijobu.co.uk>
	Update English neutral version of winecfg graphics tab, and make the
	groupboxes not overlap.

	* dlls/wldap32/option.c, dlls/wldap32/wldap32.h:
	Hans Leidekker <hans@it.vu.nl>
	Implement LDAP_OPT_API_FEATURE_INFO and LDAP_OPT_API_INFO.

	* dlls/mshtml/oleobj.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	- Added IOleObject::Close implementation.
	- OLEIVERB_INPLACEACTIVATE is the same as OLEIVERB_UIACTIVATE.

	* dlls/shlwapi/ordinal.c, dlls/shlwapi/shlwapi.spec:
	Huw Davies <huw@codeweavers.com>
	Implement SHLoadRegUIStringW.

	* dlls/shlwapi/tests/shreg.c: Richard Cohen <richard@daijobu.co.uk>
	Blame ExpandEnvironmentStringsA for the failing NT4 test.

	* dlls/uxtheme/msstyles.c, dlls/uxtheme/msstyles.h,
	  dlls/uxtheme/system.c:
	Frank Richter <frank.richter@gmail.com>
	Enhance uxtheme to store the themed system metrics in the registry and
	also backup the old metrics. That way, themed system colors are set
	even uxtheme was not loaded and initialized yet, and when a theme is
	deactivated, the colors prior to the activation are restored as well.
	Also, not having to set the system colors in uxtheme startup works
	around weird problems where SetSystemColors() ended up being called
	from inside window creation and this seemingly led to some creation
	message being sent twice.

	* dlls/kernel/module.c:
	Add the 16-bit system directory if any to the module search path.

	* configure, configure.ac, dlls/msxml3/Makefile.in,
	  dlls/msxml3/tests/.cvsignore, dlls/msxml3/tests/Makefile.in,
	  dlls/msxml3/tests/domdoc.c:
	Mike McCormack <mike@codeweavers.com>
	Add some msxml3 tests.

	* dlls/ntdll/virtual.c:
	Don't map data beyond the virtual size of a section.

	* dlls/msxml3/main.c, tools/wine.inf:
	Mike McCormack <mike@codeweavers.com>
	Partial implementation of DllRegisterServer.

	* dlls/winmm/winealsa/audio.c:
	Alex Villacís Lasso <a_villacis@palosanto.com>
	Remove crackling in DirectSound/ALSA playback with full hardware
	acceleration.

	* dlls/comctl32/trackbar.c: Frank Richter <frank.richter@gmail.com>
	Add initial theming support for trackbars.

	* dlls/comctl32/toolbar.c: Frank Richter <frank.richter@gmail.com>
	Add theming for toolbar control.

	* dlls/x11drv/clipboard.c, dlls/x11drv/xdnd.c, dlls/x11drv/xfont.c,
	  dlls/x11drv/xrandr.c, dlls/x11drv/xrender.c:
	Mike McCormack <mike@codeweavers.com>
	Fix some gcc 4.0 warnings.

	* configure, configure.ac, dlls/msxml3/domdoc.c, include/config.h.in:
	Mike McCormack <mike@codeweavers.com>
	Add a configure test for xmlReadMemory.

	* dlls/msvcrtd/tests/Makefile.in, dlls/msvcrtd/tests/debug.c:
	Saulius Krasuckas <saulius2@ar.fi.lt>
	Don't import MSVCRTD.DLL and don't fail when it could not be loaded.

	* dlls/shell32/tests/shlfolder.c: Saulius Krasuckas <saulius2@ar.fi.lt>
	Win98 returns HRESULT_FROM_WIN32(ERROR_FILE_NOT_FOUND)) on failure.

	* dlls/mshtml/main.c, dlls/mshtml/mshtml.spec:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added RNIGetCompatibleVersion implementation.

	* dlls/commdlg/filedlg.c: Michael Jung <mjung@iss.tu-darmstadt.de>
	Check the GetPidlFromDataObject's doSelected parameter before calling
	a method on it.

	* dlls/shell32/shfldr_unixfs.c:
	Michael Jung <mjung@iss.tu-darmstadt.de>
	Use wine_get_dos_file_name instead of GetFullPathName.

2005-08-11  Alexandre Julliard  <julliard@winehq.com>

	* dlls/mshtml/mshtml_private.h, dlls/mshtml/nsembed.c,
	  dlls/mshtml/nsiface.idl, dlls/mshtml/persist.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Use nsIWebBrowserStream to load html.

	* dlls/kernel/task.c:
	Make 16-bit task properly inherit the current directory of their
	parent (based on a patch by Richard Cohen).

	* dlls/shlwapi/shlwapi.spec, dlls/shlwapi/string.c:
	Huw Davies <huw@codeweavers.com>
	Implement SHLoadIndirectString.

	* dlls/comctl32/tab.c: Frank Richter <frank.richter@gmail.com>
	Fix text color for "button" style tabs when theming is enabled.

	* dlls/comctl32/status.c: Frank Richter <frank.richter@gmail.com>
	Add theming for status bar control.

	* dlls/comctl32/progress.c: Frank Richter <frank.richter@gmail.com>
	Add theming for the progress control.

	* Make.rules.in, configure, configure.ac, dlls/crtdll/Makefile.in,
	  dlls/msvcrt/tests/Makefile.in, dlls/msvcrtd/tests/Makefile.in,
	  programs/notepad/Makefile.in, programs/regedit/Makefile.in,
	  programs/taskmgr/Makefile.in:
	Mike McCormack <mike@codeweavers.com>
	Turn off gcc 4.0's builtin wchar inlines.

	* dlls/secur32/tests/main.c, include/winerror.h:
	Kai Blin <blin@gmx.net>
	Added more secur32.dll tests and fixed missing constants in
	winerror.h.

	* dlls/wldap32/Makefile.in, dlls/wldap32/delete.c,
	  dlls/wldap32/winldap_private.h, dlls/wldap32/wldap32.spec:
	Hans Leidekker <hans@it.vu.nl>
	Implement ldap_delete* functions.
	Add missing spec file entries.

	* include/commctrl.h: Frank Richter <frank.richter@gmail.com>
	Add WC_COMBOBOX.

	* dlls/kernel/oldconfig.c: Frank Richter <frank.richter@gmail.com>
	Fix a crash on startup when /proc/ide does not exist.

	* dlls/comctl32/rebar.c: Frank Richter <frank.richter@gmail.com>
	Add theming for the rebar control.

	* dlls/comctl32/monthcal.c: Frank Richter <frank.richter@gmail.com>
	Add theming for the monthcal control.

	* dlls/mshtml/protocol.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	Added support for aggregation in about protocol.

	* dlls/shell32/shlexec.c: Francois Gouget <fgouget@codeweavers.com>
	Fix the return value of SHELL_Argify() so it once again returns true
	if a '%1' or equivalent placeholder was found. This fixes
	ShellExecuteEx(lpFile="foo.txt", lpClass="txtfile").

	* dlls/ntdll/tests/atom.c: Francois Gouget <fgouget@free.fr>
	Define WIN32_NO_STATUS so we don't get 'duplicate macro' errors when
	compiling with the PSDK and MSVC.
	Add some types that are not defined by the PSDK.

	* dlls/kernel/kernel32.spec, dlls/kernel/path.c, include/winbase.h:
	Added a wine_get_dos_file_name function in kernel32 as a wrapper
	around the new wine_unix_to_nt_file_name.

	* programs/msiexec/msiexec.c, programs/msiexec/msiexec.h:
	Removed a useless header file.

	* dlls/lzexpand/lzexpand.spec, dlls/lzexpand/lzexpand16.c:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Implement LZDone in lzexpand, as the 32 bit one moved to kernel.

	* dlls/msxml3/domdoc.c: Mike McCormack <mike@codeweavers.com>
	Increment the document's refcount when creating the root element.

	* dlls/msxml3/element.c: Mike McCormack <mike@codeweavers.com>
	Implement IXMLDOMElement::get_tagName.

	* dlls/ddraw/device_opengl.c, dlls/wined3d/directx.c:
	Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* dlls/wined3d/device.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Allow the palette to be set and retrieved.

	* dlls/ntdll/directory.c, dlls/ntdll/ntdll.spec,
	  dlls/ntdll/ntdll_misc.h, dlls/ntdll/path.c, include/winternl.h:
	Added a wine_unix_to_nt_file_name function to do proper pathname
	conversions instead of relying on GetFullPathName hacks.

	* dlls/user/message.c:
	Set remove to TRUE in accept_hardware_message for messages that should
	go to a different thread. Simplify the code a bit.

	* include/winldap.h: Dmitry Timoshkov <dmitry@codeweavers.com>
	Add some missing LDAP definitions.

	* tools/winedump/lnk.c: Steven Edwards <steven_ed4153@yahoo.com>
	Correct size check.

	* dlls/shell32/shfldr_desktop.c, dlls/shell32/tests/shlfolder.c,
	  include/shobjidl.idl:
	Steven Edwards <steven_ed4153@yahoo.com>
	Correct definition of SFGAO_STORAGEANCESTOR.

	* dlls/msxml3/domdoc.c: Mike McCormack <mike@codeweavers.com>
	Implement IXMLDOMDocument::loadXML.

	* dlls/sensapi/sensapi.c: Steven Edwards <steven_ed4153@yahoo.com>
	Remove redundant include.

	* tools/winapi/winapi_local.pm:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Correct a typo in winapi_local.pm.

	* tools/winapi/win32.api: Vincent Béron <vberon@mecano.gme.usherb.ca>
	Another update to win*.api.

	* dlls/wined3d/device.c, dlls/wined3d/stateblock.c,
	  dlls/wined3d/wined3d_private.h:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Track the state of softwareVertexProcessing.

	* dlls/wined3d/basetexture.c:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Correct the starting values of MIN, MAX and MIP filter, they now match
	the initial values in opengl.

	* dlls/riched20/writer.c: Phil Krylov <phil@newstar.rinet.ru>
	Fixed a bug in EM_STREAMOUT RichEdit message handler which truncated
	some streamed text.

	* dlls/mshtml/htmldoc.c, dlls/mshtml/main.c,
	  dlls/mshtml/mshtml_private.h, dlls/mshtml/nsembed.c,
	  dlls/mshtml/oleobj.c, dlls/mshtml/olewnd.c, dlls/mshtml/persist.c,
	  dlls/mshtml/protocol.c, dlls/mshtml/service.c, dlls/mshtml/view.c:
	Jacek Caban <cjacek@gmail.com>
	Move includes of interfaces to mshtml_private.h.

	* dlls/shell32/shlexec.c: Francois Gouget <fgouget@codeweavers.com>
	Fix handling of SEE_MASK_CLASSNAME and SEE_MASK_CLASSKEY. They are not
	disjoint flags.

	* dlls/ntdll/tests/reg.c: Francois Gouget <fgouget@free.fr>
	Remove unneeded wine/library.h include.
	Use lstrlenW() instead of the Wine-specific strlenW(). This also lets
	us get rid of the wine/unicode.h include.
	Define the InitializeObjectAttributes() macro if not using Wine's
	winternl.h header.

2005-08-10  Alexandre Julliard  <julliard@winehq.com>

	* dlls/kernel/version.c:
	Directly use the PEB version fields in GetVersion.

	* dlls/shlwapi/ordinal.c, dlls/shlwapi/shlwapi.spec:
	Huw Davies <huw@codeweavers.com>
	Partial implementation of DeleteMenuWrap.

	* dlls/user/tests/dce.c: Francois Gouget <fgouget@free.fr>
	Define DCX_USESTYLE if it is not defined already. Fixes the
	compilation with the PSDK.

	* dlls/ntdll/tests/rtl.c: Francois Gouget <fgouget@free.fr>
	Define RTL_HANDLE and RTL_HANDLE_TABLE if not using Wine's winternl.h
	header. Fixes the compilation with the PSDK.

	* include/winldap.h: Hans Leidekker <hans@it.vu.nl>
	Synchronize winldap.h with winldap_private.h.

	* dlls/ntdll/rtl.c, dlls/ntdll/version.c:
	Implemented RtlGetNtProductType.

	* dlls/dmband/dmband_main.c, dlls/dmloader/dmloader_main.c,
	  dlls/dmscript/dmscript_main.c, dlls/dmsynth/dmsynth_main.c,
	  dlls/dmusic/dmusic_main.c, dlls/dswave/dswave_main.c:
	Francois Gouget <fgouget@free.fr>
	Correct more mismatches between spec files and comments about export
	number.

	* dlls/kernel/tests/comm.c: Francois Gouget <fgouget@free.fr>
	Add trailing '\n's to trace() call.

	* dlls/comctl32/tests/treeview.c: Francois Gouget <fgouget@free.fr>
	The PSDK does not define a TreeView_InsertItemA() macro so use
	TreeView_InsertItem() instead.

	* dlls/winmm/wineesd/audio.c: Francois Gouget <fgouget@codeweavers.com>
	Unicodify wineesd.
	Fixes WIDM_GETDEVCAPS and WODM_GETDEVCAPS.
	Call Unicode functions instead of their Ansi equivalent when possible.

	* dlls/wldap32/Makefile.in, dlls/wldap32/add.c,
	  dlls/wldap32/wldap32.spec:
	Hans Leidekker <hans@it.vu.nl>
	Implement ldap_add* functions.

	* dlls/kernel/process.c, dlls/ntdll/loader.c, dlls/ntdll/ntdll.spec,
	  dlls/ntdll/ntdll_misc.h, dlls/ntdll/version.c:
	Moved the version initialization to ntdll.
	Properly set the version fields in the PEB.
	Removed some no longer used structures.

	* tools/winebuild/res32.c:
	Byteswap the resources if we detect that the header is in the wrong
	endianness.

	* dlls/dplayx/dpclassfactory.c, dlls/dplayx/dplayx.spec,
	  dlls/dplayx/dplayx_main.c, dlls/dpnhpast/dpnhpast.spec,
	  dlls/dpnhpast/main.c, dlls/msi/msi.c, dlls/msi/msi.spec,
	  dlls/msi/regsvr.c, dlls/oleaut32/oleaut.c,
	  dlls/oleaut32/oleaut32.spec, dlls/oleaut32/regsvr.c:
	Francois Gouget <fgouget@free.fr>
	Change some Dll* functions so they are exported by name like on
	Windows.
	Update the documentation accordingly.

	* dlls/wldap32/wldap32.rc, dlls/wldap32/wldap32_Fr.rc:
	Jonathan Ernst <Jonathan@ernstfamily.ch>
	French localization for wldap32.

	* dlls/kernel/lzexpand.c: Francois Gouget <fgouget@free.fr>
	Update the documentation to reflect the fact that the LZ* functions
	are implemented in kernel32.dll now.

	* dlls/wldap32/winldap_private.h, dlls/wldap32/wldap32.h:
	Hans Leidekker <hans@it.vu.nl>
	Add helpers for converting (arrays of) LDAPMod structures into
	different encodings.

	* dlls/shlwapi/ordinal.c, dlls/shlwapi/shlwapi.spec:
	Huw Davies <huw@codeweavers.com>
	Implement IUnknown_EnumObjects.

	* dlls/kernel/profile.c, dlls/kernel/tests/profile.c:
	Richard Cohen <richard@daijobu.co.uk>
	- Fix regression in GetPrivateProfileString16 for key=NULL.
	- Check return values in Profile tests.

	* dlls/gdi/metafile.c, dlls/kernel/kernel_main.c,
	  dlls/kernel/local16.c, dlls/kernel/resource16.c, dlls/kernel/task.c,
	  dlls/ole32/ole16.c, dlls/ole32/storage.c, dlls/user/edit.c,
	  dlls/user/user16.c, dlls/winmm/mmsystem.c, dlls/wow32/wow_main.c,
	  include/wine/winbase16.h, include/wownt32.h:
	Use the proper WOW functions everywhere instead of the K32WOW variant.

	* dlls/winaspi/Makefile.in, dlls/winaspi/aspi.c,
	  dlls/winaspi/winescsi.h:
	Vitaliy Margolen <wine-patch@kievinfo.com>
	Make use of now full and correct HKLM\HARDWARE\DEVICES\Scsi.

	* dlls/kernel/oldconfig.c: Vitaliy Margolen <wine-patch@kievinfo.com>
	Use /proc filesystem to create HKLM\HARDWARE\DEVICEMAP\Scsi entries.

	* programs/winelauncher.in: Marcus Meissner <marcus@jet.franken.de>
	Fixed harmless /tmp problem.

	* dlls/user/driver.c, dlls/user/user_main.c, dlls/user/user_private.h:
	Make sure we don't call the graphics driver after process detach.

	* dlls/msxml3/Makefile.in, dlls/msxml3/domdoc.c, dlls/msxml3/element.c,
	  dlls/msxml3/msxml_private.h, dlls/msxml3/node.c,
	  dlls/msxml3/nodemap.c:
	Mike McCormack <mike@codeweavers.com>
	Create a node object and use it to hold libxml2 pointers.

	* dlls/mshtml/mshtml_private.h, dlls/mshtml/nsembed.c,
	  dlls/mshtml/persist.c, dlls/mshtml/view.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Init nsWebBrowser window while creating nscontainer.

	* dlls/atl/registrar.c, dlls/dmband/dmband_main.c,
	  dlls/dmloader/dmloader_main.c, dlls/dmscript/dmscript_main.c,
	  dlls/dmsynth/dmsynth_main.c, dlls/dmusic/dmusic_main.c,
	  dlls/dswave/dswave_main.c, dlls/mlang/mlang.c, dlls/mshtml/main.c,
	  dlls/msi/msi.c, dlls/msxml3/factory.c, dlls/ole32/ole2.c,
	  dlls/ole32/ole2.spec, dlls/ole32/storage.c:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Correct mismatches between spec files and comments about export
	number.

	* dlls/usp10/usp10.c, include/msacmdrv.h, include/msi.h,
	  include/msxml.idl, include/msxml2.idl, include/odbcinst.h,
	  include/strmif.idl, include/xmldom.idl:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Use #include "foo.h" for including Windows headers in dlls/, use
	#include <bar.h> for including Windows headers in include/.

	* dlls/commdlg/filedlg.c: Troy Rollo <wine@troy.rollo.name>
	Browse to the directory if a directory name is typed into the edit box
	of a file dialog and the confirmation button (or Enter key) is hit.
	Return any file name in the edit box if OFN_NOVALIDATE is set and
	OFN_FILEMUSTEXIST is not, even if that file name includes a path name
	or is the name of a folder.

	* dlls/wldap32/bind.c, dlls/wldap32/init.c, dlls/wldap32/search.c:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Use HAVE_LDAP_H when checking if ldap.h is available.

	* dlls/opengl32/wgl.c, dlls/opengl32/wgl_ext.c:
	Mike McCormack <mike@codeweavers.com>
	gcc 4.0 warning fixes.

	* tools/winapi/win16.api, tools/winapi/win32.api:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Another update to the win*.api files.

	* tools/winapi/winapi_check:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Since windows/ is gone, headers for user are only in
	dlls/user/. Remove kludge from winapi_check.

	* dlls/mapi32/prop.c, dlls/ole32/ole16.c:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Remove local declarations already in included public headers.

	* include/wine/winbase16.h: Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

2005-08-09  Alexandre Julliard  <julliard@winehq.com>

	* dlls/shell32/debughlp.c: Use ERR instead of DPRINTF in dump_pidl_hex.

	* tools/winegcc/utils.c, tools/winegcc/utils.h,
	  tools/winegcc/winegcc.c:
	Ignore prelink failures.

	* dlls/mshtml/Makefile.in, dlls/mshtml/mshtml_private.h,
	  dlls/mshtml/persist.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	- Beginning implementation of true IPersistMoniker::Load.
	- THIS macros cleanup.

	* dlls/ntdll/loader.c:
	Don't call process attach notification during process shutdown.
	Make sure we don't insert a module in the same list twice.

	* dlls/mshtml/protocol.c, dlls/mshtml/tests/protocol.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Report BINDSTATUS_MIMETYPEAVAILABLE in AboutProtocol::Start.

	* dlls/wldap32/Makefile.in, dlls/wldap32/option.c,
	  dlls/wldap32/wldap32.spec:
	Hans Leidekker <hans@it.vu.nl>
	Implement ldap_{get,set}_option{A,W}.

	* dlls/shlwapi/shlwapi.spec, dlls/shlwapi/thread.c:
	Huw Davies <huw@codeweavers.com>
	_CreateAllAccessSecurityAttributes takes three parameters.

	* dlls/Makedll.rules.in, dlls/kernel/Makefile.in,
	  dlls/ntdll/Makefile.in:
	Specify a base address for kernel and ntdll.

	* dlls/msxml3/main.c, dlls/msxml3/msxml_private.h:
	Mike McCormack <mike@codeweavers.com>
	Initialize and clean up libxml2 in DllMain.

	* Make.rules.in, configure, configure.ac, tools/winegcc/Makefile.in,
	  tools/winegcc/winegcc.c:
	Added support for the --image-base linker option in winegcc using the
	prelink tool.

	* dlls/ntdll/ntdll_misc.h, dlls/ntdll/thread.c, dlls/ntdll/virtual.c:
	Added a VIRTUAL_alloc_teb function to allocate TEBs while making sure
	they don't end up above the address space limit.

	* dlls/oleaut32/oleaut.c, dlls/oleaut32/tmarshal.c,
	  dlls/oleaut32/tmarshal.h, dlls/oleaut32/typelib.h:
	Get rid of the almost empty tmarshal.h file.

	* server/named_pipe.c, server/registry.c, server/request.c,
	  server/sock.c, server/thread.c:
	Mike McCormack <mike@codeweavers.com>
	Fix some gcc 4.0 warnings.

	* server/registry.c:
	The temp buffer always stores WCHARs, fixed its type and got rid of a
	number of casts.

	* dlls/oleaut32/variant.h, dlls/oleaut32/vartype.c:
	Moved a number of definitions that are not needed in other files into
	vartype.c

	* dlls/Makefile.in, dlls/itss/.cvsignore, dlls/itss/Makefile.in:
	itss doesn't need an import library.

	* dlls/advpack/advpack.spec, dlls/dciman32/dciman32.spec,
	  dlls/itss/itss.spec, dlls/msimg32/msimg32.spec:
	Mark DllMain and similar exports as private.

	* tools/winebuild/parser.c:
	Added a warning for DllGetVersion and DllInstall not being declared
	private. Also warn when one of the Dll* functions is using a different
	internal name.

	* dlls/user/menu.c, dlls/user/tests/win.c, dlls/user/win.c:
	Dmitry Timoshkov <dmitry@codeweavers.com>
	Make CreateWindow with invalid menu handle test pass on Wine.

	* dlls/d3d8/directx.c: Mike McCormack <mike@codeweavers.com>
	Fix gcc 4.0 warnings.

	* include/winbase.h: Mike McCormack <mike@codeweavers.com>
	Correct OFSTRUCT declaration.

	* dlls/shlwapi/ordinal.c, dlls/shlwapi/tests/ordinal.c:
	Huw Davies <huw@codeweavers.com>
	Implement and add tests for the FDSA functions.

2005-08-08  Alexandre Julliard  <julliard@winehq.com>

	* dlls/gdi/dib.c, dlls/x11drv/dib.c:
	Michael Kaufmann <hallo@michael-kaufmann.ch>
	Fix for BI_BITFIELDS: The color masks are at the same position in all
	the bitmap headers that support this flag (BITMAPINFO: The first color
	mask is in bmiColors[0], that's the same position as bV4RedMask in
	BITMAPV4HEADER).

	* dlls/oleaut32/safearray.c, dlls/oleaut32/tmarshal.c,
	  dlls/oleaut32/typelib.c, dlls/oleaut32/typelib2.c:
	Mike McCormack <mike@codeweavers.com>
	gcc 4.0 warning fixes.

	* configure, configure.ac: Mike McCormack <mike@codeweavers.com>
	Use pkg-config in the libxml configure check.

	* dlls/msxml3/domdoc.c: Mike McCormack <mike@codeweavers.com>
	Use xmlParseMemory instead of xmlReadIO.

	* dlls/Makefile.in, dlls/richedit/.cvsignore,
	  dlls/richedit/Makefile.in:
	riched32 doesn't need an import library.

	* dlls/dmcompos/dmcompos.spec, dlls/dmime/dmime.spec,
	  dlls/dmstyle/dmstyle.spec, dlls/shdocvw/shdocvw.spec:
	Fixed DllGetClassObject spec entries.

	* dlls/shell32/tests/shlfileop.c, dlls/shell32/tests/shlfolder.c:
	Saulius Krasuckas <saulius.krasuckas@ieee.org>
	Remove trailing backslash.

	* dlls/msxml3/nodemap.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	Fixed msxml compilation when libxml2 is not available.

	* dlls/kernel/comm.c: Gerald Pfeifer <gerald@pfeifer.com>
	Fix autoconf-related #ifdefs in Comm_CheckEvents().

	* dlls/wined3d/stateblock.c:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Fix stateblock loop errors.

	* tools/winedump/pe.c: Mike McCormack <mike@codeweavers.com>
	gcc 4.0 warning fix.

	* dlls/shlwapi/ordinal.c: Huw Davies <huw@codeweavers.com>
	IUnknown_SetSite calls IObjectWithSite_SetSite or
	IInternetSecurityManager_SetSecuritySite.

	* dlls/oleaut32/tests/vartype.c: Saulius Krasuckas <saulius2@ar.fi.lt>
	Comment out VarDateFromStr() calls that generate exceptions on WinME.

	* dlls/richedit/riched32.spec, dlls/richedit/richedit.c,
	  dlls/shlwapi/shlwapi.spec, dlls/shlwapi/shlwapi_main.c,
	  dlls/wininet/wininet.spec, dlls/wininet/wininet_main.c:
	Don't prefix the functions DllInstall and DllGetVersion with the dll
	name so that the compiler can check the prototypes.

	* include/shlwapi.h:
	Added a prototype for DllGetVersion to enable type checking in the
	Wine source.

	* dlls/mapi32/mapi32.spec, dlls/mapi32/mapi32_main.c,
	  dlls/mlang/mlang.c, dlls/mlang/mlang.spec, dlls/mlang/regsvr.c,
	  dlls/mpr/mpr.spec, dlls/mpr/mpr_main.c, dlls/mshtml/main.c,
	  dlls/mshtml/mshtml.spec, dlls/msi/msi.c, dlls/msi/msi.spec,
	  dlls/msi/msipriv.h, dlls/msi/regsvr.c, dlls/msisys/msisys.c,
	  dlls/msisys/msisys.ocx.spec, dlls/msxml3/factory.c,
	  dlls/msxml3/main.c, dlls/msxml3/msxml3.spec, dlls/ole32/ole32.spec,
	  dlls/ole32/oleproxy.c, dlls/oleacc/main.c, dlls/oleacc/oleacc.spec,
	  dlls/qcap/qcap.spec, dlls/qcap/qcap_main.c, dlls/rpcrt4/rpcrt4.spec,
	  dlls/rpcrt4/rpcrt4_main.c, dlls/shell32/regsvr.c,
	  dlls/shell32/shell32.spec, dlls/shell32/shell32_main.c,
	  dlls/shell32/shell32_main.h, dlls/shell32/shellole.c,
	  dlls/urlmon/regsvr.c, dlls/urlmon/urlmon.spec,
	  dlls/urlmon/urlmon_main.c, dlls/amstream/amstream.spec,
	  dlls/amstream/main.c, dlls/amstream/regsvr.c, dlls/atl/atl.spec,
	  dlls/atl/registrar.c, dlls/avifil32/avifil32.spec,
	  dlls/avifil32/factory.c, dlls/avifil32/regsvr.c,
	  dlls/cabinet/cabinet.spec, dlls/cabinet/cabinet_main.c,
	  dlls/comcat/comcat.spec, dlls/comcat/comcat_main.c,
	  dlls/comcat/regsvr.c, dlls/comctl32/comctl32.spec,
	  dlls/comctl32/commctrl.c, dlls/d3dxof/d3dxof.spec,
	  dlls/d3dxof/main.c, dlls/d3dxof/regsvr.c, dlls/ddraw/ddraw.spec,
	  dlls/ddraw/main.c, dlls/ddraw/regsvr.c, dlls/dinput/dinput.spec,
	  dlls/dinput/dinput_main.c, dlls/dinput/regsvr.c,
	  dlls/dinput8/dinput8.spec, dlls/dinput8/dinput8_main.c,
	  dlls/dmband/dmband.spec, dlls/dmband/dmband_main.c,
	  dlls/dmband/regsvr.c, dlls/dmloader/dmloader.spec,
	  dlls/dmloader/dmloader_main.c, dlls/dmloader/regsvr.c,
	  dlls/dmscript/dmscript.spec, dlls/dmscript/dmscript_main.c,
	  dlls/dmscript/regsvr.c, dlls/dmsynth/dmsynth.spec,
	  dlls/dmsynth/dmsynth_main.c, dlls/dmsynth/regsvr.c,
	  dlls/dmusic/dmusic.spec, dlls/dmusic/dmusic_main.c,
	  dlls/dmusic/regsvr.c, dlls/dplayx/dpclassfactory.c,
	  dlls/dplayx/dplayx.spec, dlls/dplayx/dplayx_main.c,
	  dlls/dplayx/regsvr.c, dlls/dpnet/dpnet.spec, dlls/dpnet/dpnet_main.c,
	  dlls/dpnet/regsvr.c, dlls/dpnhpast/dpnhpast.spec,
	  dlls/dpnhpast/main.c, dlls/dswave/dswave.spec,
	  dlls/dswave/dswave_main.c, dlls/dswave/regsvr.c,
	  dlls/dxdiagn/dxdiagn.spec:
	Don't prefix the functions DllCanUnloadNow, DllGetClassObject and
	Dll(Un)RegisterServer with the dll name so that the compiler can check
	the prototypes.

	* include/wine/server_protocol.h, server/change.c, server/fd.c,
	  server/file.c, server/mapping.c, server/protocol.def,
	  server/request.h, server/trace.c:
	Added an unmount_device request that invalidates all file descriptors
	open on a given Unix device.

	* dlls/oleaut32/variant.h, dlls/oleaut32/vartype.c:
	Removed some unnecessary macros, and make some functions static.

	* dlls/amstream/main.c, dlls/avifil32/factory.c, dlls/d3dxof/main.c,
	  dlls/ddraw/main.c, dlls/dplayx/dpclassfactory.c,
	  dlls/msisys/msisys.c, dlls/msxml3/factory.c,
	  dlls/urlmon/urlmon_main.c:
	Francois Gouget <fgouget@free.fr>
	Add missing WINAPI to MSXML_DllGetClassObject().
	Standardize the DllGetClassObject() prototypes so they match the MSDN
	definition.

	* dlls/msxml3/Makefile.in, dlls/msxml3/element.c,
	  dlls/msxml3/msxml_private.h, dlls/msxml3/nodemap.c:
	Mike McCormack <mike@codeweavers.com>
	Implement the IXMLDOMNamedNodeMap interface.

	* dlls/gdi/driver.c, dlls/gdi/font.c, dlls/gdi/freetype.c,
	  dlls/gdi/tests/metafile.c:
	Mike McCormack <mike@codeweavers.com>
	Warning fixes for gcc 4.0.

	* tools/Makefile.in: Detlef Riekenberg <wine.dev@web.de>
	Added exe extensions for mingw32.

	* dlls/shlwapi/shlwapi.spec: Huw Davies <huw@codeweavers.com>
	Forward ordinals 457,458 to GetLongPathNameW,A.

	* include/winspool.h: Detlef Riekenberg <wine.dev@web.de>
	- Access rights for Printserver, Printers and Printjobs added.
	- Defines for bidirectional communication added.

	* dlls/msxml3/element.c, dlls/msxml3/msxml_private.h:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Fixed msxml compilation when libxml is not available.

	* dlls/wldap32/wldap32.rc, dlls/wldap32/wldap32_Ru.rc:
	Dmitry Timoshkov <dmitry@codeweavers.com>
	Added Russian resources to wldap32.

	* dlls/user/tests/win.c: Francois Gouget <fgouget@codeweavers.com>
	CreateWindow(parent=NULL, ctlid!=0) should fail.

	* configure, configure.ac, dlls/dinput/joystick_linuxinput.c,
	  dlls/winmm/wineoss/midi.c, dlls/winmm/wineoss/oss.c,
	  dlls/winmm/wineoss/oss.h, include/config.h.in:
	Removed some unused or redundant configure checks.
	A few cleanups in configure.ac.

	* dlls/uuid/uuid.c, include/.cvsignore, include/Makefile.in,
	  include/hlink.idl:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added hlink.idl.

	* dlls/mshtml/htmldoc.c, dlls/mshtml/mshtml_private.h,
	  dlls/mshtml/oleobj.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added stub implementation of IOleControl.

	* dlls/gdi/tests/gdiobj.c: Dmitry Timoshkov <dmitry@codeweavers.com>
	Add a test showing that Windows doesn't tie GDI objects to a
	particular thread.

	* dlls/msi/msipriv.h: Yuri Kozlov <kozlov.y@gmail.com>
	Remove duplicate declaration of MSI_SetPropertyW.

	* programs/winetest/Makefile.in: Kai Blin <blin@gmx.net>
	Add secur32.dll tests to winetest.

	* dlls/atl/atl_main.c, dlls/atl/registrar.c:
	Stefan Leichter <Stefan.Leichter@camLine.com>
	Basic implementation of AtlModuleUpdateRegistryFromResourceD.

	* tools/winapi/winapi_parser.pm:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Remove WINE_PACKED recognition.
	Update various winapi parser regular expressions to let it understand
	some Wine constructs.

	* tools/winapi/win16.api, tools/winapi/win32.api:
	Vincent Béron <vberon@mecano.gme.usherb.ca>
	Update win16.api/win32.api to current CVS.

	* tools/winapi/c_parser.pm: Vincent Béron <vberon@mecano.gme.usherb.ca>
	Remove WINE_UNUSED checks.

	* dlls/riched20/reader.c: Phil Krylov <phil@newstar.rinet.ru>
	Fixed UTF-8 RTF parsing.

	* include/dinput.h: Daniel Remenak <dtremenak@gmail.com>
	Add some definitions necessary for force feedback.

	* dlls/ole32/ole2.c, dlls/ole32/ole2.spec, dlls/ole32/storage.c,
	  dlls/ole32/storage.spec:
	Marcus Meissner <marcus@jet.franken.de>
	Implemented ILockBytes16 (memorystream) support for the 16bit compound
	storage implementation.
	Added ReadClassStg, OleDoAutoConvert, GetConvertStg
	implementations/stubs.

	* dlls/shell32/tests/shlfolder.c: Saulius Krasuckas <saulius2@ar.fi.lt>
	Wine and NT4 returns E_FAIL on failure.

	* dlls/oleaut32/typelib.c: Robert Shearman <rob@codeweavers.com>
	Revert to previous behaviour of detecting names with non-alphanumeric
	characters as ones with offsets, but add in a special case for an
	empty name.

	* dlls/wldap32/wldap32.rc, dlls/wldap32/wldap32_De.rc,
	  dlls/wldap32/wldap32_Nl.rc:
	Hans Leidekker <hans@it.vu.nl>
	Add Dutch resource translation.
	Small fix for the German translation.

	* dlls/wldap32/winldap_private.h, dlls/wldap32/wldap32.h:
	Hans Leidekker <hans@it.vu.nl>
	Add helpers for converting (arrays of) LDAPSortKey, LDAPAPIInfo, and
	LDAPAPIFeatureInfo structures into different encodings.

	* dlls/user/listbox.c, dlls/user/tests/listbox.c:
	Francois Gouget <fgouget@codeweavers.com>
	The listbox test shows that the control id must be stored in WPARAM
	for the WM_DRAWITEM message.
	Fix the listbox test so CreateWindow() does not fail on Windows.

	* dlls/ntdll/cdrom.c: Tobias Gruetzmacher <tobias@portfolio16.de>
	Reverse the direction of raw SCSI commands.

	* dlls/shlwapi/ordinal.c: Huw Davies <huw@codeweavers.com>
	Fix call to GetMenuItemInfo and unicodify while we're at it.

	* dlls/msi/table.c: Mike McCormack <mike@codeweavers.com>
	Handle loading strings over 64k from the string table.

	* dlls/hhctrl.ocx/De.rc: Henning Gerhardt <henning.gerhardt@web.de>
	Update German resource file.

	* dlls/hhctrl.ocx/help.c: James Hawkins <truiken@gmail.com>
	- Don't keep track of the number of TB buttons.
	- Call the W version of SetWindowLongPtr.

	* dlls/wined3d/stateblock.c:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Allow the WINED3DSBT_IMPL to be applied so that states can be synced
	between render target contexts.

	* dlls/wined3d/Makefile.in: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Remove dxguid dependency.

2005-08-03  Alexandre Julliard  <julliard@winehq.com>

	* dlls/mshtml/nsembed.c: Jacek Caban <jack@itma.pwr.wroc.pl>
	Fix comment about hack.

	* dlls/mshtml/oleobj.c, dlls/mshtml/tests/htmldoc.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added IOleCommandTarget::Exec implementation.

	* configure, configure.ac, dlls/advapi32/crypt.c,
	  dlls/avicap32/avicap32_main.c, dlls/d3d8/surface.c,
	  dlls/dbghelp/elf_module.c, dlls/ddraw/surface_dib.c,
	  dlls/ddraw/surface_main.c, dlls/ddraw/texture.c,
	  dlls/iphlpapi/ipstats.c, dlls/ntdll/path.c, dlls/qcap/v4l.c,
	  dlls/shell32/shfldr_unixfs.c, dlls/winaspi/aspi.c,
	  dlls/winaspi/winaspi16.c, dlls/winedos/ppdev.c, dlls/wineps/ppd.c,
	  dlls/wineps/type1afm.c, dlls/winmm/joystick/joystick.c,
	  dlls/winmm/wineoss/midi.c, dlls/winmm/wineoss/mixer.c,
	  dlls/winmm/wineoss/mmaux.c, include/config.h.in, include/wine/port.h,
	  programs/winecfg/drivedetect.c, server/fd.c, tools/fnt2bdf.c,
	  tools/fnt2fon.c, tools/sfnt2fnt.c, tools/widl/proxy.c,
	  tools/widl/widl.c, tools/winedump/dump.c, tools/winedump/main.c,
	  tools/wmc/wmc.c, tools/wmc/write.c, tools/wrc/parser.y:
	Removed the broken mmap64 configure check, and moved the
	_FILE_OFFSET_BITS define to wine/port.h. Made sure that all files that
	need the define include it.

	* dlls/wined3d/surface.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Set the apha channel to opaque when locking X8R8G8B8 backbuffers.

	* dlls/uxtheme/draw.c: Frank Richter <frank.richter@gmail.com>
	Implement DrawThemeEdge().

	* dlls/wined3d/basetexture.c, dlls/wined3d/cubetexture.c,
	  dlls/wined3d/device.c, dlls/wined3d/drawprim.c,
	  dlls/wined3d/texture.c, dlls/wined3d/utils.c,
	  dlls/wined3d/wined3d_private.h:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Moved support for non power 2 texture to hardware.
	Fix for the texture state separation patches, ApplyTextureStates is
	now called instead of being commented out.

	* dlls/uxtheme/draw.c: Frank Richter <frank.richter@gmail.com>
	Set some default values for truesize sizing that seem closer to
	Windows.

	* configure, configure.ac, programs/regedit/Makefile.in:
	Get rid of the no longer used regedit test.

	* configure, configure.ac, dlls/wineps/ppd.c, dlls/winsock/socket.c,
	  include/config.h.in, programs/wineconsole/curses.c:
	Merged some of the header checks to reduce the size of the generated
	configure script a bit.

	* dlls/user/painting.c:
	Call the USER driver directly to check for X events on RDW_UPDATENOW
	instead of calling MsgWaitForMultipleObjects.

	* Makefile.in: Detlef Riekenberg <wine.dev@web.de>
	Added description for crosstest.

	* dlls/wined3d/drawprim.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Improve on a fixup for the difference between opengl and directx pixel
	centering of vertexes.

	* dlls/dsound/mixer.c: Alex Villacís Lasso <a_villacis@palosanto.com>
	Correction to earlier assertion patch to allow for buf_mixpos ==
	buflen in non-looping case, fixes looping of one-off mixed samples
	introduced by previous patch.

	* dlls/wininet/internet.c: Robert Shearman <rob@codeweavers.com>
	As per MSDN, INTERNET_OPTION_CONNECTED_STATE should take a DWORD
	instead of the INTERNET_CONNECTED_INFO structure.

	* dlls/uxtheme/draw.c: Frank Richter <frank.richter@gmail.com>
	The default image layout is HORIZONTAL, not VERTICAL.

	* dlls/ntdll/critsection.c, dlls/ntdll/heap.c:
	Hack to make the main heap critical section have a proper debug info
	structure.

	* configure, configure.ac, dlls/Makefile.in,
	  dlls/winmm/wineesd/.cvsignore, dlls/winmm/wineesd/Makefile.in,
	  dlls/winmm/wineesd/audio.c, dlls/winmm/wineesd/esound.c,
	  dlls/winmm/wineesd/esound.h, dlls/winmm/wineesd/wineesd.drv.spec,
	  include/config.h.in, programs/winecfg/audio.c,
	  programs/winecfg/properties.c:
	Peter Åstrand <astrand@cendio.se>
	Implemented an Esound driver.

	* dlls/x11drv/event.c:
	Don't call WaitForMultipleObjectsEx if we are just polling for pending
	X events.

	* dlls/kernel/tests/comm.c:
	Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de>
	More comm tests.

	* dlls/kernel/comm.c:
	Uwe Bonnes <bon@elektron.ikp.physik.tu-darmstadt.de>
	Implement WaitCommEvent by polling the appropriate data sources.

	* dlls/uxtheme/draw.c: Frank Richter <frank.richter@gmail.com>
	Another fix to use magenta as the default transparent color.

	* dlls/rpcrt4/ndr_marshall.c, dlls/rpcrt4/ndr_midl.c,
	  dlls/rpcrt4/rpcrt4.spec, include/rpcndr.h, include/wine/rpcfc.h:
	Robert Shearman <rob@codeweavers.com>
	Add stubs for NdrMapCommAndFaultStatus, conformant string marshaling
	and context handle functions.

	* tools/widl/header.c, tools/widl/header.h:
	Robert Shearman <rob@codeweavers.com>
	- The header global variable is NULL when not generating a header so
	  don't try to use it in functions that may be called by the client
	  code.
	- Make the functions that take char * take const char *.

	* dlls/rpcrt4/rpc_message.c: Robert Shearman <rob@codeweavers.com>
	Don't free previous buffer in NdrGetBuffer.

	* libs/unicode/wctomb.c: Mike McCormack <mike@codeweavers.com>
	Fix a gcc 4.0 -Wpointer-sign warning.

	* dlls/uxtheme/draw.c: Frank Richter <frank.richter@gmail.com>
	Add support for horizontal & vertical alignment when doing truesize
	sizing.

	* configure, configure.ac, dlls/secur32/Makefile.in,
	  dlls/secur32/tests/.cvsignore, dlls/secur32/tests/Makefile.in,
	  dlls/secur32/tests/main.c:
	Kai Blin <blin@gmx.net>
	Set up tests for secur32.

	* dlls/hhctrl.ocx/help.c: James Hawkins <truiken@gmail.com>
	Free the allocated command line string.

	* dlls/uxtheme/draw.c: Frank Richter <frank.richter@gmail.com>
	Add support for the BT_NONE background type.

	* dlls/hhctrl.ocx/En.rc, dlls/hhctrl.ocx/help.c,
	  dlls/hhctrl.ocx/hhctrl.rc, dlls/hhctrl.ocx/resource.h:
	James Hawkins <truiken@gmail.com>
	Add a tab control to the navigation pane.

	* dlls/comctl32/header.c: Frank Richter <frank.richter@gmail.com>
	Add hottracking support for the header control.

	* dlls/uxtheme/draw.c: Frank Richter <frank.richter@gmail.com>
	Implement GetThemeBackgroundExtent().

	* dlls/version/info.c:
	Don't convert the return value on failure in VerQueryValueA/W.

	* dlls/shell32/tests/shellpath.c, dlls/winspool/info.c:
	Mike McCormack <mike@codeweavers.com>
	gcc 4.0 RegSetValueEx warning fixes.

	* dlls/dinput/dinput_main.c, dlls/dinput/dinput_private.h,
	  dlls/dinput/joystick_linux.c, dlls/dinput/keyboard.c,
	  dlls/dinput/mouse.c, dlls/dxdiagn/dxdiag_private.h,
	  dlls/oleaut32/tests/safearray.c, dlls/oleaut32/tests/vartype.c,
	  dlls/quartz/enummoniker.c, dlls/riched20/richole.c,
	  include/wine/wined3d_gl.h:
	Mike McCormack <mike@codeweavers.com>
	gcc 4.0 warning fixes for Interlocked* functions.

	* dlls/x11drv/opengl.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Back out the previous stencil patch and slightly improve on the old
	functionality.

	* dlls/wined3d/basetexture.c, dlls/wined3d/cubetexture.c,
	  dlls/wined3d/device.c, dlls/wined3d/directx.c,
	  dlls/wined3d/texture.c, dlls/wined3d/volumetexture.c,
	  dlls/wined3d/wined3d_private.h, include/wine/wined3d_interface.h:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Move the setting of states from device to basetexture, states that
	relate to the opengl texture object will only be updated when they are
	out of sync, this reduces the number of texture object state changes
	during game play in Axis and allies from several hundreds to 0 or 1.

	* dlls/msxml3/Makefile.in, dlls/msxml3/domdoc.c, dlls/msxml3/element.c,
	  dlls/msxml3/msxml_private.h:
	Mike McCormack <mike@codeweavers.com>
	Implemented the IXMLDOMElement interface.

	* dlls/wldap32/Makefile.in, dlls/wldap32/dn.c, dlls/wldap32/misc.c,
	  dlls/wldap32/winldap_private.h, dlls/wldap32/wldap32.spec:
	Hans Leidekker <hans@it.vu.nl>
	Implement LdapUnicodeToUTF8, LdapUTF8ToUnicode,
	ldap_dn2ufn*, ldap_explode_dn*, ldap_get_dn*,
	ldap_memfree*, ldap_ufn2dn* and ldap_value_free*.

	* dlls/hhctrl.ocx/De.rc, dlls/hhctrl.ocx/hhctrl.rc:
	Henning Gerhardt <henning.gerhardt@web.de>
	Add German resourced for hhctrl.ocx.

	* dlls/hhctrl.ocx/help.c: James Hawkins <truiken@gmail.com>
	- Add the HH Child window class.
	- Create the Navigation and HTML panes as HH Child windows.

	* dlls/msi/msi.c, dlls/msi/msi.spec:
	Steven Edwards <steven_ed4153@yahoo.com>
	Add real stub for MsiConfigureFeatureW.

	* dlls/mshtml/protocol.c, dlls/mshtml/tests/protocol.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added about protocol implementation.

	* dlls/comctl32/listview.c: Frank Richter <frank.richter@gmail.com>
	Remove unneeded theming check.

	* dlls/uxtheme/draw.c: Frank Richter <frank.richter@gmail.com>
	Implement support for the ST_TILE background stretching mode.

	* dlls/ntdll/cdrom.c: Vitaliy Margolen <wine-patch@kievinfo.com>
	Implement IOCTL_SCSI_GET_INQUIRY_DATA.

2005-08-02  Alexandre Julliard  <julliard@winehq.com>

	* dlls/kernel/kernel32.spec, dlls/kernel/module.c:
	Implemented Get/SetDllDirectory.

	* dlls/hhctrl.ocx/.cvsignore, dlls/hhctrl.ocx/En.rc,
	  dlls/hhctrl.ocx/Makefile.in, dlls/hhctrl.ocx/help.c,
	  dlls/hhctrl.ocx/hhctrl.rc:
	James Hawkins <truiken@gmail.com>
	- Add the toolbar to the viewer window.
	- Load the toolbar button text from the resource file.

	* dlls/ntdll/version.c: Removed a noisy trace.

	* dlls/wldap32/bind.c, dlls/wldap32/compare.c, dlls/wldap32/init.c,
	  dlls/wldap32/search.c:
	Hans Leidekker <hans@it.vu.nl>
	Use WLDAP32_LDAP_NO_MEMORY instead of LDAP_NO_MEMORY.

	* dlls/shell32/tests/shlfolder.c: Saulius Krasuckas <saulius2@ar.fi.lt>
	Added test for IShellFolder_ParseDisplayName.

	* dlls/Maketest.rules.in: Robert Shearman <rob@codeweavers.com>
	Move TESTLIST from EXTRA_SRCS to C_SRCS in test makefiles to free up
	EXTRA_SRCS for other purposes.

	* dlls/hhctrl.ocx/Makefile.in, dlls/hhctrl.ocx/main.c:
	James Hawkins <truiken@gmail.com>
	Implement DllMain and store the Dll hinstance.

	* dlls/ntdll/ntdll.spec, dlls/ntdll/process.c, dlls/ntdll/rtl.c,
	  include/winternl.h:
	Implemented a few trivial ntdll functions that have been added in
	recent Windows versions.

	* configure, configure.ac, dlls/Makefile.in, dlls/msxml3/.cvsignore,
	  dlls/msxml3/Makefile.in, dlls/msxml3/domdoc.c, dlls/msxml3/factory.c,
	  dlls/msxml3/main.c, dlls/msxml3/msxml3.spec,
	  dlls/msxml3/msxml_private.h, include/config.h.in:
	Mike McCormack <mike@codeweavers.com>
	Initial implementation of msxml3 based on libxml2.

	* dlls/kernel/profile.c:
	Fixed white space handling on the last line (reported by Jeremy
	White).
	Avoid parsing the same line twice when it contains trailing spaces.

	* dlls/user/tests/win.c: Lauri Tulmin <tulmin@gmail.com>
	Add tests for repainting windows with CS_PARENTDC class style.

	* dlls/kernel/thread.c, dlls/ntdll/ntdll.spec, dlls/ntdll/ntdll_misc.h,
	  dlls/ntdll/server.c, dlls/ntdll/thread.c, include/wine/server.h,
	  include/winternl.h:
	Use the new RtlExitUserThread function instead of exporting
	wine_server_exit_thread.

	* dlls/mshtml/oleobj.c, dlls/mshtml/tests/htmldoc.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added QueryStatus implementation.

	* dlls/wldap32/compare.c, dlls/wldap32/winldap_private.h:
	Hans Leidekker <hans@it.vu.nl>
	Don't rely on ldap structure when headers are not available.

	* dlls/wldap32/wldap32.rc, dlls/wldap32/wldap32_De.rc:
	Henning Gerhardt <henning.gerhardt@web.de>
	Add German resource file for WLDAP32.

	* dlls/mshtml/htmldoc.c, dlls/mshtml/main.c,
	  dlls/mshtml/mshtml_private.h, dlls/mshtml/protocol.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	Added DllCanUnloadNow implementation.

	* dlls/dsound/mixer.c: Alex Villacís Lasso <a_villacis@palosanto.com>
	Prevent dsb->buf_mixpos from ever remaining past dsb->buflen even if
	not in DSBPLAY_LOOPING case, to prevent assertion failure in
	DSOUND_MixInBuffer.

	* dlls/comctl32/listview.c: Vitaly Lipatov <lav@etersoft.ru>
	Use STATEIMAGEINDEX / INDEXTOSTATEIMAGEMASK instead of bit
	operations.

2005-08-01  Alexandre Julliard  <julliard@winehq.com>

	* dlls/advapi32/advapi32.spec, dlls/gdi/gdi32.spec,
	  dlls/kernel/kernel32.spec, dlls/ntdll/ntdll.spec,
	  dlls/user/user32.spec:
	Added commented out stubs for a bunch of new functions.

	* include/winbase.h: Properly sort the function prototypes.

	* dlls/mshtml/Makefile.in: Fixed the build without make depend.

	* dlls/usp10/usp10.spec: Properly sort the spec file entries.

	* dlls/wldap32/Makefile.in, dlls/wldap32/compare.c,
	  dlls/wldap32/winldap_private.h, dlls/wldap32/wldap32.spec:
	Hans Leidekker <hans@it.vu.nl>
	Implement ldap_compare* functions.

	* dlls/ntdll/cdrom.c: Vitaliy Margolen <wine-patch@kievinfo.com>
	Fixed IOCTL_SCSI_GET_ADDRESS.

	* dlls/comctl32/dpa.c, dlls/comctl32/tests/dpa.c:
	Fixed regression in DPA_Search.

	* dlls/mshtml/.cvsignore, dlls/mshtml/Makefile.in,
	  dlls/mshtml/htmldoc.c, dlls/mshtml/main.c,
	  dlls/mshtml/mshtml_private.h, dlls/mshtml/nsembed.c,
	  dlls/mshtml/nsiface.idl, dlls/mshtml/persist.c, dlls/mshtml/view.c:
	Jacek Caban <jack@itma.pwr.wroc.pl>
	- Use Gecko to render HTML.
	- Get rid of Mozilla ActiveX Control in MSHTML.

	* dlls/wldap32/.cvsignore, dlls/wldap32/Makefile.in,
	  dlls/wldap32/error.c, dlls/wldap32/main.c,
	  dlls/wldap32/winldap_private.h, dlls/wldap32/wldap32.rc,
	  dlls/wldap32/wldap32.spec, dlls/wldap32/wldap32_En.rc:
	Hans Leidekker <hans@it.vu.nl>
	Implement ldap_err2string.

	* dlls/wined3d/device.c, dlls/wined3d/drawprim.c,
	  dlls/wined3d/stateblock.c, dlls/wined3d/utils.c,
	  dlls/wined3d/wined3d_private.h:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Separate the setting of the DirectX texture and sampler states from
	the setting of OpenGL states (now in applyTextureStateState and
	applySamplerState).

	* dlls/kernel/tests/sync.c:
	Felix Nawothnig <felix.nawothnig@t-online.de>
	Fix sync tests on Win98/ME.

	* dlls/kernel/tests/module.c:
	Felix Nawothnig <felix.nawothnig@t-online.de>
	Fix module tests on Win9x.

	* dlls/winsock/ws2_32.spec: Andreas Mohr <andi@rhlx01.fht-esslingen.de>
	Sync ws2_32.spec with XP.

	* dlls/ddraw/device_opengl.c, dlls/ddraw/surface_dib.c,
	  dlls/ddraw/texture.c:
	Mike McCormack <mike@codeweavers.com>
	Warning fixes.

	* dlls/hhctrl.ocx/Makefile.in, dlls/hhctrl.ocx/help.c,
	  dlls/hhctrl.ocx/hhctrl.c:
	James Hawkins <truiken@gmail.com>
	Add beginnings of the Help viewer.

	* libs/unicode/mbtowc.c: Mike McCormack <mike@codeweavers.com>
	gcc 4.0 warning fix.

	* dlls/wined3d/basetexture.c, dlls/wined3d/device.c,
	  dlls/wined3d/drawprim.c, dlls/wined3d/stateblock.c:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Separate the management of DirectX states and openGL states.

	* dlls/usp10/usp10.c, dlls/usp10/usp10.spec, include/usp10.h:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Added stubbed support for ScriptGetFontProperties.

	* dlls/comctl32/dpa.c, dlls/comctl32/tests/dpa.c:
	Felix Nawothnig <felix.nawothnig@t-online.de>
	Fix DPA_Search for sorted arrays.

2005-07-30  Alexandre Julliard  <julliard@winehq.com>

	* dlls/wined3d/directx.c: Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Fixed an off by one error in enumdisplaymodes, allowing sims 2 to
	start up.

	* server/fd.c:
	Added a separate device object to keep track of inodes that are on the
	same device.

	* dlls/wined3d/drawprim.c, dlls/wined3d/wined3d_private.h:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Tidy up some of the formatting in drawprim and add missing strided
	data.

	* dlls/wined3d/device.c, dlls/wined3d/directx.c:
	Oliver Stieber <oliver_stieber@yahoo.co.uk>
	Validate that the texture is no larger than the graphics cards largest
	supported texture.

	* dlls/kernel/tests/comm.c:
	Felix Nawothnig <felix.nawothnig@t-online.de>
	Fix comm tests on Win9x.

